<?php
/*------------------------------
   qmd-cms 0.7.4 - credentials and settings
	last update: 01/21/2014
	
	..............................
	
	Please edit your settings here

	Note that all SYSTEMCONSTANTS are preceded by "__y_"
	Do not change them unless you know what you are doing.
	
--------------------------------*/

/*THIS is the file that contains YOUR PERSONAL configurations!!! */
/* The file delivered with qmd-CMS is containing nothing!
	Fill in the true values for your site
	and rename it to
	qmd_app_config.php in GLOBALS

*/

	$_db_localtest = array(
			# Edit database connection information only
			'dbhost' => 'localhost', 	// MySQL host
			'dbname' 	=> 'qmdCMS',	// Database name
			'dbuname' 	=> 'hy', 		// Database Username
			'dbpass' 	=> 'hydb', 		// Database password
			// Table prefix for multiple systems on one database. Leave it blank if not used.
			'prefix' => '',	//deprecated use function connect_to_db($DBName='')
									//if you have more than one DB available
			//If you don't have lists with external data in external databases just set
			//known_dbs ->to zero
			//and delete the rest here

			
			'known_dbs'=>2,	//this is the number of additional dbs - additional to the main DATABASE
									//
			'known_dbA' => array(
				'Item1'=>Array(
				
					'dbhost' => 'localhost', 	// MySQL host
					'dbname' 	=> 'excursions',	// Database name
					'dbuname' 	=> 'hy', 		// Database Username
					'dbpass' 	=> 'hydb', 		// Database password
					'prefix' => ''	
					),
				'Item2'=>array(
					'dbhost' => 'localhost', 	// MySQL host
					'dbname' 	=> '',	// Database name
					'dbuname' 	=> '', 		// Database Username
					'dbpass' 	=> '', 		// Database password
					'prefix' => ''	
					
					)
			
				)
			);
	
	/*These are the credentials used in a live website */
	/*comments above apply here as well						*/
	$_db_live_Mode = array(
			'dbhost' => 'localhost', 			// MySQL host
			'dbname' => '', 					// Database name
			'dbuname' => '', 				// Database Username
			'dbpass' => '', 			// Database password
			'prefix' => '',
			'known_dbs'=>0,
			'known_dbA' => array(
										)
	);
/*--------------------METADATA-------------------------*/
//Set TIMEZONE
date_default_timezone_set('UTC');
//SET DATETIME-FORMAT
$meta_default_date=date('Y/m/d\TG:i:sO');


$meta_google='';
//these are to be translated!
$WEBSITE_TITLE=array();
$WEBSITE_TITLE['de']='Exkursionen auf Lanzarote';
$WEBSITE_TITLE['en']='Excursions on Lanzarote';
$WEBSITE_TITLE['es']='Exkursiones en Lanzarote';

$WEBSITE_SUBTITLE=array();
$WEBSITE_SUBTITLE['de']='die besten Ausfl&uuml;ge (Wandern, MTB, Inselrundfahrten)';
$WEBSITE_SUBTITLE['en']='hiking, MTB and trips for kids, seniors and handicapped people';
$WEBSITE_SUBTITLE['es']='senderismo, BTT y exkursiones para toda la familia';

$meta_DCSubject=array();
$meta_DCSubject['de']="Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulkanen";
$meta_DCSubject['en']="Exkursions on Lanzarote - Hiking on Lava, MTB-Trails inbetween volcanoes";
$meta_DCSubject['es']="Exkursiones en Lanzarote - Senderismo en lava, BTT entre volcanes";

$meta_DCCoverage=array();
$meta_DCCoverage['de']="Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulkanen";
$meta_DCCoverage['en']="Exkursions on Lanzarote - Hiking on Lava, MTB-Trails inbetween volcanoes";
$meta_DCCoverage['es']="Exkursiones en Lanzarote - Senderismo en lava, BTT entre volcanes";

$meta_DCTitle=array();;//ENTER here the default title of articles usually it is substituted by article title before inserted to the page delivered!
$meta_DCTitle['de']='Qimanfaya Exkursionen';
$meta_DCTitle['en']='Qimanfaya Excursions';
$meta_DCTitle['es']='Qimanfaya Excursiones';

$default_MetaDataDesc=array();
$default_MetaDataDesc['de']='Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.';
$default_MetaDataDesc['en']='Qimanfaya: Excursions on Lanzarote. Hiking, MTB-trips and amazing landscapes. Discover the special(!) wildlife/flora and fauna of Lanzarote and all of its geology and volcanism';
$default_MetaDataDesc['es']='Qimanfaya-Excursiones en Lanzarote. Senderismo, BTT y paisajes fascinantes. Descubre la geologia volcanica, la flora, fauna y mas.';

$default_MetaDataKW=array();
$default_MetaDataKW['de']='Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern';
$default_MetaDataKW['en']='Qi-manfaya,Qimanfaya, Timanfaya, health,care, Bioenergetics, Lanzarote, Energy,Massage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophoton, photon, therapie, no side effetcs, illness, TCM, Costa Teguise, Excursions,  hiking, Bike, Tour, MTB, unforgettable places, ';
$default_MetaDataKW['es']='Qi-manfaya,Qimanfaya, Timanfaya, assesoria, salud, terapeutico, Bioenergetica, Lanzarote, masaje, energia,Jin Shin Jyutsu, Jin Shin Jiutsu, Biofotonos, Fotonos, terapia, Informatica, servicios, sitios de web, red, programacion, Costa Teguise, Excursiones, senderismo, Bici, BTT, Wandern';

$meta_DCRights=array();
$meta_DCRights['de']='Alle Rechte liegen beim Autor';
$meta_DCRights['en']='all rights reserved';
$meta_DCRights['es']='todos derechos reservados';

//these don't need a translation
$meta_DCSource="-m*sh-";	//author 1
$meta_nameAuthor="sha-mash";//author 2
$meta_DCCreator="m*sh";		//author 3
$meta_DCPublisher="m*sh";	//author 4
$meta_DCContributor="m*sh";//author 5

$meta_nameRobots="index"; //robots may index

$meta_DCTyp="Text";			//default type
$meta_DCFormat='text/html';



//this will be loaded if no other content has some keywords TODO a version for each language
//PLEASE EDIT this settings to your needs


define('__y_CookieUserLoginLifetime',36000);

//sorry, the next one you have to edit in qmd.js if you want to change the value
define('__y_CookieUserLangLifetime',36000);
?>