-- phpMyAdmin SQL Dump
-- version 4.1.12deb2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: May 08, 2014 at 05:16 PM
-- Server version: 5.5.35-2
-- PHP Version: 5.5.11-2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `qmdCMS`
--

-- --------------------------------------------------------

--
-- Table structure for table `excursiones`
--

CREATE TABLE IF NOT EXISTS `excursiones` (
  `ID` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'da ID',
  `sef` char(60) COLLATE latin1_general_ci NOT NULL,
  `parent_article` int(10) unsigned NOT NULL,
  `Typ` char(12) COLLATE latin1_general_ci NOT NULL DEFAULT 'MTB' COMMENT 'MTB,HIKE, COMBINED',
  `Name` char(45) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'Name',
  `Zeit` char(12) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'durance',
  `km` decimal(7,3) DEFAULT NULL COMMENT 'length',
  `teaser` varchar(1000) COLLATE latin1_general_ci DEFAULT NULL,
  `Diff` tinyint(1) unsigned NOT NULL COMMENT 'difficulty',
  `Technik` tinyint(1) unsigned NOT NULL COMMENT 'technic required',
  `Ausdauer` tinyint(1) unsigned NOT NULL COMMENT 'endurance',
  `Terrain` tinyint(1) unsigned NOT NULL COMMENT 'terrain',
  `Preis` decimal(10,0) DEFAULT NULL COMMENT 'pricing',
  `Region` char(30) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'region/ayuntamiento',
  `Ort` char(30) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'locality',
  `Ziel` char(30) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'target location',
  `Featured` tinyint(1) unsigned NOT NULL COMMENT 'highlight 0 or 1',
  `parent_trip` int(10) DEFAULT '-1' COMMENT 'parent ID if variant',
  `roundtrip` tinyint(1) unsigned NOT NULL COMMENT 'start=end 0 or 1',
  PRIMARY KEY (`ID`),
  KEY `Name` (`Name`),
  KEY `sef` (`sef`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=40 ;

--
-- Dumping data for table `excursiones`
--

INSERT INTO `excursiones` (`ID`, `sef`, `parent_article`, `Typ`, `Name`, `Zeit`, `km`, `teaser`, `Diff`, `Technik`, `Ausdauer`, `Terrain`, `Preis`, `Region`, `Ort`, `Ziel`, `Featured`, `parent_trip`, `roundtrip`) VALUES
(13, 'alte-saline-guatiza', 169, 'HIKE', 'alte Saline Guatiza', '3h30', 29.000, 'Genussfahrt in der Ebene mit kurzen Anstiegen; alte Saline Los Cocoteros Einkehrm&ouml;glichkeit in Guatiza', 3, 3, 3, 0, 30, 'Costa Teguise', 'Los Cocoteros', '', 1, -1, 1),
(14, 'cueva-del-agua', 158, 'MTB', 'Cueva del Agua', '4h', 33.000, 'Technisch anspruchsvollere Genussfahrt mit Steigungen zum Naturschauspiel „Cueva del Agua“ [Einkehrm&ouml;glichkeit]', 3, 3, 4, 0, 35, 'Costa Teguise', 'Los Cocoteros / Guatiza', '', 1, -1, 1),
(15, 'mtb-tahiche', 159, 'MTB', 'Tahiche', '3h', 26.000, 'Fahrt zum Vulkan Tahiche [Besteigung oder Einkehrm&ouml;glichkeit in Tahiche]', 3, 3, 3, 0, 30, 'Costa Teguise', 'Tahiche', '', 1, -1, 1),
(16, 'nazaret-teseguite', 160, 'MTB', 'Nazaret-Teseguite', '4h', 29.000, 'Fahrt &uuml;ber Tahiche nach Nazaret und Teseguite. Ausdauer und wenig Technik erforderlich. Wunderbare Abfahrt auf dem R&uuml;ckweg.', 3, 4, 3, 2, 35, 'Costa Teguise', 'Teseguite', '', 1, -1, 1),
(17, 'mtb-tinamala', 170, 'HIKE', 'Tinamala', '2h30', 21.000, 'Fahrt zum Vulkan Tinamala mit Besuch der Rofera (little Arizona)', 2, 2, 2, 0, 25, 'Costa Teguise', 'Tinamala', '', 1, -1, 0),
(18, 'mtb-guenia', 161, 'MTB', 'Guenia', '3h', 23.000, 'Fahrt zum Vulkan Guenia. Ausdauer erforderlich.  Auf den Spuren der Ureinwohner/Lithophon', 3, 3, 3, 0, 30, 'Costa Teguise', 'Guatiza', '', 1, -1, 0),
(19, 'mtb-zonzamas', 171, 'HIKE', 'Zonzamas', '4h', 24.000, 'Fahrt zum K&ouml;nigspalast Zonzamas; Ausdauer erforder-lich. Auf den Spuren der Guanchen/Quesera [Einkehr in Tahiche]', 3, 3, 4, 0, 35, 'Costa Teguise', 'Tahiche', '', 1, -1, 0),
(20, 'mtb-teguise-easy', 162, 'MTB', 'Teguise [leicht]', '3h', 25.000, 'Anstieg auf Asphalt. Rueckfahrt auf Pisten und Tracks – Downhill. (Einkehr m&ouml;glich)', 2, 2, 2, 0, 30, 'Costa Teguise', 'Teguise', NULL, 1, -1, 0),
(21, 'mtb-teguise-hard', 163, 'MTB', 'Teguise [schwer]', '4h', 28.000, 'Anstieg auch teilw. auf Tracks. Plus Umrundung des Vulkans Ubique. Zus&auml;tzliche Single-Trails optional.', 3, 3, 4, 0, 35, 'Costa Teguise', 'Ubique / Teguise', '', 1, -1, 1),
(22, 'volcano-saga-easy', 164, 'MTB', 'Vulkan Saga [leicht]', '2h30', 18.000, 'Sch&ouml;ne Umrundung des Vulkans Saga auch f&uuml;r unge-&uuml;bte Teilnehmer mit ein wenig Kondition machbar.', 1, 1, 1, 0, 25, 'Costa Teguise', 'Saga', '', 1, -1, 1),
(23, 'mtb-teseguite-rofera', 165, 'MTB', 'Teseguite / Rofera', '3h', 22.000, 'Fahrt nach Teseguite vorbei an El Mojon zur alten Rofera. Anspruchsvoller Anstieg aber viel Spass auf der Abfahrt.', 2, 2, 3, 0, 30, 'Costa Teguise', 'El Mojon', '', 1, -1, 0),
(24, 'mtb-teseguite-G&uuml;enia-el-mojon', 166, 'MTB', 'Teseguite/ G&uuml;enia/ El Mojon', '3h30', 28.000, 'Fahrt nach Teseguite und durch El Mojon um den Vul-kan G&uuml;enia zur alten Rofera. Anspruchsvoller Anstieg aber viel Spass auf konditionell anspruchsvoller Strecke mit wahrlichen Highlights und perfekten Abfahrten f&uuml;r ge&uuml;bte Spass-Biker', 3, 4, 4, 0, 35, 'Costa Teguise', 'Teseguite', 'Mta. Guenia', 1, -1, 1),
(25, 'mtb-water-on-lanzarote', 172, 'HIKE', 'Wasser auf Lanzarote', '2h30', 8.200, 'Gef&uuml;hrte Tour durch Costa Teguise vorbei an allen Str&auml;nden mit Erl&auml;uterungen rund um Lanzarote und der problematischen Wasserversorgung. Ziel ist die Entsalzungsanlage der Insel mit anschliessender Besichtigung eines Schiffswracks. [leicht] ', 0, 0, 1, 0, 25, 'Teguise', 'Costa Teguise', 'Arrecife/barco naufragado', 0, -1, 1),
(26, 'mtb-king-of-spain', 167, 'MTB', 'Der K&ouml;nig von Spanien', '2h', 7.000, 'Gef&uuml;hrte Tour durch Costa Teguise vorbei an allen Str&auml;nden mit Erl&auml;uterungen rund um Lanzarote. Ziel ist das Haus des K&ouml;nigs von Spanien, der in Costa Teguise ein Ferienhaus besitzt. [sehr leicht] ', 0, 0, 1, 0, 20, 'Costa Teguise', 'Costa Teguise', 'Casa Rey', 0, -1, 1),
(27, 'mtb-xl-penas-del-chache', 168, 'MTB', 'MTB XL Pe&ntilde;as del Chache', '4h30', 48.000, 'Hammertour f&uuml;r ge&uuml;bte Biker zum h&ouml;chsten Punkt der Insel mit phantastischen Ausblicken und traumhaften Abfahrten. [anstrengend] Kann auch in einer verk&uuml;rzten Variante angeboten werden.', 3, 3, 5, 0, 45, 'Costa Teguise', '', 'Pe&ntilde;as del Chache', 1, -1, 1),
(28, 'caldera-de-la-rilla', 173, 'HIKE', 'Caldera de la Rilla', '3h', 4.000, 'Timanfaya: Vulkanismus pur – siehe Beschreibung. Auch f&uuml;r Kinder ab 5 Jahren geeignet. Anfahrt mit Mietwagen etwa 35 Min.', 1, 1, 1, 0, 35, 'Timanfaya', 'Tinajo', '', 1, -1, 0),
(29, 'barranco-teneguime', 174, 'HIKE', 'Barranco Teneg&uuml;ime', '3h', 8.000, 'Ein Traumhaftes Kerbtal mit viel Flora und Fauna. F&uuml;r Kinder ab etwa 10 Jahren geeignet.', 1, 1, 2, 0, 35, 'Guatiza', '', '', 1, -1, 0),
(30, 'pico-redondo', 175, 'HIKE', 'Pico Redondo', '4h', 10.000, 'Ajaches: Wanderung um den Pico Redondo', 2, 2, 3, 0, 40, 'Femes', '', '', 1, -1, 1),
(31, 'los-lomos', 176, 'HIKE', 'Los Lomos', '4h', 8.000, 'Ajaches: Wanderung &uuml;ber die Gipfelkette', 2, 2, 3, 0, 40, 'Ajaches', 'Casitas', 'Femes', 1, -1, 0),
(32, 'ajaches-grotte-bco-casa', 177, 'HIKE', 'Die Grotte', '4h', 7.000, 'Ajaches: K&uuml;stenwanderung von Playa Quemada zur Grotte mit Cactusgarten im Bco. Casa.', 2, 2, 3, 0, 35, 'Playa Quemada', '', '', 1, -1, 0),
(33, 'maguez', 178, 'HIKE', 'Maguez', '3h', 7.000, 'Famara: Wanderung &uuml;ber die Steilk&uuml;ste mit phantastischen Ausblicken. Auf der R&uuml;ckfahrt Abstecher zur Ermita de las Nieves.', 2, 1, 2, 0, 35, 'Guatiza', '', '', 1, -1, 1),
(34, 'caldera-blanca-easy', 179, 'HIKE', 'Caldera Blanca', '2h30', 5.000, 'Wanderung auf die gr&ouml;sste Caldera der Insel. Es gibt eine kurze (5km) oder lange Variante (10km).', 2, 2, 2, 0, 30, 'Timanfaya/Tinajo', 'Tinajo/Tenezar', '', 1, -1, 1),
(35, 'caldera-blanca-long', 180, 'HIKE', 'Caldera Blanca', '5h', 10.000, 'Wanderung auf die gr&ouml;sste Caldera der Insel. Es gibt eine kurze (5km) oder lange Variante (10km).', 2, 3, 3, 0, 45, 'Timanfaya', 'Tinajo', 'Caldera Blanca', 1, -1, 1),
(36, 'mtb-barranco-teneguime', 118, '', 'Barranco Teneg&uuml;ime', 'Tag', 44.000, 'Mit den MTBs nach Guatiza. Von dort aus Wanderung in ein faszinierendes Kerbtal mit viel Natur.', 1, 1, 4, 1, 60, 'Teguise', 'Guatiza', '', 1, -1, 1),
(37, 'mtb-jardin-cactus', 119, 'COMBINED', 'Jardin Cactus', '3h30', 24.000, 'Fahrt zum Cactusgarten Besuch im Cactusgarten m&ouml;glich oder Einkehrm&ouml;glichkeit in Guatiza', 2, 1, 2, 2, 25, 'Costa Teguise', 'Guatiza', '', 0, -1, 1),
(39, 'teguise-guanapay', 140, '', 'teguise-guanapay', '3h', 9.000, 'Sch&ouml;ne rundwanderung bei Teguise um den Vulkan Guanapay', 1, 2, 3, 4, 31, 'Teguise', 'Teseguite', 'Nazaret', 1, -1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `qmd_article2menu`
--

CREATE TABLE IF NOT EXISTS `qmd_article2menu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` int(10) unsigned NOT NULL,
  `article_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_id` (`menu_id`),
  KEY `article_id` (`article_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=571 ;

--
-- Dumping data for table `qmd_article2menu`
--

INSERT INTO `qmd_article2menu` (`id`, `menu_id`, `article_id`) VALUES
(30, 5, 5),
(39, 1, 1),
(45, 1, 20),
(51, 1, 22),
(93, 5, 33),
(143, 5, 36),
(181, 1, 43),
(182, 1, 44),
(203, 28, 34),
(211, 1, 120),
(212, 1, 42),
(230, 1, 121),
(231, 1, 122),
(232, 1, 123),
(233, 1, 124),
(234, 1, 125),
(235, 1, 126),
(236, 1, 127),
(237, 1, 128),
(238, 1, 129),
(239, 1, 130),
(240, 1, 131),
(241, 1, 132),
(242, 1, 133),
(243, 1, 134),
(244, 1, 135),
(245, 1, 137),
(246, 1, 138),
(247, 1, 139),
(249, 0, 119),
(276, 0, 108),
(320, 0, 114),
(343, 5, 143),
(348, 0, 111),
(429, 0, 95),
(438, 0, 146),
(448, 0, 116),
(449, 0, 109),
(464, 1, 30),
(467, 0, 96),
(511, 0, 106),
(512, 0, 105),
(513, 0, 104),
(514, 0, 97),
(515, 0, 103),
(518, 0, 147),
(521, 0, 148),
(522, 0, 149),
(543, 0, 100),
(549, 56, 152),
(551, 36, 32),
(555, 0, 99),
(556, 0, 110),
(557, 0, 34),
(558, 71, 140),
(564, 71, 118),
(565, 66, 39),
(566, 63, 157),
(567, 0, 107),
(568, 0, 113),
(569, 0, 101),
(570, 0, 117);

-- --------------------------------------------------------

--
-- Table structure for table `qmd_articles`
--

CREATE TABLE IF NOT EXISTS `qmd_articles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `art_parent` int(10) unsigned DEFAULT NULL,
  `seftitle` char(100) COLLATE latin1_general_ci DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `category` int(8) unsigned NOT NULL DEFAULT '0',
  `display_mode` smallint(6) unsigned NOT NULL DEFAULT '3' COMMENT '''0=invisible 1=visible 2=show in cats 3=default 4=show as page (no vac) 8=Fullscreen''',
  `displaytitle` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'display the title???',
  `commentable` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `show_on_home` tinyint(1) unsigned DEFAULT '1',
  `artorder` int(11) unsigned NOT NULL DEFAULT '0',
  `default_page` tinyint(4) DEFAULT '0',
  `showdate` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'display the date to this article',
  `VAC` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '1 = VAC see DOC for more info on usage',
  `scheme` char(32) COLLATE latin1_general_ci DEFAULT 'default',
  `objectloader` char(128) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'a php file containing an object to display the article(s)',
  `DCType` char(25) COLLATE latin1_general_ci NOT NULL DEFAULT 'Text',
  `DOCtypeHTML` smallint(6) NOT NULL DEFAULT '0',
  `optXtra` char(32) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `show_on_home` (`show_on_home`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=181 ;

--
-- Dumping data for table `qmd_articles`
--

INSERT INTO `qmd_articles` (`id`, `art_parent`, `seftitle`, `date`, `category`, `display_mode`, `displaytitle`, `commentable`, `show_on_home`, `artorder`, `default_page`, `showdate`, `VAC`, `scheme`, `objectloader`, `DCType`, `DOCtypeHTML`, `optXtra`) VALUES
(1, NULL, 'welcome-to-qmdcms', '2012-03-12 11:52:00', 1, 3, 0, 1, 1, 1, 0, 1, 0, 'default', '', 'Text', 0, ''),
(30, NULL, 'adaptosrosamaria', '2013-09-30 12:12:00', 1, 1, 1, 0, 0, 1, 0, 1, 27, 'qimanfaya', '', 'Text', 0, NULL),
(32, NULL, 'qmdcms', '2013-10-10 10:06:00', 28, 1, 1, 1, 0, 1, 0, 1, 0, 'digital', '', 'Text', 0, ''),
(34, NULL, 'stipo-pranyko', '2012-06-13 16:39:00', 1, 3, 1, 2, 0, 1, 0, 1, 0, 'default', '', 'Text', 0, ''),
(39, NULL, 'wandern-hiking-senderismo', '2011-06-17 16:42:00', 41, 3, 1, 2, 0, 1, 0, 1, 0, 'excursions', 'exc_list.php', 'Text', 0, 'HIKE'),
(143, NULL, 'exkursionen-auf-lanzarote', '2014-03-14 13:09:00', 43, 3, 1, 1, 0, 1, 0, 1, 0, 'excursions', '', 'Text', 0, ''),
(146, NULL, 'bikes-on-lanzarote', '2014-03-22 10:21:00', 39, 3, 1, 1, 0, 1, 0, 1, 0, 'excursions', '', 'Text', 0, NULL),
(147, NULL, 'camelspringad1', '2014-01-23 14:35:00', 1, 3, 1, 1, 0, 1, 0, 1, 9, 'default', '', 'Text', 0, NULL),
(148, NULL, 'ebike-lanzarote', '2014-01-23 14:54:00', 1, 3, 1, 1, 0, 1, 0, 1, 9, 'excursions', '', 'Text', 0, NULL),
(149, NULL, 'segwaybanner', '2010-11-24 15:55:00', 5, 3, 1, 1, 0, 1, 0, 1, 9, 'default', '', 'Text', 0, NULL),
(152, NULL, 'frequently-asked-questions', '2014-03-25 16:19:00', 38, 5, 0, 2, 0, 1, 0, 1, 0, 'digital', '', 'Text', 0, NULL),
(155, NULL, 'downloadtouren', '2014-04-29 18:46:00', 1, 1, 0, 0, 0, 1, 0, 0, 7, '0', '', 'Text', 0, ''),
(157, NULL, 'mtb-excursions-on-lanzarote', '2011-06-17 16:42:00', 1, 3, 1, 2, 0, 1, 0, 1, 0, 'excursions', 'exc_list.php', 'Text', 0, 'MTB'),
(158, 157, 'cueva-del-agua', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(159, 157, 'mtb-tahiche', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(160, 157, 'nazaret-teseguite', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(161, 157, 'mtb-guenia', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(162, 157, 'mtb-teguise-easy', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(163, 157, 'mtb-teguise-hard', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(164, 157, 'volcano-saga-easy', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(165, 157, 'mtb-teseguite-rofera', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(166, 157, 'mtb-teseguite-G&uuml;enia-el-mojon', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(167, 157, 'mtb-king-of-spain', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(168, 157, 'mtb-xl-penas-del-chache', '2014-05-08 12:48:00', 42, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(169, 39, 'alte-saline-guatiza', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(170, 39, 'mtb-tinamala', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(171, 39, 'mtb-zonzamas', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(172, 39, 'mtb-water-on-lanzarote', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(173, 39, 'caldera-de-la-rilla', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(174, 39, 'barranco-teneguime', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(175, 39, 'pico-redondo', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(176, 39, 'los-lomos', '2014-05-08 12:48:08', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(177, 39, 'ajaches-grotte-bco-casa', '2014-05-08 12:48:09', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(178, 39, 'maguez', '2014-05-08 12:48:09', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(179, 39, 'caldera-blanca-easy', '2014-05-08 12:48:09', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, ''),
(180, 39, 'caldera-blanca-long', '2014-05-08 12:48:09', 41, 3, 0, 2, 0, 0, 0, 1, 0, 'excursions', 'exc_list_item.php', 'Text', 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_articles_ML`
--

CREATE TABLE IF NOT EXISTS `qmd_articles_ML` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `lang` char(4) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '@ANY',
  `body` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title` char(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `keywords_meta` text CHARACTER SET latin1 COLLATE latin1_general_ci,
  `description_meta` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `subject_meta` char(70) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `parent` (`parent`,`lang`),
  KEY `parent_2` (`parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=236 ;

--
-- Dumping data for table `qmd_articles_ML`
--

INSERT INTO `qmd_articles_ML` (`ID`, `parent`, `lang`, `body`, `title`, `keywords_meta`, `description_meta`, `subject_meta`) VALUES
(1, 1, 'en', '<p>Well done!</p>The fact that you read this article in your browser and in your test-site means: you have installed <strong>qMD-CMS</strong> correctly and it is connected to the database.<br/><br/>It is <strong>strongly</strong> suggested that you <a href="login/" title="Login"><img src="/dev.img/arrow_right.gif" alt=''login''/>&nbsp;login</a> right away; \r\n<br/> Go to the <a href="/user/"><img src="/dev.img/arrow_right.gif" alt=''link'' />&nbsp;<em>USER-PANEL</em>-page</a>. There you''ll find <em>Change Username and Password</em>.<br/> <strong>Do it</strong> and make the password hard to guess.<br/><br/>After doing that, feel free to delete this article and start building your site.<br />\r\n<br />\r\n[break]<p>If you stumble along the way, check the <a href="http://qimanfaya.net/digital/qMD-CMS/faq/" title="Troubleshooting and FAQ">Troubleshooting and FAQ</a> page.<br/>Still lost? We''ll be there to assist you in any way we can.<br/>Thank you for choosing qMD-CMS.  We hope you enjoy it as much as we do.<br/>\r\n', 'Welcome to qMD-CMS', '', '', ''),
(32, 30, '@ANY', '<div id="txtFootAdRMRight">\r\n<a href="/apartamentos-rosa-maria">\r\n<b>Apartments auf Lanzarote</b><br/>\r\nFerienwohnung in La Asomada\r\n</a>\r\n</div>', 'ad_aptos_rosa_maria', '', '', ''),
(39, 32, 'en', '	<div id="rm_wrap">\r\n		<div class="note">\r\n			<a href="http://qimanfaya.net/digital.html" title="a menu driven CMS">\r\n				<img src="/dev.img/qmd-logo.gif" alt="qMD CMS logo"/>\r\n			</a>\r\n		</div>\r\n		<h2>qMD-CMS 0.8.7 alpha Readme</h2>\r\n		<h3>Updated: April 2014</h3>\r\n			<p>Welcome to <b>qMD-CMS</b> a simple <a href="http://www.php.net/">PHP</a> and <a href="http://www.mysql.com/">MySQL</a> powered, standards compliant <a href="http://en.wikipedia.org/wiki/Content_management_system">Content Management System</a> (CMS).</p>\r\n			<p>qMD-CMS is a very light and user-friendly CMS.</p>\r\n			<p><strong>qMD-CMS</strong> consists of some engine files located in the following folders:</p>\r\n			<div class="code">\r\n				<ul>\r\n				<li><b>./www</b> - that''s where the <span style="color:#FF0000; font-weight:bold;">master index.php</span> file is located - and all the rest of your stuff as well...</li>\r\n				<li><b>./qMDCMS</b> - The core of qMD-CMS.</li>\r\n				<li><b>./GLOBAL</b> - Two files with systemsettings. Here you may enter your global settings such as database access (see below)</li>\r\n				<li><b>./www/lang</b> - Three language files for users: en.php, de.php, es.php and three for administration</li>\r\n				<li><b>./www/schemes/default</b> - A standard template file and subfolders for (system-)images and css-stuff for content styling and presentation.</li>\r\n				<li><b>./www/schemes/*</b> - Other templates just to experiment or try different layout and presentation.</li>\r\n				<li>*.css and *.js-Folders: You''ll also find javascript files for functionality (e.g. for admin-purposes) which is only loaded when you''re logged in as an admin.</li>\r\n				</ul>\r\n\r\n			</div>\r\n			\r\n			<p><strong>Before installing, please check that your server meets the minimum system requirements:</strong></p>\r\n			<div class="important">\r\n				<ul>\r\n					<li><a href="http://www.apache.org/">Apache Server</a> with <strong>mod_rewrite</strong> module enabled</li>\r\n					<li><a href="http://www.mysql.com/">MySQL</a> database, minimum version 5.x</li>\r\n					<li><a href="http://www.php.net/">PHP</a>: Hypertext Preprocessor, minimum version 5.3</li>\r\n				</ul>\r\n			</div>\r\n		<h3>Fits any OS (Linux, Mac, Windows)</h3>\r\n			<p>Apache, MySQL and PHP are all Open Source applications and freely available. They come preinstalled on Mac OS X 10.2.8 and later; they can be installed both on Windows and Linux OS (detailed info can be found on their respective websites) and they form the most widely used database server setup on the Internet today. For best result in a local server environment though, we suggest that you use <a href="http://en.wikipedia.org/wiki/List_of_AMP_Packages" title="Wikipedia list of AMP stacks">a dedicated server stack</a> (applications bundle): <strong class="graytext">LAMP (Linux), MAMP (Mac)</strong> and <strong class="graytext">XAMPP (Windows)</strong> are the recommended stacks at this time.</p>\r\n			<p><em class="redtext">Note that qMD-CMS beta in its default configuration will not work on a Windows IIS server because it uses different methods of URL rewriting.</em></p>\r\n\r\n			<h2><strong>Install qMD-CMS</strong> by following these simple steps:</h2>\r\n			<h3>1. Set up the website on your server</h3>\r\n			Please refer to the documentation of your server in order to learn how to set up a website.<br/>\r\n			<strong>Test-Website</strong><br/>\r\n			In order to test qmd-CMS on your local machine and have debug automagically enabled, you should use a site-name\r\n			ending in *.test as TLD [e.g.: qmd-CMS.test or foobar.test]<br/>\r\n			You can use another TLD and enable debug manually by editing ./GLOBALS/qmd_const_settings.php.\r\n			<h3>2. Upload files</h3>\r\n			<div class="lime">\r\n				<p><strong>Copy all the files</strong> from the qMD-CMS package to your server - <span class="redtext">excluding the SQL folder</span> - and CHMOD 777 (= rwx-rwx-rwx) the folder(s) you''ll upload your images (e.g. files) to. If you don''t know how to change permissions, contact your server administrator.</p>\r\n			</div>\r\n			\r\n			<p><strong>Make a back-up copy of the SQL files</strong> in a safe place, so you always have spares on hand. Open the file you wish to use in your good code editor... add your <em>prefix</em> as noted above... and save your file with a unique file-name.</p>\r\n\r\n		<h3>3. Setup the Database</h3>\r\n			<p><strong>3.1 - Create the Database:</strong></p> Start by creating a database and user/password (if required by the server), using the database administration tool available on your server (phpMyAdmin for example). If you already have a database set up, skip this step.<br/>\r\n			<p>Import the modified file to populate (or modify) your database with the table-data.</p>\r\n			\r\n			<p class="redtext indent"><strong>IMPORTANT NOTE:</strong> If you need to use a <em>prefix</em>, for example if your domain host only allows you to use one database, you should add that prefix to each table-name  e.g. <em>prefix_qmd_articles</em>, <em>prefix_qmd_users</em>, <em>prefix_qmd_categories</em> etc, as well as the table-names in all data INSERT strings, before running the code. You must also add that prefix into GLOBAL/qmd_app_config.php in step 2 (see below). Be aware that this prefix is something that you choose - <em>bob_</em> or <em>sitename_</em> - it is entirely separate from any prefix that your host may add.</p>\r\n			<p><strong>Note: </strong>The need for a prefix has been reduced by a default prefix ["qmd_"] for all tables. An additional prefix is currently untested.</p>\r\n\r\n			<p><strong>3.2 - Populate (Create tables in) the Database:</strong> You will find an SQL folder in your qMD-CMS package. There is a ready-made SQL data file in the folder. With your empty database selected, (using phpMyAdmin, for example), click the IMPORT tab and browse to the file you wish to import... then hit the ''GO'' button to create your tables. If you have created a fresh (empty) database for a new installation, import the <span class="redtext">qmd.sql</span> file.</p>\r\n			<p><strong>Note on the data delivered with qmd-CMS:</strong></p>\r\n			There is some demo-data included in order to demonstrate some usage:\r\n			<ul>\r\n				<li>few articles</li>\r\n				<li>some ads (called VAC)</li>\r\n				<li>a ''full-page'' ad</li>\r\n				<li>some list items in order to demonstrate usage of lists</li>\r\n			</ul>\r\n			If you don''t need them you can delete all with your mySQL tool (faster) or in the administration section of qmd-CMS.\r\n			<br/>Do not delete content in table qmd_settings.\r\n		<h3>4. Edit Settings</h3>\r\n			<strong>PHP-Settings for Database Access</strong><br/>\r\n			The settings are to be found in the folder: ./GLOBALS<br/>\r\n			<p class="redtext indent">\r\n			Open the file ''qmd_app_config_template.php'' with your editor and <b>rename</b> it to <b>qmd_app_config.php</b>.</p>\r\n			<p><strong>Edit "GLOBALS/qmd_app_config.php"</strong> and <strong>enter your settings</strong>:</p>\r\n\r\n			<div class="sky">\r\n\r\n				<p><em class="graytext">MySQL Host: provided by hosting company. This is usually "localhost":</em></p>\r\n				<p>''dbhost'' 	=&gt; ''<em class="redtext">localhost</em>'',</p>\r\n\r\n				<p><em class="graytext">Database Name: the one you have created in step 1 with <strong>phpMyAdmin</strong> or similar:</em></p>\r\n				<p>''dbname'' 	=&gt; ''<em class="redtext">qMD-CMS</em>'',</p>\r\n\r\n				<p><em class="graytext">Database Username:</em><br />\r\n				''dbuname'' 	=&gt; ''<em class="redtext">root</em>'',&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[use <b>YOUR</b> username!]</p>\r\n\r\n				<p><em class="graytext">Database password::</em><br />\r\n				''dbpass'' 	=&gt; ''<em class="redtext">asfoiu87rt</em>''   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[use <b>YOUR</b> password!]</p>\r\n				<p><em class="graytext">Locate the lines containing: ''prefix'' =&gt; ''''.</em></p>\r\n				<p>Change the value to your local database-prefix (if required).</p>\r\n				<p>...only used when a hosting company provides only one database:<br />\r\n				''prefix'' 	=&gt; ''''&nbsp;&nbsp;&nbsp;<br/>\r\n				you may just leave the prefix blank...</p>\r\n			</div>\r\n\r\n\r\n		<h3>Done!</h3>\r\n		\r\n\r\n		<h3>4. Start off qmd-CMS</h3>\r\n			<p>On first start a user will be created you''ll see the new password for admin in a dialog-box.</p>\r\n			<p>Write down the password - and hit enter.</p>\r\n			<p>You will be redirected to the Login-Panel</p>\r\n			<p>Your first login-credentials are:</p>\r\n			<p>username:admin</p>\r\n			<p>password:<i><the-newly-created-password-mentioned-above></i></p>\r\n			<strong>You should change the password now.</strong><br/>\r\n			<p>click user-panel at the upper right corner of the page.</p>\r\n			<p>click on: <em>Change Username and Password</em></p>\r\n			<strong>DO IT.</strong>\r\n			<br/>\r\n			<p>You are ready to go! Login to start adding content and managing your site.<br />\r\n			Bug reports, suggestions, comments, questions: <a href="http://qimanfaya.net/digital/qMD-CMS/" title="The official qMD-CMS user Forum">qMD-CMS Forum</a></p>\r\n\r\n		<h2>Additional info</h2>\r\n		<div class="important">\r\n			<p><strong class="smallcaps">Important!</strong> qMD-CMS makes use of the Apache module <em>mod_rewrite</em> and the system file <em>.htaccess</em> to create the <em>Search Engine Friendly</em> (SEF) links that are essential to the CMS. Using SEF or pretty links makes your site much more search engine friendly and gives it better rankings on Google and other popular search engines. <em>If you install the qMD-CMS files in a subfolder on your domain root (i.e. http://mydomain.com/<strong>subfolder</strong>/), you must edit the included .htaccess file to match the path to your installation</em>. On a web server, use your FTP client to locate the .htaccess file in your qMD-CMS installation folder (you will need to enable "show hidden files" or similar feature in the client);</p>\r\n			<p>Open the .htaccess file in the FTP client or your text editor of choice and find the line: <strong>#RewriteBase /qMD-CMS</strong>.<br />\r\n			Change this line to look like the following, with the second part matching the path to your qMD-CMS installation:<br />\r\n			<strong>RewriteBase /name-of-qMD-CMS-folder</strong></p>\r\n			<p>If you need to do the same operation locally on a Mac using Mac OS X or a PC using Windows and can''t find the .htaccess file, use the included "htaccess.txt" file to make your changes, then save it as .htaccess in your qMD-CMS installation folder. Mac OS X and Windows (some editions) hide files that start with a period (.) from plain view.</p>\r\n		</div>\r\n		<p>More information about <a href="http://qimanfaya.net/digital/qMD-CMS/help/qMD-CMS-on-your-computer/" title="Using qMD-CMS on your local computer">Using qMD-CMS on your local computer</a> can be found in the <a href="http://qimanfaya.net/digital/qMD-CMS/help/" title="Help Section">Help Section</a> at <a href="http://qimanfaya.net/digital/qMD-CMS/" title="The official qMD-CMS web site">qMD-CMS</a>.</p>\r\n		<p>Enjoy!<br />\r\n		<em>hy</em></p>\r\n		<br/>\r\n		<br/>\r\n		<h2>HELP</h2>\r\n		<br/>\r\n		The following files should accompany your version of qmd-CMS that might help you in getting started:<br/>\r\n		<div class="sky">\r\n			<ul>\r\n				<li><b>readme:</b> - some (more or less) historic notes...</li>\r\n				<li><b>upgrade:</b> information on how to upgrade from a previous version.</li>\r\n				<li><b>qmd_notes_INIT.pdf</b> A description of the init process of qmd-CMS</li>\r\n				<li><b>manual-qmdcms.pdf:</b> - the manual - ATM this is also very beta and does not cover much topics in depth.</li>\r\n				<li><b>manual_qmdcms.odt:</b> - the manual in its'' original format (Libre-Office).</li>\r\n				<li><b>qmd_notes:</b> - A Libre-Office spreadsheet with notes on internal usage. DB-Description etc.</li>\r\n			</ul>\r\n			Note: The LibreOffice files are usually more up to date than the PDF )-;<br/>\r\n			It is strongly recommended to have a look at the manual-qmdcms.pdf<br/>\r\n		\r\n			<b>FAQ + Forum:</b> - I will try to implement a FAQ-section in my website in the future. A forum is planned but far from being done.\r\n			\r\n		</div>\r\n		<br/>\r\n		<em>End of file</em>\r\n		<hr />\r\n		<p class="note">&copy; Copyright <a href="http://qimanfaya.net/digital/qMD-CMS" title="Informatica y Web Design">qimanfaya/hy-soft</a>, 2012 - 2014. <a href="http://qimanfaya.net/digital/qMD-CMScms/">qMD-CMS</a> is licensed under GPL V.3<a href="http://www.gnu.org/licenses/gpl.txt">GNU GENERAL PUBLIC LICENSE Version 3, as of 29 June 2007</a><br/>\r\n		Original source of <a href="http://snewscms.com">snews</a> by:  Copyright (C): Solucija.com<br/>\r\n			+	sNews was licensed under a <a href="http://creativecommons.org/licenses/by/2.5/">Creative Commons License 2.5</a>.</p>\r\n			\r\n	</div>\r\n', 'qmd-CMS', '', '', ''),
(48, 34, 'de', '<strong>Stipo Pranyko - Abschied eines K&uuml;nstlers</strong><br /><br/><img src="/images/stipo~sml.jpg" alt="Stipo Pranyko" /><br />Am 24. Mai 2012 veranstaltete die Fundaci&oacute;n C&eacute;sar Manrique eine Hommage f&uuml;r den K&uuml;nstler Stipo Pranyko, der Lanzarote nach 24 Jahren verl&auml;sst. Neben seiner Bewunderung f&uuml;r die Werke C&eacute;sar Manriques waren es in erster Linie die vielen pers&ouml;nlichen Freundschaften und seine Achtung vor der hart arbeitenden (Land-)Bev&ouml;lkerung, der er sich hier verbunden f&uuml;hlte.<br />[break]<br />Stipo Pranyko, der 1930 in Jajce, Bosnien geboren wurde, ist nicht nur im &uuml;bertragenen Sinne und als K&uuml;nstler ein Wanderer zwischen den Welten. Sein Lebensweg f&uuml;hrte ihn &uuml;ber Istrien aus dem ehemaligen Jugoslawien nach Italien und Deutschland, wo er lange Zeit bei Freiburg lebte, bevor er ins nahe gelegene Elsass &uuml;bersiedelte. Schliesslich - im Jahre 1989 - kam er nach Lanzarote. Er kaufte in Tahiche ein Grundst&uuml;ck mit einer Ruine, welche er zu seinem Haus umbaute. Das gesamte Anwesen wurde im Laufe der Jahre zu einem Gesamtkunstwerk, welches st&auml;ndig weiterentwickelt wurde und sich noch heute als &laquo;work in progress&raquo; darstellt. Un&uuml;bersehbar sind hier die Einfl&uuml;sse von C&eacute;sar Manrique und Le Corbusier. Letzterer hat mit seinem Werk &uuml;ber die Gestaltung des Badezimmers Stipo Pranyko zu aussergew&ouml;hnlichen Formen und Ideen inspiriert, die er in Tahiche realisierte.<br />Doch nicht als Architekt machte sich Stipo Pranyko einen Namen. Es sind in erster Linie seine Bilder und Objekte welche einen eigenen, ganz besonderen Stil aufweisen. Er vermischt Fundst&uuml;cke und Alltagsgegenst&auml;nde mit abstrakten Strukturen. Diese Gegenst&auml;nde sind oftmals sehr alt und zeigen Spuren von Notreparaturen! So auch der L&ouml;ffel im nebenstehenden Bild: "Cuadro con Cuchara". <br /><img src="/images/loeffelbild2.jpg" alt="Cuadro con Cuchara" /><br />Diese Fundst&uuml;cke sind Dokumente der kanarischen Vergangenheit, f&uuml;r die Stipo grosse Bewunderung und Ehrfurcht empfindet. Deshalb hat er mich gebeten, einige landwirtschaftliche Werkzeuge, die auch in einer Ausstellung in Teguise zu sehen waren, dem Museo Tanit in S. Bartolom&eacute; zu &uuml;berbringen.<br />Stipo Pranyko als K&uuml;nstler ist Autodidakt. Nachdem er 1955 zum zweiten Mal vergeblich versucht hatte, auf eine Kunstakademie aufgenommen zu werden, ging er kurz entschlossen nach Rovinj in Istrien, wo kurz vorher eine K&uuml;nstlerkolonie gegr&uuml;ndet worden war und wurde dort sogleich Mitglied.<br />Als er im Fr&uuml;hjahr 1963 nach Italien kam, hatte er Kontakt mit Manzoni, Castellani, Fontana und anderen K&uuml;nstlern der "Nuove Tendenzie Italiane", was f&uuml;r seine weitere k&uuml;nstlerische Arbeit entscheidend war.<br />Ein jeder, der Lanzarote liebt, ist von Stipos H&auml;usern beeindruckt und dem Spiel des Lichts, das hier zu jeder Jahreszeit seine eigene Faszination hat. So verst&auml;rkt die tiefstehende Sonne im Winter die Kontraste und im Sommer blendet uns beinahe das von einer weissen Wand reflektierte Licht. F&uuml;r Stipo Pranyko war das Leben auf Lanzarote ebenso inspirierend wie anregend. Aber es war auch eine Flucht vor dem elit&auml;ren europ&auml;ischen Kulturbetrieb, dessen aufgesetzte Arroganz den K&uuml;nstler anwiderten.<br /><strong>Weiss - oder &laquo;La Fascinaci&oacute;n de la Simplicidad&raquo;</strong><br />"Weiss ist keine Farbe", betonte Stipo in einem Gespr&auml;ch und f&auml;hrt fort: "Es besteht aus allen Farben, so beinhaltet es bereits alles und dem ist also nichts hinzuzuf&uuml;gen."<br />Nichtsdestotrotz setzt der K&uuml;nstler diesem Weiss doch einen Kontrapunkt entgegen: Abstrakte Linien, die in der Natur gar nicht existieren. Eine Linie ist eine mathematische Idee des Menschen, ein Ideal, welches keine Entsprechung in der realen Welt hat.<br />Stipo Pranyko hat gerne und immer wieder philosophische Texte gelesen, besonders Nietzsche und Heidegger; z. Bsp. "Sein und Zeit" mit dem unvergesslichen Essay und dem traurigen Titel rn"Wozu Dichter?" - wobei er in diesem Zusammenhang immer als prompte Antwort einen Vers von H&ouml;lderlin zitiert: "Und das, was bleibt, stiften die Dichter!"<br />Stipo Pranyko hat trotz \r\nseines Alters nichts von seiner Agilit&auml;t verloren. Die ihm innewohnende Energie wirkt ansteckend, was sicher auch auf seine Toleranz und Feinf&uuml;hligkeit zur&uuml;ckzuf&uuml;hren ist, mit der er seinen Mitmenschen begegnet. Auch wenn sich trefflich &uuml;ber moderne - respektive abstrakte - Kunst streiten l&auml;sst, so ist diesem Menschen sicher ein Kunstst&uuml;ck gelungen: Er ist sich selbst immer treu geblieben und verf&uuml;gt nach wie vor &uuml;ber Tatendrang und eine - f&uuml;r sein Alter unglaubliche - Energie.<br />Als Stipo am Tag seines offiziellen Abschieds von Lanzarote seine Danksagung formulierte, sagte er auch: "Ich danke meinem Schicksal, dass es mich vor 24 Jahren nach Lanzarote gebracht hat", und bekr&auml;ftigt das Wort Schicksal mit Berufung auf Nietzsche und seinen Text "Amor fati".<br />Derzeit kann man Werke von Stipo Pranyko im Museo "Tenerife Espacio de las Artes" (TEA) bewundern, dessen Kuratoren Isidro Hernandez, Melchor L&oacute;pez und Fernando Gomez ebenfalls bei der Hommage anwesend waren.<br />Stipo Pranyko lebt jetzt in M&uuml;nchen, wo er ein Atelier hat und weiterhin kreativ arbeitet.	<br />', 'Stipo Pranyko', '', '', ''),
(63, 39, '@ANY', '', 'Wandern auf Lanzarote', '', '', ''),
(145, 143, 'es', 'Estimados clientes,<br/>\r\nofrecemos una gran variedad de excursiones interesantes y entrenedidos en Lanzarote para los destinatarios:<br/>\r\n<ul>\r\n<li>senderismo/excursionistas</li>\r\n<li>deportistas (BTT/eBike)</li>\r\n<li>familias con ni&ntilde;os</li>\r\n<li>mayores y disminuidos</li>\r\n</ul>\r\n\r\n', 'Exkursionen auf Lanzarote', 'Exkursionen, Lanzarote, MTB, eBike, Pedelec, Behinderte, AusflÃ¼ge', 'ir bieten eine vielzahl an interessanten sowie unterhaltsamen Exkursionen auf Lanzarote fÃ¼r unterschedliche Zielgruppen:rn+Wandererrn+Sportler (MTB/eBike)rn+Familien mit Kindernrn+Behinderte und Senioren', ''),
(146, 143, 'de', 'Sehr geehrte Interessenten,\r\nwir bieten eine vielzahl an interessanten sowie unterhaltsamen Exkursionen auf Lanzarote f&uuml;r unterschiedliche Zielgruppen:\r\n<ul>\r\n<li>Wanderer</li>\r\n<li>Sportler (MTB/eBike)</li>[break]\r\n<li>Familien mit Kindern</li>\r\n<li>Behinderte und Senioren</li>\r\n<li>Photographen</li>\r\n</ul>\r\n', 'Exkursionen auf Lanzarote', 'Exkursionen, Lanzarote, MTB, eBike, Pedelec, Behinderte, Ausfl&uuml;ge', 'ir bieten eine vielzahl an interessanten sowie unterhaltsamen Exkursionen auf Lanzarote f&uuml;r unterschedliche Zielgruppen:rn+Wandererrn+Sportler (MTB/eBike)rn+Familien mit Kindernrn+Behinderte und Senioren', ''),
(147, 143, 'en', 'Dear customers,\r\nwe offer a wide range of interesting and entertaining excursions on Lanzarote for the following target audience:\r\n+Hikers\r\n+sportsmen (MTB/eBike)\r\n+families with kids\r\n+Seniors and handicapped people\r\n\r\n', 'Exkursions on Lanzarote', 'Exkursions, Lanzarote, MTB, eBike, Pedelec, handicapped, day trips, hiking', 'we offer a wide range of interesting and entertaining excursions on Lanzarote for the following target audience:rn+Hikersrn+sportsmen (MTB/eBike)rn+families with kidsrn+Seniors and handicapped people', ''),
(159, 146, 'en', 'Dear customers,<br />\r\nwe offer as well <strong>guided excursions</strong>\r\n with Mountain-Bikes as e-Bikes/Pedelecs. \r\n<br />\r\n<br />\r\n<strong>Bike-Rental</strong>\r\n<br />\r\nMTB (Scott)<br />\r\neBikes (Kalkhoff) - (more e-Bikes on request)\r\n<br />\r\nWe offer best quality bikes at fair pricing.', 'Bikes on Lanzarote', '', '', ''),
(169, 148, 'de', '<a href="http://www.ebike-lanzarote.com/"><img src="/dev.img/ad/eBike_banner_sml.png" alt=''e-Bike Lanzarote'' /></a><br /><a href="http://www.ebike-lanzarote.com/"><strong>Verleih und gef&uuml;hrte Touren auf Lanzarote</strong></a>\r\n\r\n', 'e-Bike Verleih Lanzarote', '', '', ''),
(170, 148, 'es', '<a href="http://www.ebike-lanzarote.com/"><img src="/dev.img/ad/eBike_banner_sml.png" alt=''e-Bike Lanzarote'' /></a><br /><a href="http://www.ebike-lanzarote.com/"><strong>Alquiler de bicis y excursiones guiadas</strong></a>\r\n\r\n', 'e-Bike Verleih Lanzarote', '', '', ''),
(171, 148, 'en', '<a href="http://www.ebike-lanzarote.com/"><img src="/dev.img/ad/eBike_banner_sml.png" alt=''e-Bike Lanzarote'' /></a><br /><a href="http://www.ebike-lanzarote.com/"><strong>e-Bike Rental and guided excursions</strong></a>\r\n\r\n', 'e-Bike Verleih Lanzarote', '', '', ''),
(176, 147, 'en', '<b><a href="http://camelspring.com/">Seaside apartements Costa Teguise</a></b><br/>\r\n<a href="http://camelspring.com/"><img src="/dev.img/ad/camelspring_logo~xa.jpg" alt=''apartments camel spring''/></a>', 'camel_spring_ad1', '', '', ''),
(179, 147, 'es', '<b><a href="http://camelspring.com/">Apartamentos familiares en Costa Teguise</a></b><br/>\r\n<a href="http://camelspring.com/"><img src="/dev.img/ad/camelspring_logo~xa.jpg" alt=''apartments camel spring''/></a>', 'camel_spring_ad1', '', '', ''),
(197, 147, 'de', '<b><a href="http://camelspring.com/">Famili&auml;re Apartementanlage in Costa Teguise</a></b><br/>\r\n<a href="http://camelspring.com/"><img src="/dev.img/ad/camelspring_logo~xa.jpg" alt=''apartments camel spring''/></a>', 'camel_spring_ad1', '', '', ''),
(199, 149, '@ANY', '<a href="http://www.segwaylanzarote.com/"><img src=''/dev.img/ad/segway_banner_250.png'' alt=''segway tours lanzarote in costa teguise''/></a>', 'segway_banner', '', '', ''),
(204, 152, 'en', '<h2>Frequently asked questions</h2>\r\nHere are some frequently asked questions (and answers) to help you getting started with qmd-CMS.[break]<br />\r\n\r\n\r\nQ: How do I Install qmd-CMS?<br />\r\nA: Please follow the few simple instructions in the readme.html that accompanies your copy of qmd-CMS.\r\n<br />\r\n<br />\r\n\r\nQ: I lost my password. How can I recover it?<br />\r\n\r\nA: Delete all users in the database. Reload your site and a new admin is created. The password will be presented in a message-box. Copy it, log in and change the password. <br />\r\n<br />\r\n', 'frequently asked questions', 'FAQ, frequently asked quesions, CMS, qmd-CMS, ', 'Here are some frequently asked questions (and answers) to help you getting started with qmd-CMS.', 'qmd-CMS FAQ'),
(209, 155, 'en', '<h3>download</h3>\r\n<a href="/files/tourenuebersicht_en.pdf"><img src="/dev.img/arrow_right.gif" alt="arrow" />&nbsp;Overview Excursions</a>', 'download-touren', '', '', ''),
(211, 157, '@ANY', '', 'MTB auf Lanzarote', '', '', ''),
(213, 158, 'de', 'MTB-Excursion', 'cueva-del-agua', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(214, 159, 'de', 'MTB-Excursion', 'mtb-tahiche', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(215, 160, 'de', 'MTB-Excursion', 'nazaret-teseguite', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(216, 161, 'de', 'MTB-Excursion', 'mtb-guenia', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(217, 162, 'de', 'MTB-Excursion', 'mtb-teguise-easy', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(218, 163, 'de', 'MTB-Excursion', 'mtb-teguise-hard', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(219, 164, 'de', 'MTB-Excursion', 'volcano-saga-easy', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(220, 165, 'de', 'MTB-Excursion', 'mtb-teseguite-rofera', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(221, 166, 'de', 'MTB-Excursion', 'mtb-teseguite-G&uuml;enia-el-mojon', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(222, 167, 'de', 'MTB-Excursion', 'mtb-king-of-spain', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(223, 168, 'de', 'MTB-Excursion', 'mtb-xl-penas-del-chache', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(224, 169, 'de', 'Hiking on Lanzarote', 'alte-saline-guatiza', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(225, 170, 'de', 'Hiking on Lanzarote', 'mtb-tinamala', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(226, 171, 'de', 'Hiking on Lanzarote', 'mtb-zonzamas', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(227, 172, 'de', 'Hiking on Lanzarote', 'mtb-water-on-lanzarote', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(228, 173, 'de', 'Hiking on Lanzarote', 'caldera-de-la-rilla', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(229, 174, 'de', 'Hiking on Lanzarote', 'barranco-teneguime', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(230, 175, 'de', 'Hiking on Lanzarote', 'pico-redondo', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(231, 176, 'de', 'Hiking on Lanzarote', 'los-lomos', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(232, 177, 'de', 'Hiking on Lanzarote', 'ajaches-grotte-bco-casa', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(233, 178, 'de', 'Hiking on Lanzarote', 'maguez', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(234, 179, 'de', 'Hiking on Lanzarote', 'caldera-blanca-easy', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk'),
(235, 180, 'de', 'Hiking on Lanzarote', 'caldera-blanca-long', 'Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Photonen, Fotonen, Therapie, Behandlung, nebenwirkungsfrei, IT, service, website, network,programming, Costa Teguise, Exkursionen, Wanderungen, Bike, Touren, MTB, MTB-Touren,unvergessliche Orte, Wandern', 'Qimanfaya-Excursionen auf Lanzarote. Wandern, MTB und faszinierende Landschaftem. Entdecke diese besondere Welt, die Vulkane, Lava sowie Flora und Fauna.', 'Exkursionen auf Lanzarote - Wandern auf Lava, MTB-Trails zwischen Vulk');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_categories`
--

CREATE TABLE IF NOT EXISTS `qmd_categories` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `catlink` varchar(100) CHARACTER SET latin1 NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=not published',
  `catorder` smallint(6) NOT NULL DEFAULT '0',
  `parent` int(8) NOT NULL DEFAULT '0',
  `scheme` char(32) COLLATE latin1_general_ci NOT NULL DEFAULT 'default',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=44 ;

--
-- Dumping data for table `qmd_categories`
--

INSERT INTO `qmd_categories` (`id`, `catlink`, `description`, `published`, `catorder`, `parent`, `scheme`) VALUES
(0, 'no-cat', 'no category', 0, 0, -1, 'default'),
(1, 'uncategorized', 'this is a category even if its named uncategorized', 1, 1, 0, 'default'),
(2, 'volcanoes', 'Vulkane auf Lanzarote', 1, 2, 0, 'default'),
(4, 'lanzarote-art', 'Kunst auf Lanzarote', 1, 0, -1, 'default'),
(5, 'on-the-trail', 'Exkursionen', 1, 0, -1, 'excursions'),
(6, 'calderas', 'Krater', 1, 1, 2, 'default'),
(7, 'penas', 'penas', 1, 1, 6, 'default'),
(9, 'hiking-on-lanzarote', 'Wanderungen/Hiking/Senderismo', 1, 0, 5, 'default'),
(10, 'easy', 'easy', 1, 0, 9, 'default'),
(11, 'north', 'north', 1, 0, 10, 'default'),
(12, 'famara', 'famara', 1, 0, 11, 'default'),
(23, 'weinanbau', 'Weinbau', 1, 0, -1, 'default'),
(28, 'it', 'digital', 1, 4, 0, 'default'),
(30, 'mtb-excursions', 'Mountain-Bike', 1, 0, 5, 'default'),
(31, 'daytrips', 'Tagesausfl&uuml;ge', 1, 0, 5, 'default'),
(32, 'combined-trips-mtb-hiking', 'combined trips with mtb and hiking', 1, 0, 5, 'default'),
(33, 'netzwerk-red-network', 'IT-networking', 1, 0, 28, 'default'),
(37, 'software', 'Software', 1, 0, 28, 'default'),
(38, 'cms', 'a simple but powerful CMS', 1, 0, 37, 'default'),
(39, 'rent-a-bike', 'rent a bike', 1, 0, 40, 'default'),
(40, 'bike-bici-rad', 'bike-bici-rad', 1, 0, 5, 'default'),
(41, 'hiking', '', 1, 4, 0, 'excursions'),
(42, 'mtb-btt', '', 1, 4, 0, 'excursions'),
(43, 'excursiones-ausfluege-excrusions', '', 1, 4, 0, 'default');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_categories_ML`
--

CREATE TABLE IF NOT EXISTS `qmd_categories_ML` (
  `mcid` int(10) unsigned NOT NULL,
  `en` text COLLATE latin1_general_ci NOT NULL,
  `de` text COLLATE latin1_general_ci NOT NULL,
  `es` text COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`mcid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `qmd_categories_ML`
--

INSERT INTO `qmd_categories_ML` (`mcid`, `en`, `de`, `es`) VALUES
(0, 'no category', 'keine Kategorie', 'sin categoria'),
(1, 'Uncategorized', 'ohne Kategorie', 'sin categoria'),
(2, 'volcanoes', 'Vulkane', 'volcanes'),
(4, 'Art', 'Kunst', 'Arte'),
(5, 'excursions', 'Excursionen', 'excursiones'),
(6, 'Calderas', 'Calderas', 'Calderas'),
(7, 'Rocks', 'Felsen', 'penas'),
(9, 'Hike', 'Wandern', 'senderismo'),
(10, 'easy', 'leicht', 'facil'),
(11, 'north', 'im norden', 'norte'),
(12, 'Famara', 'Famara', 'Famara'),
(23, 'Weinanbau', 'Weinanbau', 'Weinanbau'),
(28, 'IT', 'IT', 'IT'),
(30, 'mtb-excursions', 'mtb-exkursionen', 'excursiones de BTT'),
(31, 'daytrips', 'daytrips', 'daytrips'),
(32, 'combined trips', 'kombinierte Ausfl&uuml;ge', 'excursiones combinadas'),
(33, 'networks', 'netzwerk', 'red'),
(37, 'Software', 'Software', 'Software'),
(38, 'CMS', 'CMS', 'CMS'),
(39, 'bike-rental', 'Radverleih', 'alquiler de bicis'),
(40, 'bike', 'Rad', 'bici'),
(41, 'Hiking', 'Hiking', 'senderismo'),
(42, 'MTB', 'MTB', 'BTT'),
(43, 'excursiones', 'Ausfl&uuml;ge', 'excursions');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_comments`
--

CREATE TABLE IF NOT EXISTS `qmd_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `articleid` int(11) DEFAULT '0',
  `answer2comment` int(11) DEFAULT NULL,
  `name` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `url` varchar(100) CHARACTER SET latin1 NOT NULL,
  `title` char(48) COLLATE latin1_general_ci DEFAULT NULL,
  `comment` text CHARACTER SET latin1,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `userid` int(10) unsigned DEFAULT NULL,
  `eMail` char(40) CHARACTER SET latin1 DEFAULT NULL,
  `lang_used` char(4) COLLATE latin1_general_ci NOT NULL DEFAULT '@ANY',
  `IP` char(40) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `articleid` (`articleid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `qmd_menu`
--

CREATE TABLE IF NOT EXISTS `qmd_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menulink` char(64) COLLATE latin1_general_ci NOT NULL,
  `show_condition` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'visible 1 - invisible 0',
  `parent` int(11) NOT NULL DEFAULT '0',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `show_sub_in_article_head` tinyint(4) NOT NULL DEFAULT '1',
  `scheme` char(32) COLLATE latin1_general_ci NOT NULL DEFAULT 'default',
  PRIMARY KEY (`id`),
  UNIQUE KEY `link` (`menulink`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=73 ;

--
-- Dumping data for table `qmd_menu`
--

INSERT INTO `qmd_menu` (`id`, `menulink`, `show_condition`, `parent`, `sort`, `show_sub_in_article_head`, `scheme`) VALUES
(0, 'no menu', 0, -1, 0, 1, 'default'),
(1, 'home', 1, -1, 0, 1, 'default'),
(5, 'excursions', 1, 34, 0, 0, 'default'),
(15, 'other', 1, 34, 0, 1, 'default'),
(16, 'archive', 0, 15, 0, 1, 'default'),
(17, 'contact', 1, 15, 0, 1, 'default'),
(18, 'sitemap', 1, 15, 0, 1, 'default'),
(33, 'qtest', 1, 15, 0, 1, 'default'),
(34, 'trips', 1, -1, 0, 1, 'excursions'),
(35, 'digital', 1, -1, 0, 1, 'digital'),
(36, 'qmd-CMS', 1, 35, 0, 1, 'default'),
(48, 'bike', 1, 34, 0, 0, 'default'),
(62, 'links', 1, 15, 0, 0, 'default'),
(63, 'mtb', 1, 48, 0, 1, 'default'),
(64, 'e-bike-pedelecs', 1, 48, 0, 0, 'default'),
(66, 'hiking-wandern-senderismo', 1, 34, 0, 0, 'default'),
(67, 'features-besonderes-particularidades', 1, 34, 0, 0, 'default'),
(70, 'services', 1, 67, 0, 0, 'default'),
(71, 'mtb-hiking-combined', 1, 48, 0, 0, 'default'),
(72, 'bike-rental', 1, 48, 0, 0, 'default');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_menu_ML`
--

CREATE TABLE IF NOT EXISTS `qmd_menu_ML` (
  `mid` int(11) NOT NULL,
  `es` char(25) CHARACTER SET latin1 NOT NULL,
  `en` char(25) CHARACTER SET latin1 NOT NULL,
  `de` char(25) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`mid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `qmd_menu_ML`
--

INSERT INTO `qmd_menu_ML` (`mid`, `es`, `en`, `de`) VALUES
(0, 'no menu', 'no menu', 'kein Menue'),
(1, 'Inicio', 'Start', 'Start'),
(5, 'Excursiones', 'Exkursionen', 'Exkursionen'),
(13, 'senderismo', 'hiking', 'Wanderungen'),
(15, 'otro', 'other', 'weiteres'),
(16, 'archivo', 'archive', 'DAS ARCHIV'),
(17, 'contact', 'contact', 'Kontakt'),
(18, 'sitemap', 'sitemap', 'sitemap'),
(33, 'qtest es', 'qtest en', 'qtest de'),
(34, 'excursiones', 'excursions', 'Ausfl&uuml;ge'),
(35, 'arte digital', 'digital art', 'Digitale Kunst'),
(36, 'qmd-CMS', 'qmd-CMS', 'qmd-CMS'),
(48, 'bici', 'bike', 'Bike'),
(62, 'enlaces', 'links', 'Links'),
(63, 'BTT', 'MTB', 'MTB'),
(64, 'bicis electricas', 'e-Bike', 'e-Bike'),
(66, 'senderismo', 'Hiking', 'Wanderungen'),
(67, 'particularidades', 'Features', 'Besonderes'),
(70, 'servicios', 'services', 'Services'),
(71, 'senderismo y BTT', 'MTB and Hiking', 'kombiniertes Wandern MTB'),
(72, 'alquiler bicis', 'bike rental', 'Verleih');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_settings`
--

CREATE TABLE IF NOT EXISTS `qmd_settings` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) CHARACTER SET latin1 NOT NULL,
  `value` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=60 ;

--
-- Dumping data for table `qmd_settings`
--

INSERT INTO `qmd_settings` (`id`, `name`, `value`) VALUES
(2, 'website_title', 'qmd-CMS'),
(3, 'home_sef', 'home'),
(4, 'website_description', 'qimanfaya, '),
(5, 'website_keywords', 'qmd, qimanfaya'),
(6, 'website_email', 'mash@qimanfaya.net'),
(7, 'contact_subject', 'Contact Form qmd.test'),
(8, 'language', 'en'),
(10, 'date_format', 'd/m/Y H:i'),
(11, 'article_limit', '3'),
(13, 'display_page', '0'),
(14, 'display_new_on_home', '0'),
(15, 'display_pagination', '0'),
(16, 'num_categories', '0'),
(17, 'show_cat_names', '0'),
(18, 'approve_comments', '1'),
(19, 'mail_on_comments', '1'),
(20, 'comment_repost_timer', '5'),
(21, 'comments_order', 'ASC'),
(22, 'comment_limit', '3'),
(23, 'art_default_comments', '1'),
(24, 'freeze_comments', '0'),
(30, 'file_extensions', 'phps,php,txt,inc,htm,html'),
(31, 'allowed_files', 'php,htm,html,txt,inc,css,js,swf'),
(32, 'allowed_images', 'gif,jpg,jpeg,png'),
(33, 'scheme', 'default'),
(38, 'multiuser', '1'),
(39, 'blog', '0'),
(40, 'forum', '0'),
(41, 'lists', '1'),
(43, 'site_comments_mode', '2'),
(44, 'default_copyright', '(C) qimanfaya.net [guayaluz titerroy AKA -m*sh-]'),
(45, 'footer_c_line', 'default_footer_copyright_line'),
(46, 'admin_art_edit', '1'),
(47, 'Meta_Doc_Type', '0'),
(48, 'charset_encoding', 'UTF-8'),
(49, 'use_archive', '0'),
(50, 'load_scheme_js', '1'),
(51, 'load_scheme_css', '1'),
(52, 'default_teaser_lengt', '250'),
(53, 'defaultVACCategory', '1'),
(54, 'scheme4admin', 'administration'),
(55, 'under_construction', '0'),
(56, 'uc_de', '0'),
(57, 'uc_en', '0'),
(58, 'uc_es', '0'),
(59, 'comment_teaser', '30');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_test`
--

CREATE TABLE IF NOT EXISTS `qmd_test` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` text COLLATE latin1_general_ci NOT NULL,
  `mode` int(11) NOT NULL,
  `info` text COLLATE latin1_general_ci NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `qmd_URL_mappings`
--

CREATE TABLE IF NOT EXISTS `qmd_URL_mappings` (
  `ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `URL` char(40) CHARACTER SET latin1 NOT NULL,
  `map_to` char(40) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `URL` (`URL`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

--
-- Dumping data for table `qmd_URL_mappings`
--

INSERT INTO `qmd_URL_mappings` (`ID`, `URL`, `map_to`) VALUES
(3, 'logout', 'logoff');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_users`
--

CREATE TABLE IF NOT EXISTS `qmd_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uname` char(24) COLLATE latin1_general_ci NOT NULL COMMENT 'pseudonym',
  `eMail` char(64) COLLATE latin1_general_ci NOT NULL,
  `OPMode` tinyint(3) unsigned NOT NULL COMMENT '0 not logged in - 1 user 2- 2nd level 4 Mod 8 Admin 16 superuser',
  `passwd` char(64) COLLATE latin1_general_ci NOT NULL,
  `tmp` char(64) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'used for activation',
  `valid` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `name` char(32) COLLATE latin1_general_ci DEFAULT NULL,
  `lastname` char(32) COLLATE latin1_general_ci DEFAULT NULL,
  `bday` date DEFAULT NULL,
  `gender` tinyint(2) NOT NULL DEFAULT '0',
  `SALT` char(64) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uname` (`uname`,`eMail`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=44 ;

-- --------------------------------------------------------

--
-- Table structure for table `qmd_user_msg`
--

CREATE TABLE IF NOT EXISTS `qmd_user_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_from` int(11) NOT NULL,
  `user_to` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `msg` text COLLATE latin1_general_ci NOT NULL,
  `subject` char(60) COLLATE latin1_general_ci NOT NULL,
  `seen` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `user_from` (`user_from`,`user_to`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
