-- phpMyAdmin SQL Dump
-- version 4.1.12deb2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: May 08, 2014 at 01:55 PM
-- Server version: 5.5.35-2
-- PHP Version: 5.5.11-2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `qmdCMS`
--

-- --------------------------------------------------------

--
-- Table structure for table `qmd_article2menu`
--

CREATE TABLE IF NOT EXISTS `qmd_article2menu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` int(10) unsigned NOT NULL,
  `article_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_id` (`menu_id`),
  KEY `article_id` (`article_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=573 ;

--
-- Dumping data for table `qmd_article2menu`
--

INSERT INTO `qmd_article2menu` (`id`, `menu_id`, `article_id`) VALUES
(572, 73, 1);

-- --------------------------------------------------------

--
-- Table structure for table `qmd_articles`
--

CREATE TABLE IF NOT EXISTS `qmd_articles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `art_parent` int(10) unsigned DEFAULT NULL,
  `seftitle` char(100) COLLATE latin1_general_ci DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `category` int(8) unsigned NOT NULL DEFAULT '0',
  `display_mode` smallint(6) unsigned NOT NULL DEFAULT '3' COMMENT '''0=invisible 1=visible 2=show in cats 3=default 4=show as page (no vac) 8=Fullscreen''',
  `displaytitle` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'display the title???',
  `commentable` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `show_on_home` tinyint(1) unsigned DEFAULT '1',
  `artorder` int(11) unsigned NOT NULL DEFAULT '0',
  `default_page` tinyint(4) DEFAULT '0',
  `showdate` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'display the date to this article',
  `VAC` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '1 = VAC see DOC for more info on usage',
  `scheme` char(32) COLLATE latin1_general_ci DEFAULT 'default',
  `objectloader` char(128) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'a php file containing an object to display the article(s)',
  `DCType` char(25) COLLATE latin1_general_ci NOT NULL DEFAULT 'Text',
  `DOCtypeHTML` smallint(6) NOT NULL DEFAULT '0',
  `optXtra` char(32) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `show_on_home` (`show_on_home`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=181 ;

--
-- Dumping data for table `qmd_articles`
--

INSERT INTO `qmd_articles` (`id`, `art_parent`, `seftitle`, `date`, `category`, `display_mode`, `displaytitle`, `commentable`, `show_on_home`, `artorder`, `default_page`, `showdate`, `VAC`, `scheme`, `objectloader`, `DCType`, `DOCtypeHTML`, `optXtra`) VALUES
(1, NULL, 'welcome-to-qmdcms', '2012-03-12 11:52:00', 1, 3, 0, 1, 1, 1, 0, 1, 0, 'default', '', 'Text', 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_articles_ML`
--

CREATE TABLE IF NOT EXISTS `qmd_articles_ML` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `lang` char(4) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '@ANY',
  `body` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title` char(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `keywords_meta` text CHARACTER SET latin1 COLLATE latin1_general_ci,
  `description_meta` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `subject_meta` char(70) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `parent` (`parent`,`lang`),
  KEY `parent_2` (`parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=237 ;

--
-- Dumping data for table `qmd_articles_ML`
--

INSERT INTO `qmd_articles_ML` (`ID`, `parent`, `lang`, `body`, `title`, `keywords_meta`, `description_meta`, `subject_meta`) VALUES
(1, 1, 'en', '<p>Well done!</p>The fact that you read this article in your browser and in your test-site means: you have installed <strong>qMD-CMS</strong> correctly and it is connected to the database.<br/><br/>It is <strong>strongly</strong> suggested that you <a href="login/" title="Login"><img src="/dev.img/arrow_right.gif" alt=''login''/>&nbsp;login</a> right away; \r\n<br/> Go to the <a href="/user/"><img src="/dev.img/arrow_right.gif" alt=''link'' />&nbsp;<em>USER-PANEL</em>-page</a>. There you''ll find <em>Change Username and Password</em>.<br/> <strong>Do it</strong> and make the password hard to guess.<br/><br/>After doing that, feel free to delete this article and start building your site.<br />\r\n<br />\r\n[break]<p>If you stumble along the way, check the <a href="http://qimanfaya.net/digital/qMD-CMS/faq/" title="Troubleshooting and FAQ">Troubleshooting and FAQ</a> page.<br/>Still lost? We''ll be there to assist you in any way we can.<br/>Thank you for choosing qMD-CMS.  We hope you enjoy it as much as we do.<br/>\r\n', 'Welcome to qMD-CMS', '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_categories`
--

CREATE TABLE IF NOT EXISTS `qmd_categories` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `catlink` varchar(100) CHARACTER SET latin1 NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=not published',
  `catorder` smallint(6) NOT NULL DEFAULT '0',
  `parent` int(8) NOT NULL DEFAULT '0',
  `scheme` char(32) COLLATE latin1_general_ci NOT NULL DEFAULT 'default',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=44 ;

--
-- Dumping data for table `qmd_categories`
--

INSERT INTO `qmd_categories` (`id`, `catlink`, `description`, `published`, `catorder`, `parent`, `scheme`) VALUES
(0, 'no-cat', 'no category', 0, 0, -1, 'default'),
(1, 'uncategorized', 'this is a category even if its named uncategorized', 1, 1, 0, 'default'),
(4, 'lanzarote-art', 'Kunst auf Lanzarote', 1, 0, -1, 'default'),
(5, 'on-the-trail', 'Exkursionen', 1, 0, -1, 'excursions'),
(9, 'hiking-on-lanzarote', 'Wanderungen/Hiking/Senderismo', 1, 0, 5, 'default'),
(10, 'easy', 'easy', 1, 0, 9, 'default'),
(11, 'north', 'north', 1, 0, 10, 'default'),
(12, 'famara', 'famara', 1, 0, 11, 'default'),
(23, 'weinanbau', 'Weinbau', 1, 0, -1, 'default'),
(30, 'mtb-excursions', 'Mountain-Bike', 1, 0, 5, 'default'),
(31, 'daytrips', 'Tagesausfl&uuml;ge', 1, 0, 5, 'default'),
(32, 'combined-trips-mtb-hiking', 'combined trips with mtb and hiking', 1, 0, 5, 'default'),
(39, 'rent-a-bike', 'rent a bike', 1, 0, 40, 'default'),
(40, 'bike-bici-rad', 'bike-bici-rad', 1, 0, 5, 'default');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_categories_ML`
--

CREATE TABLE IF NOT EXISTS `qmd_categories_ML` (
  `mcid` int(10) unsigned NOT NULL,
  `en` text COLLATE latin1_general_ci NOT NULL,
  `de` text COLLATE latin1_general_ci NOT NULL,
  `es` text COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`mcid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `qmd_categories_ML`
--

INSERT INTO `qmd_categories_ML` (`mcid`, `en`, `de`, `es`) VALUES
(0, 'no category', 'keine Kategorie', 'sin categoria'),
(1, 'Uncategorized', 'ohne Kategorie', 'sin categoria'),
(4, 'Art', 'Kunst', 'Arte'),
(5, 'excursions', 'Excursionen', 'excursiones'),
(9, 'Hike', 'Wandern', 'senderismo'),
(10, 'easy', 'leicht', 'facil'),
(11, 'north', 'im norden', 'norte'),
(12, 'Famara', 'Famara', 'Famara'),
(23, 'Weinanbau', 'Weinanbau', 'Weinanbau'),
(30, 'mtb-excursions', 'mtb-exkursionen', 'excursiones de BTT'),
(31, 'daytrips', 'daytrips', 'daytrips'),
(32, 'combined trips', 'kombinierte Ausfl&uuml;ge', 'excursiones combinadas'),
(39, 'bike-rental', 'Radverleih', 'alquiler de bicis'),
(40, 'bike', 'Rad', 'bici');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_comments`
--

CREATE TABLE IF NOT EXISTS `qmd_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `articleid` int(11) DEFAULT '0',
  `answer2comment` int(11) DEFAULT NULL,
  `name` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `url` varchar(100) CHARACTER SET latin1 NOT NULL,
  `title` char(48) COLLATE latin1_general_ci DEFAULT NULL,
  `comment` text CHARACTER SET latin1,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `userid` int(10) unsigned DEFAULT NULL,
  `eMail` char(40) CHARACTER SET latin1 DEFAULT NULL,
  `lang_used` char(4) COLLATE latin1_general_ci NOT NULL DEFAULT '@ANY',
  `IP` char(40) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `articleid` (`articleid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `qmd_menu`
--

CREATE TABLE IF NOT EXISTS `qmd_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menulink` char(64) COLLATE latin1_general_ci NOT NULL,
  `show_condition` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'visible 1 - invisible 0',
  `parent` int(11) NOT NULL DEFAULT '0',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `show_sub_in_article_head` tinyint(4) NOT NULL DEFAULT '1',
  `scheme` char(32) COLLATE latin1_general_ci NOT NULL DEFAULT 'default',
  PRIMARY KEY (`id`),
  UNIQUE KEY `link` (`menulink`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=74 ;

--
-- Dumping data for table `qmd_menu`
--

INSERT INTO `qmd_menu` (`id`, `menulink`, `show_condition`, `parent`, `sort`, `show_sub_in_article_head`, `scheme`) VALUES
(73, 'home', 1, -1, 0, 0, 'default');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_menu_ML`
--

CREATE TABLE IF NOT EXISTS `qmd_menu_ML` (
  `mid` int(11) NOT NULL,
  `es` char(25) CHARACTER SET latin1 NOT NULL,
  `en` char(25) CHARACTER SET latin1 NOT NULL,
  `de` char(25) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`mid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `qmd_menu_ML`
--

INSERT INTO `qmd_menu_ML` (`mid`, `es`, `en`, `de`) VALUES
(13, 'senderismo', 'hiking', 'Wanderungen'),
(73, 'home', 'home', 'home');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_settings`
--

CREATE TABLE IF NOT EXISTS `qmd_settings` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) CHARACTER SET latin1 NOT NULL,
  `value` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=60 ;

--
-- Dumping data for table `qmd_settings`
--

INSERT INTO `qmd_settings` (`id`, `name`, `value`) VALUES
(2, 'website_title', 'qmd-CMS'),
(3, 'home_sef', 'home'),
(4, 'website_description', 'qimanfaya, '),
(5, 'website_keywords', 'qmd, qimanfaya'),
(6, 'website_email', 'mash@qimanfaya.net'),
(7, 'contact_subject', 'Contact Form qmd.test'),
(8, 'language', 'en'),
(10, 'date_format', 'd/m/Y H:i'),
(11, 'article_limit', '3'),
(13, 'display_page', '0'),
(14, 'display_new_on_home', '0'),
(15, 'display_pagination', '0'),
(16, 'num_categories', '0'),
(17, 'show_cat_names', '0'),
(18, 'approve_comments', '1'),
(19, 'mail_on_comments', '1'),
(20, 'comment_repost_timer', '5'),
(21, 'comments_order', 'ASC'),
(22, 'comment_limit', '3'),
(23, 'art_default_comments', '1'),
(24, 'freeze_comments', '0'),
(30, 'file_extensions', 'phps,php,txt,inc,htm,html'),
(31, 'allowed_files', 'php,htm,html,txt,inc,css,js,swf'),
(32, 'allowed_images', 'gif,jpg,jpeg,png'),
(33, 'scheme', 'default'),
(38, 'multiuser', '1'),
(39, 'blog', '0'),
(40, 'forum', '0'),
(41, 'lists', '1'),
(43, 'site_comments_mode', '2'),
(44, 'default_copyright', '(C) qimanfaya.net [guayaluz titerroy AKA -m*sh-]'),
(45, 'footer_c_line', 'default_footer_copyright_line'),
(46, 'admin_art_edit', '1'),
(47, 'Meta_Doc_Type', '0'),
(48, 'charset_encoding', 'UTF-8'),
(49, 'use_archive', '0'),
(50, 'load_scheme_js', '1'),
(51, 'load_scheme_css', '1'),
(52, 'default_teaser_lengt', '250'),
(53, 'defaultVACCategory', '1'),
(54, 'scheme4admin', 'administration'),
(55, 'under_construction', '0'),
(56, 'uc_de', '0'),
(57, 'uc_en', '0'),
(58, 'uc_es', '0'),
(59, 'comment_teaser', '30');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_test`
--

CREATE TABLE IF NOT EXISTS `qmd_test` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` text COLLATE latin1_general_ci NOT NULL,
  `mode` int(11) NOT NULL,
  `info` text COLLATE latin1_general_ci NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `qmd_URL_mappings`
--

CREATE TABLE IF NOT EXISTS `qmd_URL_mappings` (
  `ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `URL` char(40) CHARACTER SET latin1 NOT NULL,
  `map_to` char(40) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `URL` (`URL`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

--
-- Dumping data for table `qmd_URL_mappings`
--

INSERT INTO `qmd_URL_mappings` (`ID`, `URL`, `map_to`) VALUES
(3, 'logout', 'logoff');

-- --------------------------------------------------------

--
-- Table structure for table `qmd_users`
--

CREATE TABLE IF NOT EXISTS `qmd_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uname` char(24) COLLATE latin1_general_ci NOT NULL COMMENT 'pseudonym',
  `eMail` char(64) COLLATE latin1_general_ci NOT NULL,
  `OPMode` tinyint(3) unsigned NOT NULL COMMENT '0 not logged in - 1 user 2- 2nd level 4 Mod 8 Admin 16 superuser',
  `passwd` char(64) COLLATE latin1_general_ci NOT NULL,
  `tmp` char(64) COLLATE latin1_general_ci DEFAULT NULL COMMENT 'used for activation',
  `valid` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `name` char(32) COLLATE latin1_general_ci DEFAULT NULL,
  `lastname` char(32) COLLATE latin1_general_ci DEFAULT NULL,
  `bday` date DEFAULT NULL,
  `gender` tinyint(2) NOT NULL DEFAULT '0',
  `SALT` char(64) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uname` (`uname`,`eMail`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=44 ;

--
-- Dumping data for table `qmd_users`
--

-- --------------------------------------------------------

--
-- Table structure for table `qmd_user_msg`
--

CREATE TABLE IF NOT EXISTS `qmd_user_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_from` int(11) NOT NULL,
  `user_to` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `msg` text COLLATE latin1_general_ci NOT NULL,
  `subject` char(60) COLLATE latin1_general_ci NOT NULL,
  `seen` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `user_from` (`user_from`,`user_to`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
