<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	
	------------------------------
   qmd-cms - Administration Library File 
   qmd-cms 0.8.7
	last update: 05/01/2014


	--------------------------------

	qmd_admin.php
	=============

	This file is part of the qmd-php-library
	---
	NOTE:
	There is debug code and direct interaction with user (msgbox) in this code.
	Well actually ONLY an admin or moderator should be able to get this.
	And s/he should be responsible for fixing it. 
	Either by sanitizing the DB (probably) or by fixing the code (preferred if applicable)
	and upload the fixes to me. TIA ***hy
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence: GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
			

*/

function show_admin_item ($sTitle,$sItem,$sTable,$sLink,$sParam='',$lBR=TRUE,$sField="",$sWhere=""){
	global $qmd_const_URL_Params;
	global $qmdC;
	//echo 'hoo';
	echo '<div class="qmd_adminsettingsEntry">';

	echo '<div class="qmd_adminsettingsTitle">'.$sTitle.'</div>';

	echo '<div class="qmd_adminsettingsItem">';

		echo '<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/'.$sItem.'/'.$sParam.'">'.l('add_new').'</a>';

		
		$link = ' '.l('divider').' <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/';
		if ($sField===""):
			if (count_table_entries($sTable) > 0):
				
				echo $link.$sLink.'/'.$sParam.'">'.l('view').'</a>';
			endif;
		else:
			if (count_table_entries($sTable,$sField,$sWhere) > 0):
		
				echo $link.$sLink.'/'.$sParam.'">'.l('view').'</a>';
			endif;
		endif;
	echo '</div>';
	echo '</div>';

}
function administration($mode) {
	
	global $qmd_const_URL_Params;
	
	
	$catnum = count_table_entries('qmd_categories');//TODO check out why

	echo '<div class="qmd_adminpanel">';
	if ($mode==$qmd_const_URL_Params[2]):
		$sTitle=l('administration');
	else:
		$sTitle=l('moderation');
	endif;
	echo '<p class="qmd_adminSectionHeader">qMD-CMS '.$sTitle.'</p>';
		//***hy menu
	show_admin_item (l('menue'),'admin_menu','qmd_menu','qmd_menue');
		//*** menu ends
	show_admin_item (l('categories'),'admin_category','qmd_categories','qmd_categories');
	//for ($i=0;$i<=db('known_dbs');$i++):
		if ($i==0):
			$sDB= db('dbname');
			$sLink='qmd_articles';
			$sParam='';
		/*else:
			//$sDB='ItemName'.$i;
			$sDB= db('known_dbA')['Item'.$i]['dbname'];
			$sLink='qmd_articles';
			$sParam='?section='.db('known_dbA')['Item'.$i]['dbname'];
		*/
		endif;
		show_admin_item ($sDB.' - '.l('articles'),'article_new','qmd_articles',$sLink,$sParam);
	//endfor;

	$query_comm = 'SELECT id,articleid,name FROM '._PRE.'qmd_comments WHERE approved = 0';
	$iDBStatus=0;
	$iRowCount=0;
	$result_comm = getSQL($query_comm,$iDBStatus,$unapproved);
	
	if (($iDBStatus>0) && ($unapproved>0)):
		echo '<p class="qmd_adminSectionHeader">'.l('comments').'</p>';

		echo '<div><a onclick="toggle(\'sub1\')" style="cursor: pointer;" title="'.l('unapproved').'">
					'.$unapproved.' '.l('wait_approval').'</a></div>';
		echo '<div id="sub1" class="qmd_Adminnerpanel" style="display: none;">';
		//yecho($result_comm);
		for ($jCount=0;$jCount<$unapproved;$jCount++):
			$r = $result_comm[$jCount];
				
			$articleTITLE = retrieve('title', 'qmd_articles', 'a.id', $r['articleid']);
			
			echo '<p  class="qmd_spacelink">'.$r['name'].' (<strong>'.$articleTITLE.'</strong>) '.l('divider');
			
			echo qmd_createLink($qmd_const_URL_Params[2].'/?action=comment%26task=editcomment%26commentid='.$r['id'],
										l('edit')).'</p>';
		endfor;
		echo '</div>';
	endif;
	//echo 'ffoo';
	echo '<div class="qmd_message">
		
				<p class="qmd_adminSectionHeader">'.l('site_settings').'</p>';
	echo '<div class="qmd_adminsettingsHeader">';
	
	if ($mode==$qmd_const_URL_Params[2])
		echo qmd_createLink($qmd_const_URL_Params[2].'/qmd_settings',
									l('settings')).'&nbsp;|&nbsp;';
		
				echo qmd_createLink($qmd_const_URL_Params[2].'/qmd_files',
											l('files'));
				echo '</div>
			</div>';
	echo '<div class="qmd_message">
				<p class="qmd_adminSectionHeader">'.l('login_status').'</p>';
	echo '<span ><a href="/logoff">'.l('logoff').'</a></span>
				</div>';
	echo '</div>';
	
}

function form_men_cat($MODE,$ID,$PARENT)//MODE=0 --> MENU MODE=1 CATEGORY
{														//ID=-1 create new else EDIT ITEM
														//$PARENT=-1 no parent else Use PARENT
	global $qSQL;
	global $qmdC;
	global $LANG;
	global $qmd_const_URL_Params;
	
	// ok, sorry to all of you developers who have made it to this lines
	// I thought, the cat and menu editing forms are quite similar so it would
	// be a nice idea maintaining them in on procedure...
	// Nice try - but epic fail.
	// Admittedly the code is almost illegible due to the many 
	// if ($MODE) .... distinguishing whether we are editing a menu or cat
	// .....................................................................
	
	$sLang=$qmdC->language;
	if ($ID<1)
		if ($PARENT>0)
			
			$frm_add_edit=l('add_new').' '.l('sub_Menu');
		else
			if ($MODE==0)
				$frm_add_edit=l('add_MainMenu');
			else
				$frm_add_edit=l('add_new').' '.l('category');
	else
		$frm_add_edit=l('edit');
	
	if ($MODE==0)
	{
		$frm_action_add='admin_menue';
		$sql=query_get_menu();//we append a where-clause later
		$parentcap=l('parentmenu');
		$sTable=_PRE.'qmd_menu';
	}
	else
	{
		$frm_action_add='admin_category';
		$sql=query_get_cat();//we append a where-clause later
		$parentcap=l('subcategory');
		$sTable=_PRE.'qmd_categories';
	}
	$frm_action='/'.$sLang.'/'.$qmd_const_URL_Params[2].'?action=process%26task='.$frm_action_add;
	
	echo '<div class="qmd_adminpanel">';
	echo html_input('form', '', 'post', '', '', '', '', '', '', '', 'post', $frm_action, '');
	echo '<table border="1" border-color="$000000">';
	//echo '<th><td></td><td></td></th>';
	echo '<colgroup>
				<col width="310">
				<col width="350">
			</colgroup>';
	echo '<tr><td colspan=2>';
	echo '<p class="qmd_adminSectionHeader">'.$frm_add_edit.'</p>'; 
	echo '</td></tr>';
	echo '<tr><td valign="top">';
	
	if ($MODE==0)
		echo l('menutext').'<br/>';
	else
		echo l('categorytext').'<br/>';

	$sGen='onclick="genSEF(document.forms[\'post\'].Caption_'.$sLang.',document.forms[\'post\'].SEF)"';
	
	if ($ID<1)
	{
		$r=array();
		$SEF=$r[''];
		$DESC=$r[''];
		$visible=$r[''];
		if ($PARENT<0)
			$PARENT=0;

		$thisScheme='default';
		$kidscount=0;
	}
	else
	{
		$sql.=' WHERE id='.$ID;
		$res=$qSQL->qSQLsimple($sql);

		if ((is_array($res))&&(count($res>0)))
			$r=$res[0];
		else
			qmd_die('ERROR - couldn\'t retrieve data');
		
		$thisScheme=$r['scheme'];
		
		if ($MODE==0)
		{
			$SEF=$r['menulink'];
			$visible=$r['show_condition'];
			$SHOWSUB=$r['show_sub_in_article_head'];
			$PARENT=$r['menparent'];
		}
		else
		{
			$SEF=$r['catlink'];
			$DESC=$r['description'];
			$visible=$r['published'];
			$SHOWSUB='';
			$PARENT=$r['catparent'];
			$DESCRIPTION=$r['description'];
		}

		
		$sql='select count(id) as NUM from '.$sTable;
		$sql.=' WHERE parent='.$ID;
		$kids=$qSQL->qSQLsimple($sql);
		if (is_array($kids)):
			$kidscount=$kids[0]['NUM'];
		else:
			qmd_die('error retrieving kids to this ITEM');
		endif;
	}
	
	//echo '<b>'.html_input('text', 'MenuCaption_'.$sLang, 'MenuCaption_'.$sLang, $r[$sLang], $sLang,'',$sGen).'</b>';
	for ($i=0;$i<count($LANG);$i++):
		
		if ($LANG[$i]==$sLang)
			echo '<b>';
		
		$xLang=$LANG[$i];
		echo html_input('text', 'Caption_'.$xLang, 'Caption_'.$xLang, $r[$LANG[$i]], $LANG[$i]);
		if ($sLang==$xLang)
			echo html_input('button','gen_sef', 'gen_sef', l('genSEF'), '','', $sGen);
		echo '<br/>';
		if ($LANG[$i]==$sLang)
			echo '</b>';
	endfor;
	echo '</td><td>';
		
	echo "<br/>";
	if ($MODE==0)
		echo html_input('text', 'SEF', 'SEF', $SEF, l('menulink').' [SEF]');
	else
		echo html_input('text', 'SEF', 'SEF', $SEF, l('catlink').' [SEF]');
	
	echo '<br/>';
	echo html_input('checkbox', 'chkvisible', 'chkvisible', $visible, l('published'), '', 	'', 			$visible);
	echo "<br/>";
	
	if ($MODE==0)
	{
		echo html_input('checkbox', 'chkshowsubs', 'chkshowsubs', $frm_use_submens, l('use_sub_mens'), '', 	'', 			$SHOWSUB);
		echo "<br/>";
	}
	else
		echo html_input('text', 'description', 'desc', $DESCRIPTION, l('description')).'<br/>';
		
	$aschemes=get_scheme_array();
	
	if ($MODE==0)
	{
		
		$_rows=array();
		
		$_rows[0]['id']=-1;
		$_rows[0]['menulink']=l('not_available');
		//$_rows[0][1]=l('not_available');
		if (($ID>0)||($PARENT>0))
		{
			$sql='SELECT id ,menulink from '._PRE.'qmd_menu where id<>'.$ID;
			$res=$qSQL->qSQLsimple($sql);
			
			
			for ($iCount=0;$iCount<count($res);$iCount++)
				$_rows[]=$res[$iCount];
			
			$s=html_input('combobox', 'parent', 'parent', $PARENT, l('parentmenu'), '',   '',      '',       '',     '',    '',     '',      '',     '',$_rows);
			//insert a default scheme for menu
			//this is in order to have the correct layout displayed when a menuitem doesn't have any articles associated
		}
		
	}
	else
	{
		$_rows=array();
		
		$_rows[0]['id']=0;
		$_rows[0]['catlink']=l('not_available');
		//$_rows[0][1]=l('not_available');
		if (($ID>0)||($PARENT>0))
		{
			
			$sql='SELECT id ,catlink from '._PRE.'qmd_categories where id<>'.$ID.' AND id>0';
			$res=$qSQL->qSQLsimple($sql);
	
		
			for ($iCount=0;$iCount<count($res);$iCount++)
				$_rows[]=$res[$iCount];
		}
		$s=html_input('combobox', 'parent', 'parent', $PARENT, l('subcategory'), '',   '',      '',       '',     '',    '',     '',      '',     '',$_rows);
	}
	
	
	echo $s;
	echo "<br/>";

	$x=array_search($thisScheme,$aschemes);
	if ($x===false)
		echo '<div class="qmd_warning">Error: scheme setting is outdated or not existent ('.$frm_scheme.')</div>';
	echo html_input('combobox','cmbScheme','cmbScheme',$thisScheme, l('art_scheme'),'qmd_admin_edit_article_cmb_medium','','','','','','','','',$aschemes,'','qmd_admin_cmblbl_medium');
	
	echo "<br/>";
	
	echo '</div><p>'; // echo '</fieldset></div><p>'; 
	if ($MODE==0)
	{
		echo html_input('hidden', 'task', 'task', 'admin_menu','');
		if ($ID<0)
			echo html_input('hidden', 'new_menu', 'new_menu', 'new_menu','');
		else
			echo html_input('hidden', 'edit_menu', 'edit_menu', 'edit_menu','');
	}
	else
	{
		echo html_input('hidden', 'task', 'task', 'admin_category','');
		if ($ID<0)
			echo html_input('hidden', 'new_cat', 'new_cat', 'new_cat','');
		else
			echo html_input('hidden', 'edit_cat', 'edit_cat', 'edit_cat','');
	}
	
	echo '</p>';
	echo '</td>';

	
	echo '</tr>';
	
	
	echo '</table>';
	echo html_input('submit', $frm_task, $frm_task, l('edit_button'), '',    'button', 'style="width:130px"');
	
	if ($ID>0):
		
		echo '&nbsp;&nbsp;';
		echo html_input('hidden', 'id', 'id', $ID);
		
		if ($kidscount>0):
			if ($MODE==0)
				echo html_input('button', 'delete_menu', 'delete_menu', l('delete'), '', 'button', 
					'onclick="javascript: return pop_choice(\''.l('js_deletemenu_w_kids').'\',
																[\'All\', \'Only this item\', \'Cancel\'],
																[\'/administration/choiceProcess?action=delete_menu;task=all;item='.$ItemID.'\',
																	\'/administration/choiceProcess?action=delete_menu;task=this;item='.$ItemID.'\',\'/administration\']
																)"');
			else
				echo html_input('button', 'delete_cat', 'delete_cat', l('delete'), '', 'button', 
					'onclick="javascript: return pop_choice(\''.l('js_deletemenu_w_kids').'\',
																[\'All\', \'Only this item\', \'Cancel\'],
																[\'/administration/choiceProcess?action=delete_cat;task=all;item='.$ID.'\',
																	\'/administration/choiceProcess?action=delete_cat;task=this;item='.$ID.'\',\'/administration\']
																)"');
		else:
			if ($MODE==0)
				echo html_input('submit', 'delete_menu', 'delete_menu', l('delete'), '', 'button', 'onclick="javascript: return pop(\''.l('js_delete2').'\')"');
			else
				echo html_input('submit', 'delete_cat', 'delete_cat', l('delete'), '', 'button', 'onclick="javascript: return pop(\''.l('js_delete2').'\')"');
		endif;
		
	endif;
	if ($MODE==0)
		echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=qmd_menue">'.l('back').'</a>';
	else
		echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=qmd_categories">'.l('back').'</a>';
	
	echo '</form>';
}

// Menues FORM
function form_menues()
{
	//this is the place where we edit a menuitem
	global $LANG;	//available languages
	global $qSQL;
	global $qmdC;
	
	
	//we have the following major parameters
	
	
	$parentID=-1;//is there a parent item
	$lNewMainMenue=false;
	
	$css='default_menuitem';
	
	$frm_name = ''; //

	$frm_sef_title = ''; //
	$categoryid = 0; //
	
	$ItemID=$qmdC->get_ID();
	if ($ItemID==-1)
	{//INSERT
		$subID=$qmdC->get_UParamByName('sub_id');
		if ($subID>0)
			$parentID=$subID;

	}
	form_men_cat(0,$ItemID,$parentID);//MODE=0 --> MENU MODE=1 CATEGORY
											//ID=-1 create new else EDIT ITEM
											//$PARENT=-1 no parent else Use PARENT
											
	
	
}// form_menues() ends
function form_categories()
{
	//this is the place where we edit a menuitem
	global $LANG;	//available languages
	global $qSQL;
	global $qmdC;
	//we have the following major parameters

	$parentID=-1;//is there a parent item
	$lNewMainMenue=false;
	$parentID=-1;
	$css='default_menuitem';
	
	$frm_name = ''; //

	$frm_sef_title = ''; //
	$categoryid = 0; //
	
	$ItemID=$qmdC->get_ID();
	if ($ItemID==-1)
	{//INSERT
		$subID=$qmdC->get_UParamByName('sub_id');
		if ($subID>0)
			$parentID=$subID;
	}
	
	form_men_cat(1,$ItemID,$parentID);//MODE=0 --> MENU MODE=1 CATEGORY
											//ID=-1 create new else EDIT ITEM
											//$PARENT=-1 no parent else Use PARENT
											
	
	
}// form_categories() ends

function _admin_categories_p($parent,$level=0)
{
	global $qmd_const_URL_Params;
	global $qmdC;
	$iDBStatus=0;
	$iRowCount=0;
	$iDBStatus2=0;
	$iRowCount2=0;
	
	$query = query_get_cat().' WHERE parent = '.$parent.' ORDER BY catorder,id ASC';
	
	$result = getSQL($query,$iDBStatus,$iRowCount);
	
	if (($iRowCount==0)&&($level==0)):
	
		echo '<p>'.l('category_not_exist').'</p>';
	
	else:
		$link = $qmd_const_URL_Params[2].'/?action=admin_category';
		
		for ($iCount=0;$iCount<$iRowCount;$iCount++):
			$r = $result[$iCount];
		
			$cat_input = '<input type="text" name="cat_'.$r['catid'].'" value="'.$r['catorder'].'" size="1" tabindex="'.$tab.'" /> &nbsp;';
			echo '<p>'.str_repeat('--- ',$level).$cat_input.'<strong>'.$r['name'].'</strong>
				'.l('divider').' <a href="/'.$qmdC->language.'/'.$link.'%26id='.$r['catid'].'" title="'.$r['description'].'">'.l('edit').'</a> ';
			echo $r['published'] != 1 ? ' '.l('divider').' ['.l('status').' '.l('unpublished').']' : '';
			echo ' '.l('divider').' <a href="/'.$qmdC->language.'/'.$link.'%26sub_id='.$r['catid'].'" title="'.$r['description'].'">'.l('add_subcategory').'</a></p>';
			
			_admin_categories_p($r['catid'],$level+1);
			
			$tab++;
		endfor;
		
	endif;//else
}

// CATEGORIES - ADMIN LIST
function admin_categories() { 
global $qmd_const_URL_Params;
global $qmdC;
	$add = ' - <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/admin_category/">'.l('add_new').'</a>';
	
	$tab = 1;
	echo '<div class="qmd_adminpanel">';
	echo '<p class="qmd_adminSectionHeader">'.l('categories').$add.'</p>';
	echo html_input('form', '', 'post', '', '', '', '', '', '', '', 'post', '/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=process%26task=reorder');
	echo '<p><input type="hidden" name="order" id="order" value="qmd_categories"></p>';
	
	_admin_categories_p(0);
	
	echo '<p>'.html_input('submit', 'reorder', 'reorder', l('order_content'), '', 'button');
	echo '</p></form>';
	echo '</div>';
}
function _admin_menues_($parent,$level)
{
	global $qmd_const_URL_Params;
	global $qSQL;
	global $qmdC;
	
	$add = ' - <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=admin_submenu%26sub_id=0">'.l('add_new').'</a>';
	
	$link = $qmd_const_URL_Params[2].'/?action=admin_submenu';
	$query = query_get_menu(1);
	
	$query.= ' WHERE parent='.$parent;
	
	$query.= ' ORDER BY sort ASC, menulink ASC';
	
	$iDBStatus=0;
	$iRowCount=0;
	$result = $qSQL->qSQLsimple($query);
	
	$tab=0;
	if (!is_array($result))
	{
		qmd_die('Error can not access Menues');
	}
	else
	{
		$iMax=count($result);
		
		if (($iMax<1)&&($parent<0)):
		
			echo '<p>'.l('category_not_exist').'</p>';//should state no menu
		
		else:
			//str_repeat('--- ',$curlevel)
			for ($iCount=0;$iCount<$iMax;$iCount++):
			
				$r=$result[$iCount];
				
				$men_input = str_repeat('&nbsp;',$curlevel*6).'<input type="text" name="men_'.$r['menid'].'" value="'.$r['menucaption'].'" size="20" tabindex="'.$tab.'" readonly/> &nbsp;';
				//echo '<p>'.str_repeat('&nbsp;',$curlevel*6).$men_input;
				
				echo '<p> '.str_repeat('&nbsp;',$level*6).$men_input.' ';
				$tab++;
				$men_input='<input type="text" name="men_class_'.$r['menid'].'" value="'.$r["menulink"].'" size="20" tabindex='.$tab.' readonly>';
				echo str_repeat('&nbsp;',$curlevel*6).$men_input;
				$tab++;
				echo '<input type="text" name="men_sort_'.$r['menid'].'" value="'.$r["sort"].'" size="2" tabindex='.$tab.' >';
				//echo $men_input;
				echo l('divider').' <a href="/'.$qmdC->language.'/'.$link.'%26id='.$r['menid'].'" title="'.$r['menulink'].'">'.l('edit').'</a> ';
				
				echo ' '.l('divider').' <a href="/'.$qmdC->language.'/'.$link.'%26sub_id='.$r['menid'].'" title="'.$r['menucaption'].'">'.l('add_subMenu').'</a>';
				if ($r['show_condition']==0)
					echo str_repeat('&nbsp;',3).'['.l('unpublished').']';
				echo '</p>';
				
				$tab++;
				_admin_menues_($r['menid'],$level+1);
			endfor;

		endif;//else
	}
	//....................1.......2.....3.....4......5.......6......7......8........9......10.....11.......12.......13.......14........15.....            16..............
	
}

function admin_menues()
{
	
global $qmd_const_URL_Params;
global $qmdC;
	$add = ' - <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=admin_submenu%26sub_id=0">'.l('add_new').'</a>';
	
	$link = '?action=admin_submenu';
	$tab = 1;
	echo '<div class="qmd_adminpanel">';

	echo '<p class="qmd_adminSectionHeader">'.l("menue").$add.'</p>';
	echo html_input('form', '', 'post', '', '', '', '', '', '', '', 'post', '/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=process%26task=reorder');
	echo '<p><input type="hidden" name="order" id="order" value="qmd_menue" /></p>';
	//^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
	_admin_menues_($qmdC->get_UParamByName('sub_id'),0);
	echo '<p>'.html_input('submit', 'reorder', 'reorder', l('order_content'), '', 'button',  'style="width:120px"');
	echo '</p></form>';
	echo '</div>';
}


function form_articles($contents)
{//this is just the launcher for the edit article
global $qmdC;
	
	//this is old stuff - actually we could also skip this test
	//it's not REALLY req'd that there IS a category
	//for the moment I'll leave this as is
	$cat_count= count_table_entries('qmd_categories','id','');
	
	if ($contents == 'article_new' && $cat_count < 1):
		echo l('create_cat');
	else:
		//initialize the parameters
		
		$artid=-1;
		$record=null;
		//did we recieve an id to operate on?
		if ($_GET && isset($_GET['id']) && is_numeric($_GET['id']) && !is_null($_GET['id'])):
			$artid = $_GET['id'];
		else:
			$artid=$qmdC->get_ID();
		endif;
		
		$qmdC->editArticle($artid,'',1);
	endif;
}
// ARTICLES - ADMIN LIST 
function _admin_articles_ym($contents)
{
	
global $qmd_const_URL_Params;
global $qmdC;
	
	
	if (isset($_SESSION['dbsection'])):
		$dbname=$_SESSION['dbsection'];
		connect_to_db($dbname);
	endif;
	
	$link = '<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/qmd_articles';
	
	
	$query = 'SELECT DISTINCT(YEAR(date)) AS dyear FROM '._PRE.'qmd_articles ORDER BY date DESC';
	$iDBStatus=0;
	$iRowCount=0;
	
	$result = getSQL($query,$iDBStatus,$iRowCount);
	
	$month_names = explode(', ', l('month_names'));
	
	echo '<div class="qmd_adminpanel">';
	echo '<p class="qmd_adminSectionHeader">'.l('articles').'</p>'; 
	echo ' - '.l('filter').'  - '.l('see').' ('.$link.'">'.l('all').'</a>) - '.l('filter').' ('.$link.'/?task=filter">'.l('year').'</a> / '.$link.'/task=filter">'.l('month').'</a>)</legend>';
	echo '<br/>';
	if ($iRowCount>0):
	
		for ($iCount=0;$iCount<$iRowCount;$iCount++):
			$r = $result[$iCount];
		
			$ryear = $r['dyear'];
			echo '<span style="color: #0000FF">'.$r['dyear'].'</span>';
			echo $link.'/?task=filter%26year='.$r['dyear'].'">'.$r['dyear'].'</a> ';

			
				$qx = "SELECT DISTINCT(MONTH(date)) AS dmonth FROM "._PRE.'qmd_articles'." WHERE YEAR(date)=$ryear ORDER BY date ASC";
				$iDBStatus2=0;
				$iRowCount2=0;
				$rqx = getSQL($qx,$iDBStatus2,$iRowCount2);
				for ($jCount=0;$jCount<$iRowCount2;$jCount++):
					$rx = $rqx[$jCount];
				
					$m = $rx['dmonth'] - 1;
					echo ' '.l('divider').' '.$link.'/?task=filter%26year='.$r['dyear'].'%26month='.$rx['dmonth'].'">'.$month_names[$m].'</a> ';
				endfor;

			echo '<br />';
		endfor;
		
	endif;
	echo '</div>';
	return; 
	
}

function _admin_show_article_ ($query)
{
global $qmd_const_URL_Params;
global $qmdC;
	$item='articles';
	$tab2=0;
	//for ($jCount=0;$jCount<count($query);$jCount++):
		$O = $query;
		$order_input = '<input type="text" name="page_'.$O['artid'].'" value="'.$O['artorder'].'" size="1" tabindex="'.$tab2.'" /> &nbsp;';
		echo '<p>'.$order_input.'<strong title="'.date(s('date_format'), strtotime($O['date'])).'">'.$O['title'].'</strong> ';

		echo  l('divider').' <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=admin_article%26id='.$O['artid'].'%26editLang='.$O['lang'].'">'.l('edit').'</a> ';

		if (($O['display_mode'] & __visible)==1):
			$visiblity = '<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=process%26task=hide%26item='.$item.'%26id='.$O['artid'].'">'.l('hide').'</a>';
		else:
			$visiblity = l('hidden').' ( <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=process%26task=show%26item='.$item.'%26id='.$O['artid'].'">'.l('show').'</a> )' ;
		endif;
		echo '  '.l('divider').' '.$visiblity;
		
		
		if ($O['date'] > date("Y-m-d H:m")):
			echo  l('divider').' <span class="articlefuturedate">['.l('status').' '.l('future_posting').']</span>';
		endif;
		if (($O['display_mode'] & __visible) == 0):
			echo  l('divider').' ['.l('status').' '.l('unpublished').']';
		endif;
		
		echo '<span class="qmd_admin_art_lang">&nbsp;&nbsp;['.$O['lang'].']</span>';
		
		echo '</p>';
		$tab2++;
	//endfor;
	
	
}//old _admin_articles


//the new admin_articles
function admin_articles($contents)
{
	
	
	global $qmdC;
	global $qmd_const_URL_Params;
	
	global $LANG;
	global $qmd_Lang_ANY;
	
	
	$currentLang=$qmdC->get_UParamByName('showLang');
	if ($currentLang==-1):
		$currentLang=$qmdC->language;
	endif;
	
	$link = '<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/qmd_articles';
	$title = l('articles');
	$sef = 'article_new';
	$goto = $qmd_const_URL_Params[2].'/qmd_articles';
	
	//showDebugForm('whereis thos bloody?');
	
	$iDBStatus=0;
	$iRowCount=0;
	
	if (isset($_SESSION['dbsection']))://??? TODO do we still need this?
		$dbname=$_SESSION['dbsection'];
		
		connect_to_db($dbname);
	else:	
		$dbname=db('dbname');
	endif;
	$curArtVacMode=$qmdC->get_UParamByName('ArtVacMode');
		
	if ($curArtVacMode<1):
		$curArtVacMode=l('art_or_vac_art');
		$filterquery=' AND VAC=0 ';
		$addMode='ArtVacMode=0';
			
	else:
		$curArtVacMode=l('art_or_vac_vac');
		$filterquery=' AND VAC>0 ';
		$addMode='ArtVacMode=1';
	endif;
	//msgbox($addMode);
	
	
	$add = ' - <a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/'.$sef.'/';
	
	$add.='?'.$addMode.'"';
	$add.=' title="'.l('add_new').'">
				'.l('add_new').'</a> - ';
	if (FALSE):
		$add.=l('see').' ('.$link.'">'.l('all').'</a>) -';
	endif;
	$add.=l('filter').' ('.$link.'/?task=filter">'.l('year').'</a> / '.$link.'/?task=filter">
				'.l('month').'</a>)&nbsp; show Language: ';
	
	for ($jCount=0;$jCount<count($LANG);$jCount++):
		//if ($LANG[$jCount]<>$currentLang):
			$add.='&nbsp;<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/qmd_articles/?showLang='.$LANG[$jCount].'%26'.$addMode.'">['.$LANG[$jCount].']</a>';
		//endif;
	endfor;
	$add.='&nbsp;<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/qmd_articles/?showLang='.$qmd_Lang_ANY.'%26'.$addMode.'">[ALL]</a>';
	
	$tab = 1;
	$lShowArticle=FALSE;
	$staskYear=-1;
	$staskMonth=-1;
	$stask=$qmdC->get_UParamByName('task');
	if ($stask==-1):
		
		$lShowArticle=TRUE;
	else:
		if ($stask == 'filter'):
			
			$staskYear=$qmdC->get_UParamByName('year');
			
			if ($staskYear==-1):
				_admin_articles_ym($contents);
			else:
				$staskMonth=$qmdC->get_UParamByName('month');
				$lShowArticle=TRUE;
			endif;
		endif;
	endif;
	
	if ($lShowArticle==TRUE):
		
		$txtYear = l('year');
		$txtMonth = l('month');
		if ($staskYear<>-1):
			$year = $staskYear;
		else:
			$year = '';
		endif;
		if ($staskMonth<>-1):
			$month = $staskMonth;
		else:
			$month = '';
		endif;
		
		$filterquery.= !empty($year) ? "AND YEAR(date)='".$year."' " : '';
		$filterquery .= !empty($month) ? "AND MONTH(date)='".$month."' " : '';
		
		if ($currentLang<>$qmd_Lang_ANY):
			$filterquery.=' AND lang="'.$currentLang.'"';
		endif;

		$AA=array(l('art_or_vac_art'),l('art_or_vac_vac'));
		
		$Article_VAC_Combo = html_input('combobox', 'cmbArt_Vac', 'cmbArt_Vac', $curArtVacMode,l('art_or_vac'), '', 'onchange="changeArtMode(\'cmbArt_Vac\')"', '',       '',    '',    '',      '',      '',     '',        $AA);
		$no_content = !empty($filterquery) ? '<p>'.l('no_content_for_filter').'</p>' : '<p>'.l('article_not_exist').'</p>';
		echo html_input('form', '', 'post', '', '', '', '', '', '', '', 'post', '/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=process%26task=reorder');
		echo '<div class="qmd_adminpanel">';
		echo '<p class="qmd_adminSectionHeader">'.$Article_VAC_Combo.'</p>'; 
		echo '<p class="qmd_adminSectionHeader">'.$title.$add.'</p>'; 
		echo '<p><input type="hidden" name="order" id="order" value="'.$goto.'" /></p>';
		
		
		$sql = query_get_art_cat($currentLang,0) .' WHERE 1=1 and a.art_parent is null '
							.$filterquery .' ORDER BY catlang ASC, date DESC ';
		debuglog($sql,'admin_articles');
		$rows=getSQL($sql,$iDBStatus,$iRowCount);
		$lastCat=-2;
		
		for ($iCount=0;$iCount<$iRowCount;$iCount++)://now stepping through categories
			$row = $rows[$iCount];
			
			$xCatItem=$row['catid'];
			
			if ($xCatItem<>$lastCat):
			echo '</div>';
				echo '<div class="qmd_adminpanel">';
				echo '<p class="qmd_adminSectionHeader">'.$row['catlang'].'</p>'; 
			endif;

			_admin_show_article_($row,1);
			
			if ($xCatItem<>$lastCat):
				$lastCat=$xCatItem;
			endif;
		endfor;
		
		echo '<p>'.html_input('submit', 'reorder', 'reorder', l('order_content'), '', 'button');
		echo '</p></div></form>';
		
	endif;
	
}//admin_articles


// CATEGORIES FORM


// COMMENTS - EDIT
function edit_comment()
{
	global $qmdC;
	global $qmd_const_URL_Params;
	$returnmode=$qmdC->get_UParamByName('ret');
	if ($returnmode==-1)
		$returnmode='admin';
	
	$commentid=$qmdC->get_ID();
	if ($commentid==-1):
		
		$commentid=$qmdC->get_UParamByName('commentid');
	endif;
	
	
	$sql='SELECT id,articleid,name,url,comment,approved,eMail FROM '._PRE.'qmd_comments WHERE id='.$commentid;
	$iDBStatus=0;
	$iRowCount=0;
	
	$res=getSQL($sql,$iDBStatus,$iRowCount);
	
	if ($iDBStatus>=0):
		if ($iRowCount<1):
			msgbox('no result set');
		else:
			
			$r=$res[0];
			
			$articleTITLE = retrieve('title', 'qmd_articles', 'a.id', $r['articleid']);
			
			echo html_input('form', '', 'post', '', '', '', '', '', '', '', 'post', '/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=comment%26task=process%26commentid='.$commentid.'%26ret='.$returnmode);
			echo '<div class="qmd_adminpanel">';
			
			echo '<p class="qmd_adminSectionHeader">'.l('edit_comment').' (<strong> '.$articleTITLE.'</strong> )</p>';
			echo '+++++++++++++++++++++++++++++++++++++++++<br/>';
			echo html_input('text', 'name', 'n', $r['name'], l('name'));
			echo '<br/>';
			echo html_input('text', 'url', 'url', $r['url'], l('url'));
			echo '<br/>';
			echo html_input('text', 'eMail', 'eMail', $r['eMail'], l('email'));
			echo '<br/>';
			echo html_input('checkbox', 'approved', 'a', '', l('approved'), '', '',  $r['approved'] == 1 ? 'ok' : '');
			
			echo '<br/>+++++++++++++++++++++++++++++++++++++++++<br/>';
			echo html_input('textarea', 'editedcomment', 'ec', stripslashes($r['comment']), l('comment'), '', '', '', '2', '100');
			echo '<br/>';
			
			echo '</div></p>'; 
			echo '<br/>';
			echo html_input('hidden', 'id', 'id', $r['articleid']);
			echo html_input('submit', 'save_text', 'save_text', l('edit'), '', 'button');
			echo html_input('hidden', 'commentid', 'commentid', $r['id']);
			$s='onclick="javascript: return pop(\''.l('js_delete2').'\')"';
			echo html_input('submit', 'delete_text', 'delete_text', l('delete'), '','button', $s);
			echo '</p></form>';
		endif;
	else:
		msgbox('ERR on edit_comment');
	endif;
	
}

// *** PROCESSING (CATEGORIES, CONTENTS, COMMENTS) ***
function save_article()
{
	
	global $qmd_const_URL_Params;
	global $LANG;

	global $qmdC;
	global $qSQL;
	global $qmd_Lang_ALL;
	global $qmd_Lang_ANY;
	
	//processStatus is the main result of this function
	//+1 ok
	//0 nothing to do
	//-1 some error
	// we could improve on that here! TODO
	
	//we have four possible options
	//1.) save article
	//2.) new article
	//3.) delete article
	//in any of the above cases the processStatus should be >0 to signify that everything is ok
	//4.) modify settings for editing an article
	//		this last one may return 0
	
	
	
	$artid = isset($_POST['artid']) ? $_POST['artid'] : -1; //
	
	$lang=$qmdC->get_UParamByName('lang',s('language'));
	$processStatus=-1;
	$defaultProcess=0;
	
	if (isset($_POST['btnAddMenu']))
	{
		
		$defaultProcess--;
		insert_article2menu($artid,0);
		form_articles();
	}
	else
	{
		$AMenu=get_Menu2Article($artid);
		$icount=0;
		while ($icount<count($AMenu))
		{
			$sTmp='remove_menu_'.$AMenu[$icount];
			if (isset($_POST[$sTmp]))
			{

				$defaultProcess--;
				$iRows=0;
				delete_article2menu($artid,$AMenu[$icount]);
				$icount=count($AMenu);
			}
			$icount++;
		}
		if ($defaultProcess<0)
			yredirect('/'.$qmd_const_URL_Params[2],'action=admin_article%26id='.$artid.'%26editLang='.$lang,0);
	}
	
	if ($defaultProcess==0)
	{

		if (isset($_POST['copyArticle']))
		{
			$lang=$qmdC->get_UParamByName('editLang');
			$defaultProcess--;
			$AParent=$qmdC->qmdA();

			if ($AParent==NULL)
			{
				
				$qmdC->loadArticlebyID($artid,$lang,1);

				$AParent=$qmdC->qmdA();
			}
			
			$NewArtID=$AParent->createArticleCopy($lang);
			$defaultProcess=-1;

			yredirect('/'.$qmd_const_URL_Params[2],'action=admin_article%26id='.$NewArtID.'%26editLang='.$lang,0);
		}
		
	}
	if ($defaultProcess==0)
	{
		//we need an object to do this so we first create the object
		//let's get the data that we are about to handle
		
		$articleClass=isset($_POST['articleClass'])?$_POST['articleClass']:'qmd_base_article';
		
		$articleLanguage = isset($_POST['articleLanguage']) ? $_POST['articleLanguage'] : $qmdC->get_UParamByName('editLang');
		if ($articleLanguage==-1)
			$articleLanguage=$qmdC->language; //
		
		
		$seftitle = isset($_POST['seftitle']) ? $_POST['seftitle'] : ''; //
		$AO=$qmdC->qmdA();
		if ($AO==null):
			$setClass=TRUE;
		else:
			if ($AO instanceof $articleClass == TRUE):
				$setClass=FALSE;
			else:
				$setClass=true;
			endif;
		endif;
		
		if ($setClass==TRUE):
			if ($artid>0):
		
				if (!$qmdC->loadArticlebyID($artid,$articleLanguage,1))://seek Language with force
					$qmdC->loadArticlebyID($artid,$qmd_Lang_ALL,1);//force
				endif;
				$AO=$qmdC->qmdA();
			else:
				$AO=$qmdC->load_Article_Data(null,true,'');//Does this work??
			endif;
		endif;	
		if (is_null($AO))
			qmd_die('Internal Error: no object to operate with');
		//now we have an object to work with
		
		if ($ArtCommentMode>2){$ArtCommentMode=$ArtCommentMode+2;}
		$aLinkLabel=array(l('backhome'),l('administration'),l('back2ArticleOverview'),l('back2editArticle'),l('ViewThisArticle'));
		//$sThis1='/administration?action=admin_article%26id='.$artid.'%26editLang='.$articleLanguage;
				
		if (
				(isset($_POST['delete_article']))
				||
				(isset($_POST['delete_article_complete']))
			):
			
			if (isset($_POST['delete_article_complete'])):
				$processStatus=$AO->DoDeleteArticle($artid,$qmd_Lang_ALL);
			else:
				
				$processStatus=$AO->DoDeleteArticle($artid,$articleLanguage);
			endif;
			$processAction='Article deleted';
			$aLinkLabel=array(l('backhome'),l('administration'),l('back2ArticleOverview'));
			//$sThis1='/administration?action=admin_article%26id='.$artid.'%26editLang='.$articleLanguage;
			
			$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_articles');
				
		else:
			$processStatus=$AO->DoSaveArticle();
			
			$processAction='Article saved';
		endif;
		
				
		
		if ($processStatus>0):
			unset($_SESSION['article_save']);
			if ($artid>0)
				$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_articles',$_SERVER['HTTP_REFERER'],'/'.$seftitle);
			else
				$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_articles',
										'/'.$qmd_const_URL_Params[2].'?action=admin_article%26id='.$processStatus,'/'.$seftitle);
			
			qmd_notify(0, $processAction ,$aLinkLabel, $aLinkList,'',$ReloadTimeOut=0);
				//$notifytype		0	ok	1 Warning 2 Error 3 SystemError 4 FORWARD 5 coming from Forward
				//$usermsg 		message to be displayed to user
				//$aLinkLabel	Array with labels 4 Links
				//$aLinkList	Array with Links
				//$Reload		
				//$ReloadTimeOut time message is displayed

		else:
			
			qmd_notify(2,$processAction . ' failed',array(l('administration'),'articles'),array('/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_articles'));
		endif;
	}
	return $processStatus;	
}

function do_process($task)
{
	//we should set a result here and delete sticky session vars if everything is ok
	//
	global $qmd_const_URL_Params;
	global $LANG;
	global $qmdC;
	global $qSQL;
	$result = 0;
	
	if ($task=='admin_article'):
	
		$result=save_article();
	else:
			
	
		$iDBStatus=0;
		$iRowCount=0;

		$articleLanguage = isset($_POST['editLang']) ? $_POST['editLang'] : $qmdC->language; //
		
		$sMSG='';
		
		$id=$qmdC->get_ID();
		
		
		$name = isset($_POST['name']) ? clean(entity($_POST['name'])) : ''; //
			
		//$category = !empty($_POST['define_category']) ? $_POST['define_category'] : 0; //set from categories!!!
																												//is actually the subcat
			
		$subcat = isset($_POST['subcat']) ? $_POST['subcat'] : -1; //or may be 0 thebetter choice?
			
		$description = isset($_POST['description']) ? clean(entity($_POST['description'])): ''; //
		
		$seftitle = isset($_POST['seftitle']) ? $_POST['seftitle'] : ''; //
		
		$comment = isset($_POST['editedcomment']) ? $_POST['editedcomment'] : ''; //

		$publish_category = isset($_POST['publish']) && $_POST['publish'] == 'on' ? 1 : 0; //
		
		$schemeord= $_POST['cmbScheme']; //
		
		$aschemes=get_scheme_array();
		$thisScheme=$aschemes[$schemeord];
		
			
		$fpost_enabled = true;
		$article_date = $_POST['fposting_year'].'-'.$_POST['fposting_month'].'-'.$_POST['fposting_day'].' '.
							$_POST['fposting_hour'].':'.$_POST['fposting_minute'].':00';
		
		switch ($task):
			case 'save_settings':
				admin_process_settings();
				break;
			
			case 'admin_menue':
				
				if (isset($_POST['delete_menu'])):
					
					if (_delete_menu($_POST['id'],0)>0):
						$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'));
						$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_menue');
								
						qmd_notify(0,'Menu deleted',$aLinkLabel,$aLinkList);
					else:
						$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'),l('back2editMenu'));
						$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_menue',$_SERVER['HTTP_REFERER']);
								
						qmd_notify(2,'ERROR deleting menu',$aLinkLabel,$aLinkList);
					endif;
				else:
					$visible=0;
					if (isset($_POST['chkvisible']))
					{
						if ($_POST['chkvisible']=='on')
							$visible=1;
					}
					
					$showsubs=0;
					if (isset($_POST['chkshowsubs']))
					{
						if ($_POST['chkshowsubs']=='on')
							$showsubs=1;
					}
					
					$menulink=$_POST['SEF'];
					$parent=$_POST['parent'];
					
					//if (isset($_POST['id'])) IT IS ALWAYS SET
					$id=$_POST['id'];
					

					$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'),l('back2editMenu'));
					$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_menue',$_SERVER['HTTP_REFERER']);
					if (isset($_POST['add_MainMenu'])):
						$parent=-1;
					else:
						if (is_null($_POST['parent']))
							$parent=-1;
						else
							$parent=$_POST['parent'];
					endif;
					
					$saveStatus=1;
					switch (true):
						case (empty($menulink)):

							$saveStatus--;
							qmd_notify(1,l('err_TitleEmpty').l('errNote'),$aLinkLabel,$aLinkList);
							
							break;
						
						case (isset($_POST['new_menu']) && !check_if_unique('menu', $menulink, '', $sMSG)):

							$saveStatus--;
							qmd_notify(1,l('err_TitleExists').l('errNote').' '.$sMSG,$aLinkLabel,$aLinkList);
							
							break;
						case (($id>0) && !check_if_unique('menu', $menulink, $id, $sMSG)):

							$saveStatus--;
							qmd_notify(1,l('err_TitleExists').l('errNote').' '.$sMSG,$aLinkLabel,$aLinkList);
							
							break;
						case (isset($_POST['edit_menu']) && !check_if_unique('menu', $menulink, $id, $sMSG)):

							$saveStatus--;
							qmd_notify(1,l('err_TitleExists').l('errNote').' '.$sMSG,$aLinkLabel,$aLinkList);
							
							break;
						case (cleancheckSEF($menulink) == 'notok'):

							$saveStatus--;
							qmd_notify(1,l('err_SEFIllegal').l('errNote'),$aLinkLabel,$aLinkList);
							
							
							break;
						default:
							
					endswitch;
					
					//TODO parametrized SQL for insert & update
					if ($saveStatus>0):
						if (isset($_POST['edit_menu'])):
				
							$sql='UPDATE '._PRE.'qmd_menu set
									menulink="'.$menulink.'",
									parent='.$parent.',
									show_condition='.$visible.'
									,show_sub_in_article_head='.$showsubs.'
									,scheme="'.$thisScheme.'"
									WHERE id='.$id;
							
							$res=execSQL($sql);
							if ($res<1):
								msgbox('ERROR: Update Menu failed!');

							else:
								$sql='UPDATE '._PRE.'qmd_menu_ML set ';
								for ($iCount=0;$iCount<count($LANG);$iCount++)
								{
									$s='Caption_'.$LANG[$iCount];
									$sql.=$LANG[$iCount].'="'.cleanText($_POST[$s]).'" ';
									
									if ($iCount<count($LANG)-1){$sql.=',';}
								}
								$sql.=' WHERE mid='.$id;
								
								$res=execSQL($sql);
								if ($res<1):
									msgbox('ERROR: Update Menu (ML) failed!');
								else:	
									qmd_notify(0,'Menu saved',$aLinkLabel,$aLinkList);
								endif;
							endif;
						else:
							if (isset($_POST['new_menu']) OR (isset($_POST['add_MainMenu']))):
								
								$aFields=array('menulink','show_condition','parent','show_sub_in_article_head','scheme');
								$aVals=array($menulink,$visible,$parent,$showsubs,$thisScheme);
								$sTable=_PRE.'qmd_menu';
								if ($qSQL->prepareinsert($aFields,$aVals)>0):
									$res=$qSQL->insertSQL($sTable,$iNewID);
									if ($res==1):
										//iNewID is the new ID
										$aFields=array();
										$aFields[]='mid';
										for ($kCount=0;$kCount<count($LANG);$kCount++)
											$aFields[]=$LANG[$kCount];
										$aVals=array();
										$aVals[]=$iNewID;
										for ($kCount=0;$kCount<count($LANG);$kCount++)
										{
											$s=$_POST['Caption_'.$LANG[$kCount]];
											$aVals[]=cleanText($s);
										}
										$IDummy=0;
										$sTable=_PRE.'qmd_menu_ML';
										if ($qSQL->prepareinsert($aFields,$aVals)>0):
											$res=$qSQL->insertSQL($sTable,$iDummy);
											if ($res==1):
											else:
												msgbox('error on insert Menu (ML)');
											endif;
										else:
											msgbox('error on prepareinsert Menu (ML)');
										endif;
										
									else:
										msgbox('error on insert MENU');
									endif;
								else:
									msgbox('error on prepareinsert MENU');
								
								endif;
								$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'),l('back2editMenu'));
								$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_menue',$_SERVER['HTTP_REFERER']);
								
								if ($res>0):
									$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'),l('back2editMenu'));
									$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_menue',$qmd_const_URL_Params[2].'/?action=admin_submenu%26id='.$iNewID);
									
									qmd_notify(0,'Menu saved',$aLinkLabel,$aLinkList);
								else:
									qmd_notify(2,'ERROR inserting menu ML',$aLinkLabel,$aLinkList);
								endif;
							endif;
						endif;
					endif;
				endif;
				break;//end of admin_menue
			case 'admin_category':
			case 'admin_subcategory':
				
				$aLinkLabel=array(l('back'));
				$aLinkList=array($_SERVER['HTTP_REFERER']);
				$name='';
				$seftitle=$_POST['SEF'];
				$id=$_POST['id'];
				
				$subcat=$_POST['parent'];
				if ($subcat<0)
					$subcat=0;
				$publish=0;
				if (isset($_POST['chkvisible']))
					if ($_POST['chkvisible']=='on')
						$publish=1;
			
					
				//actually we don't need that here
				for ($i=0;$i<count($LANG);$i++)
				{
					$sx='Caption_'.$LANG[$i];
					$name.=$_POST[$sx];
				}
				
				switch (true):
					case (empty($seftitle)):
						qmd_notify(1,l('err_SEFEmpty').l('errNote'),$aLinkLabel,$aLinkList);
						
						form_categories();
						break;
					case (isset($_POST['new_cat']) && !check_if_unique('cat_seftitle', $seftitle, '', $sMSG)):
						
						qmd_notify(1,$sMSGl.' '.('err_SEFExists').l('errNote').' ',$aLinkLabel,$aLinkList);
						form_categories();
						
						break;
					case (isset($_POST['edit_cat']) && !check_if_unique('cat_seftitle', $seftitle, $id, $sMSG)):
						qmd_notify(1,$sMSG.' '.l('err_SEFExists').l('errNote'),$aLinkLabel,$aLinkList);
						form_categories();
						break;
					case (cleancheckSEF($seftitle) == 'notok'):
						
						qmd_notify(1,l('err_SEFIllegal').l('errNote'),$aLinkLabel,$aLinkList);
						form_categories();
						break;
					default:
						
						$sql = "SELECT MAX(catorder) as max
													FROM "._PRE.'qmd_categories'." WHERE parent = $subcat";
						$cats=getSQL($sql,$iDBStatus,$iRowCount);
						
						if ((count($cats)>0)&&(!is_null($cats[0]['max'])))
						{
							
							$catorder = $cats[0]['max'];
							$catorder = $catorder++;
						}
						else
							$catorder=0;
						$description=cleanText($description);
						switch(true):
							case (isset($_POST['delete_cat'])):
									
									if (delete_cat($id)>0):
										
										qmd_notify(0,l('cat_dropped'),
											array(l('backhome'),l('administration'),l('back2CatOverview')),
											array('/','/'.$qmd_const_URL_Params[2],$qmd_const_URL_Params[2].'/qmd_categories'));
										
									else:
										
										qmd_notify(0,l('error_on_delete_category'),
											array(l('backhome'),l('administration'),l('back2CatOverview')),
											array('/','/'.$qmd_const_URL_Params[2],$qmd_const_URL_Params[2].'/qmd_categories'));
									endif;
								
								break;
							case (isset($_POST['new_cat'])):
							
								$ABack=array('back to categories');
								$ABackTrg=array($qmd_const_URL_Params[2].'/qmd_categories');
								
								$aFields=array('catlink', 'description', 'published', 'catorder', 'parent','scheme');
								$aValues=array($seftitle, $description,$publish,$catorder,$subcat,$thisScheme);
								if ($qSQL->prepareinsert($aFields,$aValues)>0):
									$res=$qSQL->insertSQL(_PRE.'qmd_categories',$iNewID);
									if ($res==1):
										$aFields=array('mcid');
										for ($i=0;$i<count($LANG);$i++):
											$aFields[]=$LANG[$i];
										endfor;
										$aValues=array($iNewID);
									
										for ($i=0;$i<count($LANG);$i++):
											$aValues[]=cleanText($_POST['Caption_'.$LANG[$i]]);
										endfor;
										if ($qSQL->prepareinsert($aFields,$aValues)>0):
											$res=$qSQL->insertSQL(_PRE.'qmd_categories_ML',$iNewID);
											if ($res==1):
												qmd_notify(0,l('cat_saved'),$ABack,$ABackTrg);
											else:
												qmd_notify(2,'error on inserting catML - 1',$ABack,$ABackTrg);
											endif;
										else:
											qmd_notify(2,'error on inserting catML - 0',$ABack,$ABackTrg);
										endif;
									else:
										qmd_notify(2,'error on inserting cat - 1',$ABack,$ABackTrg);
									endif;
								else:
									qmd_notify(2,'error on inserting cat - 0',$ABack,$ABackTrg);
								endif;
								break;
							case (isset($_POST['edit_cat'])):
								$ABack=array('back to categories');
								$ABackTrg=array($qmd_const_URL_Params[2].'/qmd_categories');
								
								$aFields=array('catlink', 'description', 'published', 'catorder', 'parent','scheme');
								$aValues=array($seftitle, $description,$publish,$catorder,$subcat,$thisScheme);
								$aWhereFields=array('id=');
								$aWhereVals=array($id);
								if ($qSQL->prepareupdate($aFields,$aValues,$aWhereFields,$aWhereVals)>0):
									$res=$qSQL->updateSQL(_PRE.'qmd_categories',$iNewID);
									if ($res==1):
										$aWhereFields=array('mcid=');
										$aWhereVals=array($id);
										unset($aFields);
										$aFields=array();
										for ($i=0;$i<count($LANG);$i++):
											$aFields[]=$LANG[$i];
										endfor;
										$aValues=array();
									
										for ($i=0;$i<count($LANG);$i++):
											$aValues[]=cleanText($_POST['Caption_'.$LANG[$i]]);
										endfor;
										if ($qSQL->prepareupdate($aFields,$aValues,$aWhereFields,$aWhereVals)>0):
											$res=$qSQL->updateSQL(_PRE.'qmd_categories_ML',$iNewID);
											if ($res==1):
												qmd_notify(0,l('cat_saved'),$ABack,$ABackTrg);
											else:
												qmd_notify(2,'error on saving catML - 1',$ABack,$ABackTrg);
											endif;
										else:
											qmd_notify(2,'error on saving catML - 0',$ABack,$ABackTrg);
										endif;
									else:
										qmd_notify(2,'error on inserting cat - 1',$ABack,$ABackTrg);
									endif;
								else:
									qmd_notify(2,'error on inserting cat - 0',$ABack,$ABackTrg);
								endif;
								
								break;
							
						endswitch;
						
				endswitch;					
				break;
			case 'reorder':

				if (isset($_POST['reorder'])):// 'order content'
				
					$error=FALSE;
					switch ($_POST['order']):
						
						case $qmd_const_URL_Params[2].'/qmd_articles':
								//this might - more or less - only be useful in order to sort VACs
								$table = 'qmd_articles';
								$order_type = 'artorder';
								$remove = 'page_';
								
							break;
						case 'qmd_menue':
									$table = 'qmd_menu';
									$order_type = 'sort';
									$remove = 'men_sort_';
									break;
						case 'qmd_categories':
									$table = 'qmd_categories';
									$order_type = 'catorder';
									$remove = 'cat_';
									break;
						default:
									$error=TRUE;
									break;
					endswitch;//switch POST[order]
					if ($error==TRUE):
						qmd_notify(2,'error by param in processing');
						//echo '<meta http-equiv="refresh" content="1; url='._SITE.'/'.$_POST['order'].'/">';
					else:
						$i=strlen($remove);
						foreach ($_POST as $key => $value)://DONE: tested
							$s=substr($key,0,$i);
							//echo $s.'<br/>';
							if ($s==$remove):
								
								$type_id = substr($key,$i,3);
								
								$key = clean(cleanXSS(trim($value)));
								//echo $key.'  ' .$value.' - '.$type_id."<br/>";

								$query = "UPDATE "._PRE.$table." SET $order_type = $value WHERE id = $type_id LIMIT 1;";
								//echo $query.'<br/>';
								execSQL($query);
								
							endif;
						endforeach;
						$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'));
						$aLinkList=array('/','/'.$qmd_const_URL_Params[2],'/'.$qmd_const_URL_Params[2].'/qmd_menue/');
								
						qmd_notify(0,'new order applied',$aLinkLabel,$aLinkList);
						
						
					endif;
					
				endif;//isset
				break;
			
			case 'delete_category_all':
				/* NOTE: ATM this will never be executed!!! */
				$sql="SELECT id FROM "._PRE.'qmd_articles'." WHERE category = $id";
				
				$art_query = getSQL($sql,$iDBStatus,$iRowCount);
				for ($kcount=0;$kCount<$iRowCount;$kCount++):
					$rart = $art_query[$kCount];
				
					execSQL("DELETE FROM "._PRE.'qmd_comments'." WHERE articleid = $rart[id]");
				endfor;
				execSQL("DELETE FROM "._PRE.'qmd_articles'." WHERE category = $id");
				$sql="SELECT id FROM "._PRE.'qmd_categories'." WHERE subcat = $id";
				$sub_query = getSQL($sql,$iDBStatus,$iRowCount);
				for ($kcount=0;$kCount<$iRowCount;$kCount++):
					$rsub = $sub_query[$kCount];
				
					$sql2="SELECT id FROM "._PRE.'qmd_articles'." WHERE category = $rsub[id]";
					$art_query = getSQL($sql2,$iDBStatus2,$iRowCount2);
					for ($jcount=0;$jCount<$iRowCount2;$jCount++):
					
						$rart = $art_query[$jCount];
					
						execSQL("DELETE FROM "._PRE.'qmd_comments'." WHERE articleid = $rart[id]");
					endfor;
					execSQL("DELETE FROM "._PRE.'qmd_articles'." WHERE category = $rsub[id]");
				endfor;
				execSQL("DELETE FROM "._PRE.'qmd_categories'." WHERE subcat = $id"); delete_cat($id);
				qmd_notify(0,l('cat_dropped'), 
								array(l('administration')),array('/'.$qmd_const_URL_Params[2]));
				break;
			case 'hide':
			case 'show':
				
				//$id = $_GET['id'];
				$id=$qmdC->get_ID();
				
				
				$link = ''; //
				
				$showItem = $task == 'hide' ? 0 : 1;
				
				$order = 'artorder';
				$link = '/'.$qmd_const_URL_Params[2].'/qmd_articles';
				
				
				$item = $qmdC->get_UParamByName('item');
				
				$item='qmd_articles';
				if ($showItem==1):
					$showItem='display_mode |'.__visible;
				else:
					$showItem='(display_mode ^'.__visible.')';
				endif;
				$s='UPDATE '._PRE.$item.' SET display_mode= '.$showItem.' WHERE id = '.$id;
				
				execSQL($s);
				
				qmd_notify(0,l('please_wait'),null,null,$link);
				
				break;
		endswitch;//main switch task
	endif;
	
}
function processing() 
{
	
	global $qmdC;
	
	if (($_POST)||($qmdC->get_UParamByName('action')=='process')):
		$sTask = $qmdC->get_UParamByName('task');
		if (empty($sTask)):
			qmd_die('internal error on processing data - unset TASK...');
		else:
			do_process($sTask);
		endif;
	else:
		
		$act=$qmdC->get_UParamByName('action');//TODO here we never arrive normally
		msgbox($act.' - ERROR');
		
		qmd_die('internal error on processing data - unset DATA[POST]...');
		
	endif;
	
}

// FILES
function files() 
{
	global $qmd_const_URL_Params;
	global $qmdC;
	
	$upload_file = isset($_POST['upload']) ? $_POST['upload'] : null;
	$ip = (isset($_POST['ip']) && $_POST['ip'] == $_SERVER['REMOTE_ADDR']) ? $_POST['ip'] : null;
	$time = (isset($_POST['time']) && (time() - $_POST['time']) > 4) ? $_POST['time'] : null;
	
	$qrole=$qmdC->get_userPermission(__USER_isMod);//fileupload requires MOD
	
	
	if ($ip && $time && $upload_file && ($qrole>0)) 
	{
		$ignore = explode(',', l('ignored_items'));
		$file_types = explode(',', s('allowed_files'));
		$image_types = explode(',', s('allowed_images'));
		$extension = array_merge($file_types, $image_types);
		if ($_FILES['imagefile']['type']) 
		{
			$filetemp = $_FILES['imagefile']['tmp_name'];
			$filename = strtolower($_FILES['imagefile']['name']);
			$filetype = $_FILES['imagefile']['type'];
			if (!in_array(substr(strrchr($filename, '.'), 1), $extension) || in_array($filename, $ignore)) 
			{
				qmd_notify(-1,l('file_error').'(a)',array(l('back')),array('/'.$qmd_const_URL_Params[2].'/qmd_files'));
			} 
			else 
			{
				$upload_dir = $_POST['upload_dir'].'/';
				copy ($filetemp, $upload_dir.$filename) or die (l('file_error').'(b)');
				
				qmd_notify(0,l('file_processed'),array(l('back')),array('/'.$qmd_const_URL_Params[2].'/qmd_files'));
				$kb_size = round(($_FILES['imagefile']['size'] / 1024), 1);
				echo '<p><a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/'.$upload_dir.$filename.'" title="'.$filename.'">'.$filename.'</a> ['.$kb_size.' KB] ['.$filetype.']</p>';
			}
		} 
		else 
		{
			qmd_notify(-1,l('file_error').'(c)');
		}
	} 
	else 
	{
		$task=$qmdC->get_UParamByName('task');
		if ($task == 'delete') 
		{
			
			$file_to_delete = $qmdC->get_UParamByName('folder').'/'.$qmdC->get_UParamByName('file');

			if (unlink($file_to_delete))
				qmd_notify(0,l('file_dropped'),array(l('back')),array('/'.$qmd_const_URL_Params[2].'/qmd_files'));
			else
				qmd_notify(1,l('file_not_dropped'),array(l('back')),array('/'.$qmd_const_URL_Params[2].'/qmd_files'));
		} 
		else 
		{
			
			echo '<div class="qmd_adminpanel">';
			echo '<p class="qmd_adminSectionHeader">'.l('upload').'</p>'; 
			echo '<form method="post" action="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/qmd_files/" enctype="multipart/form-data">';
			echo '<p>'.l('uploadto').
				'&nbsp;&nbsp;&nbsp;<select name="upload_dir" id="ud1">';
			echo '<option value=".">..</option>';
			$file=filelist('option',".", 0);
			echo '</select></p><p>'.l('uploadfrom').
				'&nbsp;&nbsp;&nbsp;<input type="file" name="imagefile" /></p><p>';
			echo html_input('hidden', 'ip', 'ip1', $_SERVER['REMOTE_ADDR'],'');
			echo html_input('hidden', 'time', 'time1', time(),'');
			echo html_input('submit', 'upload', 'upload', l('upload'), '', 'button');
			echo '</p></form></div>'; // echo '</p></form></fieldset></div>'; 
			echo '<div class="qmd_adminpanel">';

			echo '<p class="qmd_adminSectionHeader">'.l('view_files').' '.(!isset($_POST['upload_dir']) ? ' root' : ' '.$_POST['upload_dir']);
			echo '</p>'; 
			echo '<form method="post" action="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/qmd_files/" enctype="multipart/form-data">';
			echo '<p><select name="upload_dir" id="ud2"><option value=".">..</option>';
			
			$file=filelist('option',".");
			echo '</select>';
			echo html_input('hidden', 'file', 'file', $file,'');
			echo html_input('hidden', 'ip', 'ip2', $_SERVER['REMOTE_ADDR'],'');
			echo html_input('hidden', 'time', 'time2', time(),'');
			echo html_input('submit', 'show', 'show', l('view'), '', 'button');
			$handle = (isset($_POST['upload_dir']) && strlen($_POST['upload_dir']) > 2) ? substr($_POST['upload_dir'], 2) : ".";
			echo '</p><p>';
			
			$file=filelist('list', $handle);
			echo '</p></form></div>'; // echo '</p></form></fieldset></div>'; 
		}
	}
}

// FILELIST FUNCTION TODO
function filelist($mode, $path, $depth = 0) 
{
	global $qmd_const_URL_Params;
	$ignore = explode(',', l('ignored_items'));
	$file_types = explode(',', s('allowed_files'));
	$image_types = explode(',', s('allowed_images'));
	$types = array_merge($file_types, $image_types);
	$dh = @opendir($path);
	while (false !== ($file = readdir($dh))) 
	{
		$target = $path.'/'.$file;
		if(!in_array($file, $ignore)) 
		{
			$spaces = str_repeat(l('divider').' ', ($depth));
			switch(true) {
				case ($mode == 'option' && is_dir($target)):
					$selected = $_POST['view_dir'] == $target ? ' selected="selected"' : '';
					echo '<option value="'.$target.'"'.$selected.'>'.$spaces.$file.'</option>';
					filelist('option', $target, ($depth + 1));
					break;
				case ($mode == 'list' && is_file($target) && in_array(substr(strrchr($target, '.'), 1), $types)):
					echo '
						<a href="/'.$qmdC->language.'/'.$target.'" title="'.l('view').' '.$file.'">'.$file.'</a>
						'.l('divider').'
							<a href="/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=qmd_files%26task=delete%26folder='.$path.'%26file='.$file.'" title="'.l('delete').' '.$file.'" onclick="return pop(\''.l('js_delete2').'\')">	'.l('delete').'</a><br />'; 
					break;
			}
		}
	}
	closedir($dh);
	return $file;
}

// ADMINISTRATION

// SETTINGS FORM
function settings() 
{ 
	global $qmdC;
	global $qmd_const_URL_Params;
	global $META_docTypeDesc;
	global $lAcomments;
	global $__commentModes;
	global $l_uc;
	global $LANG;
	//show some sensible header
	
	echo '<div class="qmd_adminpanel">
				<p class="qmd_adminsettingsHeader">'.l('settings_title').'</p>';

	//create the form
	echo html_input('form','','','','','','','','','','post', '/'.$qmdC->language.'/'.$qmd_const_URL_Params[2].'/?action=process%26task=save_settings');
	echo '<fieldset>';
		
	echo '<p class="qmd_adminsettingsitem">
				<a onclick="toggle(\'sub1\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('settings').'">'
				.l('settings').'</a></p>';
				
				echo '<div id="sub1" style="display: none;">';
					//Title
					echo html_input('text', 'version', 'version', __y_qmd_cms_version, l('version'),'','disabled="disabled"');
					echo '<br/>';
					echo ('Note: the above setting is not editable!');
					echo '<br/>';
					echo '<br/>';
					echo html_input('text', 'website_title', 'webtitle', s('website_title'), l('a_website_title'));
					echo '<br/>';
					//home SEF
					echo html_input('text', 'home_sef', 'webSEF', s('home_sef') == '' ? l('home_sef') : s('home_sef'), l('a_home_sef'), '', 'onkeypress="return SEFrestrict(event);"');
					echo '<br/>';
					//Website
					echo html_input('text', 'website_description', 'wdesc', s('website_description'), l('a_description'),'qmd_large_inputline_unused'). ' '.l('unused');
					echo '<br/>';
					//Keywords
					echo html_input('text', 'website_keywords', 'wkey', s('website_keywords'), l('a_keywords'),'qmd_large_inputline');
					echo '<br/>';
					
					echo html_input('combobox','cmb_uc','cmb_uc',s('under_construction',0), l('admin_under_construction'),'qmd_admin_edit_article_cmb_medium','','','','','','','','',$l_uc,'','qmd_admin_cmblbl_medium');
					echo '<br/>';
					array_pop($l_uc);
					echo '<b>'.l('active_Langs').'</b><br/>';
					for ($i=0;$i<count ($LANG); $i++)
					{
						$langmode=$LANG[$i];
						echo html_input('combobox','cmb_uc'.$langmode,'cmb_uc'.$langmode,s('uc_'.$langmode,0), l('persistent_hint').' <b>['.$LANG[$i].']</b>','qmd_admin_edit_article_cmb_medium','','','','','','','','',$l_uc,'','qmd_admin_cmblbl_medium');
						echo '<br/>';
					}
				echo '</div>'; //close div1
	# Expandable Contact
	
	echo '<p class="qmd_adminsettingsitem">
				<a onclick="toggle(\'sub2\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('a_contact_info').'">'
				.l('a_contact_info').'</a></p>';

		echo '<div id="sub2" style="display: none;">';
				
				
				echo html_input('text', 'website_email', 'we', s('website_email'), l('a_website_email'));
				echo '<br/>';
				echo html_input('text', 'contact_subject', 'cs', s('contact_subject'), l('a_contact_subject'));
				echo '<br/>';
				//echo '<div class="qmd_clearer">&nbsp;</div>';
		echo '</div>';//close div2
	
	# Expandable Time & Locale
	echo '<p  class="qmd_adminsettingsitem">
				<a onclick="toggle(\'sub3\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('a_time_settings').'">'
				.l('a_time_settings').'</a></p>';
		echo '<div id="sub3" style="display: none;">';
			//echo '<div class="qmd_clearer">&nbsp;</div>';
			echo html_input('text', 'language', 'lang', s('language') == '' ? 'EN' : s('language'), l('a_language'));
			echo '<br/>';
			//echo html_input('text', 'charset', 'char', s('charset') == '' ? 'UTF-8' : s('charset'), );
			//echo '<br/>';
			echo html_input('text', 'date_format', 'dt', s('date_format'), l('a_date_format'));
			echo '<br/>';
		//echo '<div class="qmd_clearer">&nbsp;</div>';
		echo '</div>';//close div3
	//echo '<div class="qmd_clearer">&nbsp;</div>';
	# Expandable Contents
	echo '<p class="qmd_adminsettingsitem">
				<a onclick="toggle(\'sub4\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('contents').'">'
					.l('contents').'</a></p>';
		echo '<div id="sub4" style="display: none;">';
			//echo '<div class="qmd_clearer">&nbsp;</div>';
			//INSERT INTO `qmd_settings`(`name`, `value`) VALUES ('default_teaser_length','300');
			
			echo html_input('text', 'default_teaser_lengt', 'default_teaser_lengt', s('default_teaser_lengt'), l('teaser_length'));
			echo '<br/>';
			
			echo html_input('text', 'charset_encoding', 'charset_encoding', s('charset_encoding'), l('charset'));
			echo '<br/>';
			
			
			create_category_combo(0,s('defaultVACCategory'),l('defaultCatCategory'),'');//all levels
			echo html_input('combobox','cmbMETADoCType','cmbMETADoCType',s('Meta_Doc_Type'), 'Meta-DoC-Type','qmd_admin_edit_article_cmb_big','','','','','','','','',$META_docTypeDesc,'','qmd_admin_cmblbl_big');
			echo '<br/>';

			echo l('explain_Meta_Doc_Type');
			echo '<br/>';
			echo '<br/>';
			$aschemes=get_scheme_array();
			echo html_input('combobox','cmbscheme','cmbScheme',s('scheme'), l('art_scheme'),'qmd_admin_edit_article_cmb_medium','','','','','','','','',$aschemes,'','qmd_admin_cmblbl_medium');
			echo '<br/>';
			echo html_input('combobox','cmbschemeAdmin','cmbSchemeAdmin',s('scheme4admin'), l('art_schemeAdmin'),'qmd_admin_edit_article_cmb_medium','','','','','','','','',$aschemes,'','qmd_admin_cmblbl_medium');
			echo '<br/>';
			echo html_input('text', 'article_limit', 'artl', s('article_limit'), l('a_article_limit'));
			htmlspacer(8);
			echo '<br/>';
			echo '<label for="dp">'.l('a_display_page').':</label>'
					.gethtmlspacer(3);
			$lFound=FALSE;
			echo '<select name="display_page" id="dp" class="qmd_AMenuOnHome">';
				
				$query = query_get_art(7).' AND (show_on_home=1) AND lang="'.$qmdC->language.'" ORDER BY seftitle ASC';
				$iDBStatus=0;
				$iRowCount=0;
				$result = getSQL($query,$iDBStatus,$iRowCount);
				for ($iCount=0;$iCount<$iRowCount;$iCount++):
					$r = $result[$iCount];
				
					echo '<option value="'.$r['artid'].'"';
					if (s('display_page') == $r['artid']):
						echo ' selected="selected"';
						$lFound=TRUE;
					endif;
					echo '>'.$r['title'].'</option>';
				endfor;
				if ($lFound==TRUE):
					echo '<option value="0"'.(s('display_page') == 0 ? ' selected="selected"' : '').'>'.l('none').'</option>';
				else:
					echo '<option value="0"'.(s('display_page') == 0 ? ' selected="selected"' : '').'>'.l('none').'</option>';
				endif;
			echo '</select>';

			echo '<br/>';
			echo html_input('checkbox','display_new_on_home','dnoh','',l('a_display_new_on_home'),'','',(s('display_new_on_home') == 'on' ? 'ok' : ''));
			echo '<br/>';
			echo html_input('checkbox','display_pagination','dpag','',l('a_display_pagination'),'','',(s('display_pagination') == 'on' ? 'ok' : ''));
			echo '<br/>';
			echo html_input('checkbox','num_categories','nc','',l('a_num_categories'),'','',(s('num_categories') == 'on' ? 'ok' : ''));
			echo '<br/>';
			echo html_input('checkbox','show_cat_names','scn','',l('a_show_category_name'),'','',(s('show_cat_names') == 'on' ? 'ok' : ''));
			echo '<br/>';
			
			$acss=array();
			$acss[]=l('auto_load_0');
			$acss[]=l('auto_load_1');
			$acss[]=l('auto_load_2');
			echo html_input('combobox','cmbcssautoload','cmbcssautoload',s('load_scheme_css'), l('auto_load_css_cap'),'qmd_admin_edit_article_cmb_medium','','','','','','','','',$acss,'','qmd_admin_cmblbl_medium');
			
			echo '<br/>';
			echo html_input('combobox','cmbjsautoload','cmbjsautoload',s('load_scheme_js'), l('auto_load_js_cap'),'qmd_admin_edit_article_cmb_medium','','','','','','','','',$acss,'','qmd_admin_cmblbl_medium');
			
			echo '<br/>';
			echo html_input('text','file_extensions','fileext',s('file_extensions'),l('file_extensions'),'qmd_large_inputline');
			
			echo '<br/>';
			echo html_input('text','allowed_files','all_file',s('allowed_files'),l('allowed_files'),'qmd_large_inputline');
			echo '<br/>';
			echo html_input('text','allowed_images','all_img',s('allowed_images'),l('allowed_images'),'qmd_large_inputline');
			//echo '<br/>';
			//echo '<div class="qmd_clearer">&nbsp;</div>';
		echo '</div>';//sub4
		# Expandable Comments
	//echo '<div class="qmd_clearer">&nbsp;</div>';

	echo '<p class="qmd_adminsettingsitem">
				<a onclick="toggle(\'sub5\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('comments').'">'
				.l('comments').'</a></p>';
		echo '<div id="sub5" style="display: none;">';
			//echo '<div class="qmd_clearer">&nbsp;</div>';
			
			//$AComments=array(l('disableAllcomments'),l('freezeAllcomments'),l('enableAllcomments'));
			$AComments=$lAcomments;
			$i=count($AComments);
			
			$AComments=array_slice($AComments,0,3,TRUE);
			
			$commentMode=s('site_comments_mode');//general comment mode
			echo html_input('combobox', 'site_comments_mode', 'site_comments_mode',  $commentMode, l('comments'), '',   '',      '',       '',    '',    '',      '',      		'',     '',                $AComments);
			echo '<br/>';
			echo html_input('checkbox','approve_comments','approve_comments','',l('a_approve_comments'),'','',s('approve_comments'));
			echo '<br/>';
			echo html_input('text','comment_repost_timer','comment_repost_timer',s('comment_repost_timer'),l('comment_repost_timer'));
			echo '<br/>';
			echo html_input('text','comment_teaser','comment_teaser',s('comment_teaser'),l('comment_teaser'));
			echo '<br/>';
			echo html_input('checkbox','mail_on_comments','mail_on_comments','',l('a_mail_on_comments'),'','',s('mail_on_comments'));
			echo '<br/>';
			//article comment mode
			$enable_comments=s('art_default_comments');
			$x=array_search($enable_comments,$__commentModes);
			if ($x!==FALSE)
				$enable_comments =$x;
			//echo html_input('checkbox','art_default_comments','art_default_comments','',l('art_default_comments'),'','',s('art_default_comments'));

			echo html_input('combobox', 'art_default_comments', 'art_default_comments',  $enable_comments, l('art_default_comments'), '', '', '', '','',  '',      '',      		'',     '',                $lAcomments);
			echo '<br/>';
			
			

			echo '<p><label for="co">'.l('a_comments_order').':</label><br /><select id="co" name="comments_order">';
			echo '<option value="DESC"'.(s('comments_order') == 'DESC' ? ' selected="selected"' : '').'>'.l('newer_top').'</option>';
			echo '<option value="ASC"'.(s('comments_order') == 'ASC' ? ' selected="selected"' : '').'>'.l('newer_bottom').'</option></select>';
			echo '</p>';
			echo html_input('text','comment_limit','cl',s('comment_limit'),l('a_comment_limit'));
			echo '<br/>';
			/*we're free to express whatever we want so I deleted any filtering of BAD WORDS! ***hy
			*/
			echo '<p>'; 		# Save Settings button

			echo '</p>';
		echo '</div>';//sub5
		
		echo '<p><a onclick="toggle(\'sub6\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('modules').'">'
			.l('modules').'</a></p>';
		$mu=s('multiuser');
		$blog=s('blog');
		$forum=s('forum');
		$use_archive=s('use_archive');
			echo '<div id="sub6" style="display: none;">';
				//echo '<p>'.l('login_limit').'</p>';
				echo html_input('checkbox','multiuser','multiuser','',l('multiuser'),'','',$mu);
				echo '<br/>';
				echo html_input('checkbox','blog','blog','',l('blog'),'','',$blog);
				echo '<br/>';
				echo html_input('checkbox','forum','forum','',l('forum'),'','',$forum);
				echo '<br/>';
				echo html_input('checkbox','use_archive','use_archive','',l('use_archive'),'','',$use_archive);
				echo '<br/>';
				
				echo '<p>'; # Save Password Change button
					echo html_input('hidden','task','task','modules','');
					
				echo '</p></div>';//sub6
		//echo '<div class="qmd_clearer">&nbsp;</div>';
	
	echo '<p><a onclick="toggle(\'sub7\')" style="cursor: pointer;" title="'.l('a_openclose').''.l('admin_settings').'">'
			.l('admin_settings').'</a></p>';
		$adminedit=s('admin_art_edit');
		
		echo '<div id="sub7" style="display: none;">';
				//echo '<p>'.l('login_limit').'</p>';
		echo html_input('checkbox','admin_art_edit','admin_art_edit','',l('admin_art_edit'),'','',$adminedit);
		echo '<br/>';
				
		echo '</div>';//sub7
		//echo '<div class="qmd_clearer">&nbsp;</div>';
	
	echo html_input('submit','submit_mod','submit_mod',l('save'),'','button');
	echo '</fieldset>';
	echo '</form>';
	
	echo '</div>';//qmd_adminpanel
}

// **************************************************************************qmdcms

?>