<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd initialization JAVASCRIPT
	..............................................
	qmd-cms 0.8.5
	last update: 04/02/2014

	--------------------------------

	qmd_init_js_css.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
				

*/
	//first we fill global variables for JavaScript
	global $qmdC;
	
	$qmdC->load_css('qmd.css',FALSE,-1);	//default css
	$qmdC->load_css('bodystyle.php',FALSE,-1);	//default css
	$qmdC->load_css('qmd_vac.css',FALSE,-1);// -"- for VACs
	//$qmdC->load_css('bodystyle.php',FALSE,-1);// -"- for VACs
	$sFile='qmd.js';
	$qmdC->load_js($sFile,FALSE,-1,TRUE);
	$sFile='ajx.js';
	$qmdC->load_js($sFile,FALSE,-1,TRUE);
	
	if ($qmdC->get_userPermission(__USER_isMod)>0):
		//simplified: if ($qmdC->get_user()>=4):
		if (($qmdC->ControllerMode==2)||($qmdC->ControllerMode==5))
		{
			include_once('lang/admin_'.$this->language.'.php');
		
			$this->load_css('qmd_admin.css',FALSE,-1);
			
		
			$sFile='qmd_admin.js';
			$this->load_js($sFile,FALSE,-1,TRUE);
			
		}
	endif;
	$sFile='lert.js';
	$this->load_js($sFile,FALSE,-1,TRUE);
	$this->load_css('lert.css',FALSE,-1);
	
	$sPath=$qmdC->get_Path(TRUE);	//

	if (file_exists($sPath.'load_js.php'))//load js per scheme
	{
		include($sPath.'load_js.php');	//
	}
	
	if (file_exists($sPath.'load_css.php'))//load css per scheme
	{
		include($sPath.'load_css.php');	//
	}

?>

