<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd lib - General Library
	..............................................
	qmd-cms 0.8.6
	last update: 04/26/2014

	--------------------------------

	qmd_lib.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	*/

	
function execJS($FuncName){

$result='';
	echo '<script type="text/javascript">';
	echo $FuncName;
	echo '</script>';
	//now, how do I get the result of a JS-function into $result???
	return $result;

}	
function getJSRes($FuncCall){
	$result='';
	
	?>
	<script type="text/javascript">
	aQITem=<?php echo $FuncCall;?>
	//alert(aQITem);
	</script>
	<?php
	/*
	$MyVar1 = "?><script language=javascript>document.write('Something you want');</script><?php";
	$MyVar1 = str_replace("?>", "", $MyVar1);
	print 'foo:` '.$MyVar1."<br><br>";
*/
$MyVar2 = "?><script language=javascript>document.write(aQITem);</script>";

$result = str_replace("?>", "", $MyVar2);
$result = str_replace(";", "", $result);
echo 'das hier: '.$result;



	return $result;
}

function qmd_datedb2HTML($mysqldate)
{
	//$mysqltime = date ("Y-m-d H:i:s", $phptime);
	$phpdate = strtotime( $mysqldate );
	return date( s('date_format'), $phpdate );
}
function qmd_PHP2db($phpdate)//
{
	$mysqltime = date (__y_dtformat, $phpdate);
	
	return $mysqltime;
}
function droeselUp($item,$test)
{
	
	if (is_array($test))
	{
		$result=array();
		for ($i=0;$i<count($test);$i++)
		{
			$x=$test[$i];
			$xRes=explode($item,$x);
			for ($j=0;$j<count($xRes);$j++)
				$result[]=$xRes[$j];
		}
	}
	else
		$result=explode($item,$test);
	
	return $result;
}
function addOption2URL($sURL,$opt,$Value,$Mode=1)
{/*
	this appends an option to an URL
	$sURL=/en/administration
	$opt=option
	$Value=42
	will result in: /en/administration?option=42
	----
	$Mode -> 1 will overwrite existing values
	$sURL=/en/cat/hiking?option=display
	$opt=option
	$Value=hide
	will result in: /en/administration?option=hide
	----
	$Mode=2 will append $Value to an existing Value
	$sURL=/en/cat/hiking?mode=pc
	$opt=mode
	$Value=pp
	will result in: /en/administration?mode=pcpp
	
	----
	$Mode=0
	will only modify the value if opt is NOT set already
	
	$sURL=/en/cat/hiking?mode=pc
	$opt=display
	$Value=all
	will result in: /en/administration?mode=pc%26display=all
	AND
	$sURL=/en/cat/hiking?mode=pc%26display=item
	$opt=display
	$Value=all
	will result in: /en/administration?mode=pc%26display=item
	
	
*/
	$result=$sURL;
	$iPos=strpos($result,'?');
	if ($iPos===FALSE)
	{
		if ($Mode>0)
			$result.='?'.$opt.'='.$Value;
	}else
	{
		
		$sWork=substr($result,$iPos+1);
		$result=substr($result,0,$iPos);
		
		$options=array();
		//'&amp;'
		//%26
		//';'
		//'&'
		$kArray=droeselUp('&amp;',$sWork,0);
		$kArray=droeselUp('%26',$kArray,1);
		
		$kArray=droeselUp(';',$kArray,1);
		$kArray=droeselUp('&',$kArray,1);
		$AOpt=array();
		$AVal=array();
		
		for ($i=0;$i<count($kArray);$i++)
		{
			$s=$kArray[$i];
			$s2=explode('=',$s);
			
			$AOpt[]=$s2[0];
			$AVal[]=$s2[1];
		}
		$x=array_search($opt,$AOpt);
		if ($x===FALSE)
		{$result.=$sWork.'%26'.$opt.'='.$Value;}
		else
		{
			if ($Mode==0)
			
				$result.=$sWork;
			else
				
				for ($i=0;$i<count($AOpt);$i++)
				{
					if ($i==0)
						$result.='?';
					else
						$result.='%26';
					if ($i==$x)//we override this
					{
						if ($Mode==2)
						{
							if (strpos($AVal[$i],$Value)==FALSE)
								$result.=$opt.'='.$AVal[$i].$Value;
							else
								$result.=$opt.'='.$AVal[$i];
						}
						else
							$result.=$opt.'='.$Value;
					}
					else
						$result.=$AOpt[$i].'='.$AVal[$i];
				}
		}
		
	}
	
	return $result;
}
function qmd_createLink($target,$text,$title='',$addLang=1,$debug=0,$showArrow=0)
{
	global $qmdC;
	
	//addLang = 
	//				0 don't set language (NOT recommended)
	//				1 insert lang as first part of URL after SITE
	
	$result='<a href="';
	if ($debug>0)
		debuglog($target,'Create Link 0',1);
	if ($target=='/')
	{
		$result.='/'.$qmdC->language.'/';
	}
	else
	{
		if (substr($target,0,7)!=='http://')
		{
			if ($addLang==1)
				$result.='/'.$qmdC->language;
			if ($target[0]!=='/')
				$target='/'.$target;
		}
	
		if ($debug>0)
			debuglog($result,'Create Link 3');
		$result.=$target;
	}
	if ($debug>0)
		debuglog($result,'Create Link 4');
	$result.='"';
	
	if ($title<>'')
		$result.=' title="'.$title.'"';
	else
		$result.=' title="'.$text.'"';
	if ($showArrow>0)
		$result.='><img src="/dev.img/arrow_right.gif">'.gethtmlspacer(2).$text.'</a>';
	else
		$result.='>'.$text.'</a>'; 
	return $result;
}

// Language Variables
function l($var,$debug=false) 
{
	global $l;
	$result=$l[$var];
	if (empty($result))
	{
		
		msgbox('Error translating: '.$var);
		echo($var);
		yecho($var,'translate',true);
		debuglog($var,'translate',true);
		qmd_die('Error translating: '.$var);
	}
	else
		return $result;
	
}


// SESSION TOKEN
function token() 
{
	$a = md5(substr(session_id(), 2, 7));
	$b = $_SERVER['HTTP_USER_AGENT'];
	$token = md5($a.$b._SITE);
	return $token;
}
//-------------------------------------------
//TODO
//put this function to qmdC
//TITLE
//TODO
//put this function to qmdC
function title() 
{
	global $qmdC;
	
	$title = $qmdC->get_title();
	
	echo $title;
}
//BREADCRUMBS
//TODO
//put this function to qmdC
function breadcrumbs()
{
	
	global $qmdC;
	
	$out=$qmdC->get_Breadcrumbs();
	
	echo $out;
	
	return;
}

/**************LANGUAG stuff for user**************/
/*THIS is not used and can be removed!!!
//TODO
function getLangOrd($lang){
global $LANG;
$result=array_search($lang,$LANG);
if ($result==FALSE):
	$result=-1;
endif;
return $result;
}
*/
//TODO
//put this function to qmdC


//TODO
//put this function to qmdC
function lang_read_cookie($defaultLang)
{
	global $LANG;
	if (empty($defaultLang)){$defaultLang=s('language');}
	$result=$defaultLang;
	if (isset($_COOKIE['LANG'])):
		
		$result=($_COOKIE['LANG']);
		
		
		if (!in_array($result,$LANG)):
		
			$result=$defaultLang;
		endif;
	endif;
	return $result;
}//lang_read_cookie();

//*************************************************************************************************

// SMART RETRIEVE FUNCTION
//
//TODO
//put this function to init
function populate_retr_cache() {
	global $retr_cache_cat_id, $retr_cache_cat_sef;
	
	$sql='SELECT id, catlink, description FROM '._PRE.'qmd_categories';
	
	$iDBStatus=0;
	$iRowCount=0;
	
	$result = getSQL( $sql, $iDBStatus,$iRowCount);
	
	for ($iCount=0;$iCount<$iRowCount;$iCount++):
		$catrec =$result[$iCount];
		
		$retr_cache_cat_id[$catrec['id']] = $catrec['catlink'];
		$retr_cache_cat_sef[$catrec['catlink']] = $catrec['description'];
	endfor;
}


function qmd_notify($notifytype, $usermsg ,$aLinkLabel=null, $aLinkList=null,$Reload='',$ReloadTimeOut=2,$tmptitle='',$sysmsg=0)
	//$notifytype	-1	DIE with message	0	ok	1 Warning 2 Error 3 SystemError 4 FORWARD 5 coming from Forward
	//$usermsg 		message to be displayed to user
	//$aLinkLabel	Array with labels 4 Links
	//$aLinkList	Array with Links
	//$Reload		
	//$ReloadTimeOut time message is displayed
{
	global $qmdC;
	
	global $qmdNOTIFYmsg;
	global $qmdNOTIFY_Albl;
	global $qmdNOTIFY_Atrg;
	global $qmdNOTIFY_title;
		
	$result=0;//this remains 0 until we find something useful for a result
	
	if ($sysmsg>0)
		send_sys_message('Notification','$usermsg');
		
	
	$link='';
	$note='';
	$error='';
	$msgClass='qmd_warning';
	switch ($notifytype):
		case -1:
				echo '<h3>'.l('severeSYSERROR').'</h3>';
				echo '<p class="qmd_error">'.$usermsg.'</p>'; 
				qmd_die('[system halted]');
				break;
		case 0:$title = l('operation_completed');
				$msgClass='qmd_operation_success';
				break;
		case 1:$title = l('warning');
				break;
		case 2:$title = l('error');
				$msgClass='qmd_error';
				break;
		case 3:$title = l('severeSYSERROR');
				$msgClass='qmd_crash';
				break;
		case 4:$title = l('processing');
				$msgClass='qmd_message';
				$qmdNOTIFYmsg=$usermsg;
				$qmdNOTIFY_Albl=$aLinkLabel;
				$qmdNOTIFY_Atrg=$aLinkList;
				if (empty($tmptitle))
					$title = l('operation_completed');
				else
					$qmdNOTIFY_title=$tmptitle;
				$qmdC->resetTo('qmd_notify');
				break;
		case 5:
				
				$title=$qmdNOTIFY_title;
				$usermsg=$qmdNOTIFYmsg;
				$aLinkLabel=$qmdNOTIFY_Albl;
				$aLinkList=$qmdNOTIFY_Atrg;
				break;
		default:
			$title = '';
	endswitch;
	if ($notifytype!=4):
	
		echo '<h3>'.$title.'</h3>';
		echo '<p class="'.$msgClass.'">'.$usermsg.'</p>'; 
		$showLinks=0;
		
		if (!is_null($aLinkLabel)):
			//echo '1';
			if(!is_null($aLinkList)):
				//echo '2';	
				if (is_array($aLinkLabel)):
					//echo '3';
					if(is_array($aLinkList)):
						//echo '4';
						$showLinks++;
					endif;
				endif;
			endif;
		endif;
		
		if ($showLinks > 0):
				$s=$qmdC->get_UParamByName('mode','');
				
				if (strpos($s,'pp')!==FALSE)
				{
					$_SESSION['$POST'] = $_POST; 
				}

				echo '<table class="qmd_notifyNext" border="2" rules="none" rules="rows">';
					echo '<tr>';
					for ($i=0;$i<count($aLinkList);$i++):
						echo '<td class="qmd_notifyCell">'.qmd_createLink($aLinkList[$i],$aLinkLabel[$i]).'</td>';
					endfor;
					echo '</tr>';
					
				echo '</table>';
				
			//echo '</div>'; 
		endif;
		if (!empty($Reload)):
			
			echo '<meta http-equiv="refresh" content="'.$ReloadTimeOut.'; url='.$Reload.'">';
		endif;
	endif;
	
	if ($notifytype==0)
	{
	
		foreach ($_POST as $key) {unset($_POST[$key]);}//drop entries
		foreach ($_SESSION as $key) {unset($_SESSION[$key]);}//drop entries - why?
	}
	
	return $result;
}

// PREPARING ARTICLE FOR XML
function strip($text) {
$search = array('/\[include\](.*?)\[\/include\]/', '/\[func\](.*?)\[\/func\]/', '/\[break\]/', '/</', '/>/');
$replace = array('', '', '', '<', '>');
$output = preg_replace($search, $replace, $text);
$output = stripslashes(strip_tags($output, '<a><img><h1><h2><h3><h4><h5><ul><li><ol><p><hr><br><b><i><strong><em><blockquote>'));
return $output;
}


// function strip_dbg($text)
// {
// 	$search = array("'",'"');
// 	$replace = array('#', '#');
// 	$output = preg_replace($search, $replace, $text);
// 	//$output = stripslashes(strip_tags($output, '<a><img><h1><h2><h3><h4><h5><ul><li><ol><p><hr><br><b><i><strong><em><blockquote>'));
// 	return $output;
// }

// HTML ENTITIES
function entity($item) {
	$item = htmlspecialchars($item, ENT_QUOTES, s('charset_encoding'),false);
	return $item;
}




// BREAK TO NEW LINE
function br2nl($text){
$text = str_replace('\r\n','',str_replace("<br />","\n",preg_replace('/<br\\\\s*?\\/??>/i', "\\n", $text)));
return $text;
}


// SEND EMAIL
function qmd_eMail($to,$subject,$body,$header)
{
	
	$result=0;
	$body.='<br/>'.'Greetings your friendly CMS-system qMD-CMS '.__y_qmd_cms_version;
	$sendresult=@mail($to,$subject,$body,$header);//don't show error
	if ($sendresult==FALSE):
		$error = error_get_last();
		debuglog($to);
		debuglog($body);
		debuglog($error,'qmd_eMail 1');
		preg_match("/\d+/", $error["message"], $error);
		debuglog($error,'qmd_eMail 2');
		$body='send to: '.$to.'<br/>'.$header.'<br/>'.$body;
		
		send_sys_message($subject,$body);
	else:
		$result++;
	endif;
	return $result;
}
//the next function is used for comments and contact
function send_email_c($send_array) {

foreach ($send_array as $var => $value) { $$var = $value; }
//$body='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html>';
$body='';
if (isset($status)):
	$body.=$status."\n";
endif;
if (isset($message)):
	$text = l('message').': '."\n".br2nl($message)."\n";

else:
	$text='--no text--';
endif;

if (isset($comment)) {
$text = l('comment').': '."\n".br2nl($comment)."\n";
}
$header = "MIME-Version: 1.0\n";
$header .= "Content-type: text/plain; charset=".s('charset_encoding')."\n";
$header .= "From: $name <$email>\r\nReply-To: $name <$email>\r\nReturn-Path: <$email>\r\n";
$body .= isset($name) ? l('name').': '.$name."\n" : '';
$body .= isset($email) ? l('email').': '.$email."\n" : '';
//   	The below requires new lang var if ip to be sent with email -  $l['ip'] = 'IP';
   	$body .= isset($ip) ? 'ip:'.': '.$ip."\n" : '';
$body .= isset($url) && $url!='' ? l('url').': '.$url."\n\n" : '';
$body .= $text."\n";
$body .= $link;
//$body.='</html>';
$result=qmd_eMail($to,$subject,$body,$header);
return $result;
}

function send_email_reg($send_array) {

foreach ($send_array as $var => $value) { $$var = $value; }
//$body = isset($status) ? $status."\n" : '';
if (isset($message)):
	$text = l('message').': '."\n".br2nl($message)."\n";

else:
	$text='--no text--';
endif;

if (isset($comment)) {
$text = l('comment').': '."\n".br2nl($comment)."\n";
}
$header = "MIME-Version: 1.0\n";
$header .= "Content-type: text/plain; charset=".s('charset_encoding')."\n";
$header .= "From: Administration "._SITE. "<".s('website_email').">\r\nReply-To: ".s('website_email')."\r\nReturn-Path: <".s('website_email').">\r\n";

$body = 'Hello ';

$body .= isset($name) ? $name : '';
$body.="\n".'IP: '.$ip."\n";
$body.=l('regmailtextUser').': '.$name."\n";
$body.='eMail: '.$mail."\n";
$body.="\n";
$body.=l('regmailtext1');
$body.=l('regmailtext2');
$body.="\n";
$body.='http://'._SITE.'/?activate='.$verify;
$body.="\n";
$body .= l('regmailtext3');
$body.="\n";
$body.='Test: '."\n";
$body .= isset($email) ? l('email').': '.$email."\n" : '';//   	The below requires new lang var if ip to be sent with email -  $l['ip'] = 'IP';
   	$body .= isset($ip) ? 'ip:'.': '.$ip."\n" : '';
$body .= isset($url) && $url!='' ? l('url').': '.$url."\n\n" : '';
$body .= $text."\n";
$result=qmd_eMail($to,$subject,$body,$header);
if ($result>0):
	//$result=mail($to,$subject,$body,$header);
	$result=qmd_eMail(s('website_email'),'[Copy of] '.$subject,$body,$header);
else:
	msgbox(l('mail_could_not_be_sent'));
endif;
return $result;
}

// MAKE A CLEAN SEF URL
function cleanSEF($string) {
$string = str_replace(' ', '-', $string);
$string = preg_replace('/[^0-9a-zA-Z-_]/', '', $string);
$string = str_replace('-', ' ', $string);
$string = preg_replace('/^\s+|\s+$/', '', $string);
$string = preg_replace('/\s+/', ' ', $string);
$string = str_replace(' ', '-', $string);
return strtolower($string);
}

// CLEAN CHECK SEF
function cleancheckSEF($string) {
$ret = !preg_match('/^[a-z0-9-_]+$/i', $string) ? 'notok' : 'ok';
return $ret;
}
// MENU ARTICLES
function articles_dropdown($start = 0, $size = 5, $cat_specific = 0) 
{//returns the amount of articles displayed. Zero if no article found
global $qmdC;
global $qSQL;
	$result=0;
	switch ($cat_specific):
		case 1 :

			$subcat = $qmdC->get_CAT()>0 ? 'AND c.id = '.$qmdC->get_CAT(): '';
			break;

		default:
			$subcat = '';
	endswitch;
	/*
	$query = 'SELECT
					a.id as artid,a.date,a.seftitle,a.category,a.commentable,a.display_mode,
					a.show_on_home,a.artorder,a.default_page,a.displaytitle,
					ML.id, ML.parent, ML.body,ML.title,ML.keywords_meta,ML.lang as lang,
					a.seftitle AS asef,date,
					c.catlink AS csef,
					cml.mcid AS cmlid,cml.'.$qmdC->language.' as catname
					from '._PRE.'qmd_articles a left join ('._PRE.'qmd_articles_ML AS ML)on(ML.parent=a.id)
					LEFT OUTER JOIN '._PRE.'qmd_categories as c
					ON category = c.id
					LEFT OUTER JOIN '._PRE.'qmd_categories_ML as cml
					ON c.id =  cml.mcid 
					WHERE lang="'.$qmdC->language.'" AND ((a.display_mode & 1)>0)
					AND c.published =1
					'.$subcat.'
					ORDER BY date DESC
					LIMIT '."$start, $size";
	*/
	$query=query_get_art_cat($qmdC->language);
	
	$query.=$subcat.' AND (lang="'.$qmdC->language.'") ORDER BY date DESC LIMIT '.$start.', '.$size;
	debuglog($query,'new_Posts');
	$iDBStatus=0;
	$iRowCount=0;
	$qres = getSQL( $query, $iDBStatus,$iRowCount);

	if ( $iRowCount > 0):
		$result=$iRowCount;
		echo '<h3>'.l('new_Posts').'</h3>';
		echo '<ul>';
		for ($iCount=0;$iCount<$iRowCount;$iCount++):
			$r =$qres[$iCount];					

			$name = s('show_cat_names') == 'on' ? ' ('.$r['catlang'].')' : '';
			$date = date(s('date_format'), strtotime($r['date']));
			$link = isset($r['xsef']) ? $r['xsef'].'/'.$r['csef'] : $r['csef'];
			
			//TODO put this back in !!!
			
			$sOut=qmd_createLink('/'.$r['seftitle'],
										$r['title'].$name,
										//$r['name'].' / '.
										$r['title'].' ('.$date.')');
			
			echo '<li>'.$sOut.'</li>';
			
		endfor;
		echo '</ul>';
	endif;
	return $result;
	
}//articles_dropdown

// **************************************************************************qmdcms


function showother(){
	global $qmdC;
	
	$class = ($qmdC->get_SEF() == 'archive') ? ' class="current"' : '';
	echo '<li><a'.$class.' href="'._SITE.'/archive/">'.l('archive').'</a></li>';
	$class = ($qmdC->get_SEF() == 'contact') ? ' class="current"': '';
	echo '<li><a'.$class.' href="'._SITE.'/contact/">'.l('contact').'</a></li>';
	$class = ($qmdC->get_SEF() == 'sitemap') ? ' class="current"': '';
	echo '<li><a'.$class.' href="'._SITE.'/sitemap/">'.l('sitemap').'</a></li>';
}


// **************************************************************************qmdcms
//******************************************************************************************

//FILTER TAGS
function filterTags($source) {
	global $tagBlacklist;
	$preTag = NULL;
	$postTag = $source;
	$tagOpen_start = strpos($source, '<');
	while($tagOpen_start !== FALSE) {
		$preTag .= substr($postTag, 0, $tagOpen_start);
		$postTag = substr($postTag, $tagOpen_start);
		$fromTagOpen = substr($postTag, 1);
		$tagOpen_end = strpos($fromTagOpen, '>');
		if ($tagOpen_end === false) break;
		$tagOpen_nested = strpos($fromTagOpen, '<');
		if (($tagOpen_nested !== false) && ($tagOpen_nested < $tagOpen_end)) {
			$preTag .= substr($postTag, 0, ($tagOpen_nested+1));
			$postTag = substr($postTag, ($tagOpen_nested+1));
			$tagOpen_start = strpos($postTag, '<');
			continue;
		}
		$tagOpen_nested = (strpos($fromTagOpen, '<') + $tagOpen_start + 1);
		$currentTag = substr($fromTagOpen, 0, $tagOpen_end);
		$tagLength = strlen($currentTag);
		if (!$tagOpen_end) {
			$preTag .= $postTag;
			$tagOpen_start = strpos($postTag, '<');
		}
		$tagLeft = $currentTag;
		$attrSet = array();
		$currentSpace = strpos($tagLeft, ' ');
		if (substr($currentTag, 0, 1) == '/') {
			$isCloseTag = TRUE;
			list($tagName) = explode(' ', $currentTag);
			$tagName = substr($tagName, 1);
		} else {
			$isCloseTag = FALSE;
			list($tagName) = explode(' ', $currentTag);
		}
		if ((!preg_match('/^[a-z][a-z0-9]*$/i',$tagName)) || (!$tagName) || ((in_array(strtolower($tagName), $tagBlacklist)))) {
			$postTag = substr($postTag, ($tagLength + 2));
			$tagOpen_start = strpos($postTag, '<');
			continue;
		}
		while ($currentSpace !== FALSE) {
			$fromSpace = substr($tagLeft, ($currentSpace+1));
			$nextSpace = strpos($fromSpace, ' ');
			$openQuotes = strpos($fromSpace, '"');
			$closeQuotes = strpos(substr($fromSpace, ($openQuotes+1)), '"') + $openQuotes + 1;
			if (strpos($fromSpace, '=') !== FALSE) {
				if (($openQuotes !== FALSE) && (strpos(substr($fromSpace, ($openQuotes+1)), '"') !== FALSE))
					$attr = substr($fromSpace, 0, ($closeQuotes+1));
					else $attr = substr($fromSpace, 0, $nextSpace);
			} else $attr = substr($fromSpace, 0, $nextSpace);
			if (!$attr) $attr = $fromSpace;
				$attrSet[] = $attr;
				$tagLeft = substr($fromSpace, strlen($attr));
				$currentSpace = strpos($tagLeft, ' ');
		}
		$postTag = substr($postTag, ($tagLength + 2));
		$tagOpen_start = strpos($postTag, '<');
	}
	$preTag .= $postTag;
	return $preTag;
}

// CLEAN - WORD FILTER
function cleanWords($text) {
    if ((strtolower(s('word_filter_enable')) == 'on') && (file_exists(s('word_filter_file')))) {
        $bad_words_from_what = preg_replace('/(^[\r\n]*|[\r\n]+)[\s\t]*[\r\n]+/', '', file(s('word_filter_file')));
        $bad_words_from_what = preg_replace('/^(.*)$/', '/\\1/i', $bad_words_from_what);
        $bad_words_to_what = s('word_filter_change');
        $text = preg_replace($bad_words_from_what, $bad_words_to_what, $text);
        return $text;
    } else {
		return $text;
	}
}

// CHECK IF UNIQUE
function check_if_unique($what, $text, $not_id = -1, &$resMsg) 
{
	/*
		These need to be unique:
			article_seftitle in articles
			article_title is nice 2 have
			qmd_menu link where parent =-1 (MainMenuEntries) 
			catlink in categories 
			cat per lang

	*/
	
	global $qSQL;
	global $qmd_sefLink;
	$result=false;
	
	if (strlen($text)<3)//not to interfere with languages
	{
		$resMsg=l('item_too_short').': ['.$text.']';
	}
	else
	{
		$sM='';
		$xID=0;
		$text = clean($text);
		$xFound=in_array($text,$qmd_sefLink);
		if ($xFound==TRUE):
			
			if (($what=='article_seftitle')&&($text==$qmd_sefLink[5])): //we allow an article to be named contact
																							//in order to override the default contactform
				$xFound=false;
			else:
				$resMsg=l('item_is_sys');
			endif;
		endif;
		if ($xFound==FALSE):
		
			$xFound=in_array($text,$qmd_const_URL_Params);
			if ($xFound==TRUE):
				$resMsg=l('item_is_sys');
			
			else:
				if ($what=='username'):
					$sql='select count(id) as amt from '._PRE.'qmd_users where uname=?';
					
					$r=$qSQL->qSQLdirect($sql,array($text),$xID);
					
					if ($r[0]['amt']>0):
						$resMsg=l('username_exists');
					else:
						$result=true;
					endif;
				endif;
			endif;
			if (($xFound==false)&&($result==FALSE)):
					
				if (($what=='article_seftitle')||($what=='cat_seftitle')||($what=='menu')):
					$sql='select count(URL)as amt from '._PRE.'qmd_URL_mappings where URL=?';
					
					$r=$qSQL->qSQLdirect($sql,array($text),$xID);
					if (is_array($r)):
						if ($r[0]['amt']>0):
							$resMsg=l('item_in_mapping');
							$xFound=true;
						endif;
					else:	
						qmd_die('ERROR checking URL_MAPPINGS on unique');
					endif;
				endif;

				if ($xFound==false):
						
					switch ($what):
						case 'article_seftitle':
							$sql =  query_get_art(0).' WHERE seftitle = "'.$text.'"';
							if ($not_id>0):
								$sql.=' AND a.id != '.$not_id;
							endif;
							$sM='articles[sef]';
							break;
						case 'article_title':
							$sql = query_get_art(0).' WHERE title = "'.$text.'"';
							$sM='articles[title]';
							if ($not_id>0):
								
								$sql.=' AND a.id != '.$not_id;
							endif;
							break;
							
						case 'cat_seftitle':
							$sql = 'SELECT id FROM '._PRE.'qmd_categories WHERE catlink = "'.$text.'"';
								
							$sM='categories[sef]';
							if ($not_id>0):
								$sql.=' AND id != '.$not_id;
							endif;
							break;
							
						case 'menu':
							$sql='SELECT id FROM '._PRE.'qmd_menu WHERE menulink = "'.$text.'"';
							$sM='menu[link]';
							if ($not_id>0):
								$sql.=' AND id != '.$not_id;
							endif;
							break;
					endswitch;
						
					$iDBStatus=0;
					$iRowCount=0;
						
					$rows=getSQL($sql,$iDBStatus,$iRowCount);
						
					if ( $iRowCount ==0 ):
						$result=TRUE;
						$resMsg='';
					else:
						$result=FALSE;
						$resMsg=$sM;
					endif;
				endif;
			endif;
		endif;
	}
	return $result;
}


function check_eMail($MailAdress)
{
	$result=false;

	$uMail = sanitize(clean(cleanXSS($MailAdress)));
	
	$uMail = strip_tags($uMail);
	$k = explode('@', $MailAdress);
	
	if (count($k)>1):
	
		if (checkdnsrr($k[1], "MX")) :
			// this is a valid email domain! 
			$result=true;
		endif;
	endif;

	return $result;
}
function clear_session($Mode)//1 default
										//0 something	
										//-1	all!
{
global $qmdC;
global $stickySessionVars;
	
	$xA=array_keys($_SESSION);
	
	$action=$qmdC->get_UParamByName('action');
	$sFunc=$qmdC->Func=='contact';
	foreach ($xA as $tag):
		if ($Mode>=0)
		{
			
			$DoUnset=0;
			//echo $tag;
			//TODO: clean up more stuff here and probably in (F) do_process()
			if (!in_array(strtolower($tag), $stickySessionVars))
			{
				$DoUnset++;
			}
			else
			{
				$mode=$qmdC->get_UParamByName('mode');
				$len=strlen(_SITE.'/mathcaptcha-digit');
				if (substr(strtolower($tag),0,$len)==_SITE.'/mathcaptcha-digit')
				{	//pc in mode stands for preserve captcha
					//	pp in mode stands for preserve _POST
					if (($action!=='savecomment')&&($sFunc!='contact')&&(strpos($mode,'pc')===FALSE))
					{
						$DoUnset++;
					}
				}
				else
				{
					switch ($tag):
						case 'dbsection':		
							if ($qmdC->get_Mode()!==2)
								$DoUnset++;
							break;
						case 'article_save':
							if ($qmdC->SEF=='article_new')
								$DoUnset++;
							break;
						case 'id'://TODO???
							if ($action!=='savecomment')
								$DoUnset++;
								break;
						case $_SESSION[_SITE.'/time']:
							
							if (($action=='contact')||($qmdC->Func=='contact'))
								$DoUnset--;
							break;
						case '$POST':
								$s=$qmdC->get_UParamByName('mode','');
								
								if (strpos($s,'pp')!==FALSE)
								{
									$_POST = $_SESSION['$POST']; 
								}
								$DoUnset++;
							break;
						default:	
					endswitch;
				}
			}
		}
		else
			$DoUnset=1;
		
		if ($DoUnset>0):
			//echo 'unsetting: '.$tag.': '.$_SESSION[$tag]."\n\r";
			unset($_SESSION[$tag]);
		endif;
	endforeach;
	
	
}										

// ARTICLES - POSTING TIME and user input date
function posting_time($time='',$date_only=FALSE)
{

	
	if (empty($time))$time=time();
	
	if ($date_only)
	{
		$rTime=date_parse_from_format ('Y-m-d', $time );
		//$rTime=getdate(idate($time));
		//$rTime=$time;
		$thisYear = $rTime['year'];
		$thisMonth = $rTime['month'];
		$thisDay = $rTime['day'];
	}
	else
	{
		
		$rTime=getdate($time);
		$thisYear = $rTime['year'];
		$thisMonth = $rTime['mon'];
		$thisDay = $rTime['mday'];
	}
	
	
	echo '<p>'.l('day').':&nbsp;<select name="fposting_day" class="opt_date">';
	
	//$thisDay = substr($time, 8, 2)
	
	for($i = 1; $i < 32; $i++)
	{
		echo '<option value="'.$i.'"';
		if($i == $thisDay)
		{
			echo ' selected="selected"';
		}
		echo '>'.$i.'</option>';
	}
	echo '</select>&nbsp;&nbsp;'.l('month').':&nbsp;<select name="fposting_month" class="opt_date">';
	
	//echo $thisMonth.'<br/>';
	for($i = 1; $i < 13; $i++):
		echo '<option value="'.$i.'"';
		if($i == $thisMonth):
		
			echo ' selected="selected"';
		endif;
		echo '>'. $i .'</option>';
	endfor;
	echo '</select>&nbsp;&nbsp;'.l('year').':&nbsp;<select name="fposting_year" class="opt_year">';
	$PresentYear = intval(date('Y'));
	
	
	
	if ($date_only):
		$iStart=$PresentYear-75;
		$iStop=$PresentYear-16;
	else:
		if ($thisYear<$PresentYear):
			$iStart=$thisYear;
			$iStop=$PresentYear;
		else:
			$iStart=$PresentYear;
			$iStop=$thisYear;
		endif;
	endif;
	for($i = $iStart-5; $i < $iStop + 3; $i++):
	
		echo '<option value="'.$i.'"';
		if($i == $thisYear):
			echo ' selected="selected"';
		endif;
		echo '>'.$i.'</option>';
	endfor;
	if ($date_only==FALSE):
		echo '</select>&nbsp;&nbsp;'.l('hour').':&nbsp;<select name="fposting_hour" class="opt_date">';
		$thisHour = $rTime['hours'];
		for($i = 0; $i < 24; $i++):
			echo '<option value="'.$i.'"';
			if($i == $thisHour):
				echo ' selected="selected"';
			endif;
			echo '>'.$i.'</option>';
		endfor;
		echo '</select>&nbsp;&nbsp;'.l('minute').':&nbsp;<select name="fposting_minute" class="opt_date">';
		$thisMinute = $rTime['minutes'];
		for($i = 0; $i < 60; $i++):
			echo '<option value="'.$i.'"';
			if($i == $thisMinute)
				echo ' selected="selected"';
			
			echo '>'.$i.'</option>';
		endfor;
		
		echo '</select></p>';
	endif;
	return;
}// end posting_time()
function _cmp_css($a, $b)
{
	$result=0;
	if ($a !== $b) 
	{
		$sa=$a;
		$sb=$b;
		if ($sa[0]==chr(92))
			$sa=substr($sa,1);
		if ($sb[0]==chr(92))
			$sb=substr($sb,1);
		$result=($sa < $sb) ? -1 : 1;
	}
	return $result;
	
}
?>