<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd metadata definition
	..............................................
	qmd-cms 0.8.6
	last update: 04/11/2014

	--------------------------------

	qmd_meta.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	*/
global $qmdC;

global $meta_google;
//<meta name="keywords"       content="arte 3D, Qi-manfaya,Qimanfaya, Timanfaya, Gesundheitsberatung, Bioenergetik, Lanzarote, Massage, Energiemassage, Jin Shin Jyutsu, Jin Shin Jiutsu, Biophotonen, Biophotonentherapie, Behandlung, therapie, nebenwirkungsfrei, Krankheit, ganzheitliche Medizin, Therapie, TCM, Meridianausgleich, Meridian, Costa Teguise, Excursions, Exkursionen, Wanderungen, Bike Touren, MTB, MTB-Touren,Kunst,unvergessliche Orte, unforgettable places, sha-mash, shamash, sungod, sun god,shamanistic treatment, Schamanische Behandlungen, schamanisches Wandern,"/>
global $meta_DCSubject;//"Qi-Manfaya, arte 3D, arte tridimensional, arte y naturaleza, asesoria de salud, Arte digital";

global $meta_DCSource;//"-m*sh-";

global $meta_nameAuthor;//"sha-mash";
global $meta_nameRobots;//"index";
global $meta_DCCreator;//"m*sh";
global $meta_DCPublisher;//"m*sh";
global $meta_DCContributor;//"m*sh";
global $meta_DCTyp;//"Text";
global $meta_DCFormat;//'text/html';
global $meta_DCCoverage;//'cossyscreek';
global $meta_DCRights;//;'Alle Rechte liegen beim Autor / all rights reserved';
global $meta_DCTitle;
global $META_docType;


$CODE=s('charset_encoding');

	//##################################### PRE-HEADER ###########################################
	echo '<?xml version="1.0" encoding="'.$CODE.'" ?>';
	echo "\r\n";
	$AO=$qmdC->qmdA();
	if ((isset($AO))&&(isset($AO->ArticleRow)&&(isset($AO->ArticleRow['DOCtypeHTML']))))
		{$Index=$AO->ArticleRow['DOCtypeHTML'];}
	else
		{$Index=s('Meta_Doc_Type');}
	
	echo $META_docType[$Index];

	
	echo "\r\n";
	echo '<html xmlns="http://www.w3.org/1999/xhtml">';
	echo "\r\n";
	//##################################### HEAD #################################################
	echo '<head>';
	echo "\r\n";
	echo '<meta http-equiv="Content-Type" content="text/html; charset='.$CODE.'" />';
	echo "\r\n";
	//echo '<meta http-equiv="content-type" content="text/html;charset=utf-8" />';
	//echo "\r\n";
	echo '<meta name="robots" content="'.$meta_nameRobots.'"/>';
	echo "\r\n";
	
	echo '<meta name="author" content="'.$meta_nameAuthor.'"/>';
	echo "\r\n";
	
	
	if (!empty($meta_google)):
		echo '<meta name="google-site-verification" content="'.$meta_google.'"/>';
		echo "\r\n";
	endif;
	
	echo '<meta name="keywords"       content="'.$qmdC->get_MetaDataKeywords().'"/>';
	echo "\r\n";
	
	echo '<meta name="date"           content="'.$qmdC->get_Meta_Date().'" scheme="DCTERMS.W3CDTF"/>'; //TODO: use article date
	echo "\r\n";
	echo '<meta name="description"    content="'.$qmdC->get_MetaDataDescription().'"/>';
	echo "\r\n";
	//echo '<head profile="http://dublincore.org/documents/dcq-html/">'."\r\n";
	//echo '<link rel="schema.DC" href="http://purl.org/dc/elements/1.1/">'."\r\n";
	//echo '<link rel="schema.DCTERMS" href="http://purl.org/dc/terms/">'."\r\n";
	$metaSubj='';
	$metaTitle='';
	if (isset($AO)&&isset($AO->ArticleRow))
	{
		$metaSubj=$AO->ArticleRow['subject_meta'];
		$metaTitle=$AO->ArticleRow['title'];
	}
	if (empty($metaSubj))
		$metaSubj=$meta_DCSubject[$qmdC->language];
	if (empty($meta_DCTitle))
		$metaTitle=$meta_DCTitle[$qmdC->language];
	
	echo '<meta name="DC.Subject"     content="'.$metaSubj.'"/>';
	echo "\r\n";
	echo '<meta name="DC.Description" content="'.$qmdC->get_MetaDataDescription().'"/>';
	echo "\r\n";
	if (__y_local_test==1)
		echo '<meta name="DC.Identifier"  content="'.$qmdC->get_ValidURI().'"/>';
	else
		echo '<meta name="DC.Identifier"  content="'.$qmdC->get_ValidURI(1).'"/>';
	echo "\r\n";
	echo '<meta name="DC.Source"      content="'.$meta_DCSource.'"/>';
	echo "\r\n";
	
	echo '<meta name="DC.Title"       content="'.$metaTitle.'"/>';
	echo "\r\n";
	
	echo '<meta name="DC.Language"    content="'.$qmdC->language.'" scheme="DCTERMS.RFC3066"/>';
	echo "\r\n";
	//<!-- constants                -->
	
	
	echo '<meta name="DC.Creator"     content="'.$meta_DCCreator.'"/>';
	echo "\r\n";
	echo '<meta name="DC.Publisher"   content="'.$meta_DCPublisher.'"/>';
	echo "\r\n";
	echo '<meta name="DC.Contributor" content="'.$meta_DCContributor.'"/>';
	echo "\r\n";
	echo '<meta name="DC.Type"        content="'.$meta_DCTyp.'" scheme="DCTERMS.DCMIType"/>';
	echo "\r\n";
	echo '<meta name="DC.Format"      content="'.$meta_DCFormat.'"/>';
	echo "\r\n";
	echo '<meta name="DC.Coverage"    content="'.$meta_DCCoverage[$qmdC->language].'"/>';
	echo "\r\n";
	echo '<meta name="DC.Rights"      content="'.$meta_DCRights[$qmdC->language].'"/>';
	
	include_once('qmd_init_js_css.php');
		
	$qmdC->load_JS_CSS();//here the actual stuff is written in order to load CSS and JavaScript
	
	//start Language Stuff
	
	
	$i=count($LANG);
	$i--;
	//now we store the available Languages also in an Javascript array
	echo '<script type="text/javascript">';
	echo 'var MenuLangItem=[];';

	while ($i>=0):
		echo 'MenuLangItem["'.$LANG[$i].'"]="";';
		$i--;
	endwhile;

	echo '</script>';
	
	// Browserweiche / load browser-dependant css. This is not really used at the moment! But it is implemented anyway - just in case
	//echo '<script type="text/javascript">';
	//echo 'loadBrowserDep_css(0);';
	//echo '</script>';
	
	//The favicon: we don't really need this cause modern browsers load it automagically
	//BUT: if you should need it this is the place!
	//echo '<link rel="shortcut icon" href="./dev.img/qMD_favicon2.ico" />';	//replace qMD_favicon2 with your iconname
	
	//------------------------------------------------------------------------------------------------------
	//........................................DONE..........................................................
	// DEBUG code if css is corectly loaded is to be found in qmd_control.php (F)InitDebug
	
?>
<!-- ***************** CAUTION: the next is NOT a COMMENT!*********************** -->
<!-- ***************** the next is in order to let IE display png-images properly -->
<!--[if lte IE 6]>
<script type="text/javascript" src="js/qmd_png_hack4ie.js"></script>
<![endif]-->

