<?php
/*-----------------------------------------------------------------------------
******************************************
*DO NOT INCLUDE ANYTHING B4 qmd_init.php!*
******************************************

	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	
	Module: qmd-cms MAIN FILE
	..............................................
	qmd-cms 0.8.6
	last update: 04/11/2014

	--------------------------------

	qmdcms.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see the readme-files.
	
	This code was developed by ***hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	
--------------------------------------------------------------------------------------
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
--------------------------------------------------------------------------------------

	--- CODE NAME: El Hierro ---
	
	Thanks for the general idea of snews by:  Solucija.com
	Special thanks go to keyrocks + Rui who - amongst others -
	developed the source for snews and helped me in their forum.
	
	+	sNews was licensed under a Creative Commons License.
			
	----------------------------------------------------------------------------
	CURRENT STATE: this is a rough concept and not a working system
	There is a libreoffice file accompanied that has a TODO sheet
	and references known bugs as well as other related topics.
	
	Please see the readme-file as well...
	
	Version 0.7.5 alpha was the first live-release [without features - implemented]
	
-------------------------------------------------------------------------------
/----------A G A I N !!!-----------------
******************************************
*DO NOT INCLUDE ANY OUTPUT B4 USER-OUT****
******************************************
*/
/*
The following functions are maintained in this file because they are called 
from with the INITIALIZATION and may NOT produce any output!!!
*/
// CLEAN - cleaning query
function puresitename($MODE)
{
	$result=_SITE;
	
	if ($MODE==1):
		$i=strpos($result,'www');
		
		if ($i!==FALSE):
		
			$result=substr($result,$i+4,99990);
		endif;
	endif;
	
	return $result;
}
function clean($query) 
{
	global $DATABASE;
	
	if (get_magic_quotes_gpc()):
	
		$query = stripslashes($query);
	
		
	endif;
	$query = $DATABASE->real_escape_string($query);
	
	return $query;
}
function s($var,$defaultVal=0) 
{
	global $site_settings;
	if (array_key_exists($var,$site_settings))
		$result = $site_settings[$var];
	
	else
		$result=$defaultVal;
	return $result;
}

//CLEANXSS
function cleanXSS($val,$donlbr=1) {
	
	
	if (empty($val)):
		$result='';
	else:
		$source = html_entity_decode($val, ENT_QUOTES, 'ISO-8859-1');
		
		$source = preg_replace_callback('/&#38;#(\d+);/m',
											function($s){return 'chr(\\1)';},
											$source);
	
		$source = preg_replace_callback('/&#38;#x([a-f0-9]+);/mi',
											function($s){return 'chr(0x\\1)';},
											$source);
	
		while($source != filterTags($source)):
			$source = filterTags($source);
		endwhile;
		if ($donlbr>0)
			$result = nl2br($source);
		else
			$result=$source;
		
	endif;
	
	return $result;
}

// USER/PASS CHECK
// MATH CAPTCHA 
function mathCaptcha($withOutput=1) {
	if (!isset($_SESSION[_SITE.'/mathCaptcha-digit-x'])):
		$x = rand(1, 19);
		$y = rand(1, 19);

		$_SESSION[_SITE.'/mathCaptcha-digit-x'] = $x;
		$_SESSION[_SITE.'/mathCaptcha-digit-y'] = $y;
		
	else:
		$x=$_SESSION[_SITE.'/mathCaptcha-digit-x'] ;
		$y=$_SESSION[_SITE.'/mathCaptcha-digit-y'] ;

	endif;
	
	if ($withOutput>0):
		$math = '<p><label for="calc">* '.l('math_captcha').': </label><br />';
		$math .= $x.' + '.$y.' = ';
		$math .= '<input type="text" name="calc" id="calc" /></p>';
	else:	
		$math='';
	endif;
	
	return $math;
}


// CHECK MATH CAPTCHA RESULT
function checkMathCaptcha() 
{
	$result = false;
	
	//$testNumber = isset($_SESSION[_SITE.'/mathCaptcha-digit']) ? $_SESSION[_SITE.'/mathCaptcha-digit'] : 'none';
	if ((isset($_SESSION[_SITE.'/mathCaptcha-digit-x']))&&(isset($_SESSION[_SITE.'/mathCaptcha-digit-y'])))
	
		if (is_numeric($_POST['calc'])){
			if ($_POST['calc']==$_SESSION[_SITE.'/mathCaptcha-digit-x']+$_SESSION[_SITE.'/mathCaptcha-digit-y'])
			{
				$result = true;
			}
			
			
		}
	
	
	unset($_SESSION[_SITE.'/mathCaptcha-digit-x']);
	unset($_SESSION[_SITE.'/mathCaptcha-digit-y']);
	
	return $result;
}

function checkUserName($uName)
{
	$result=FALSE;
	
	//                 "  &  '  /  <  >  \   ^  '  {    |  }
	$AnotAllowed=array(34,38,39,47,60,62,92,94,96,123,124,125);
	$x = sanitize(clean(cleanXSS($uName)));//wtf?
	
	
	$x = strip_tags($x);					//-"-
	
	if ($x==$uName)
	{
		$result=TRUE;
		$i=0;
		while (($i<strlen($x))&&($result))
		{
			$ch=ord($x[$i]);
			if (array_search($ch,$AnotAllowed)===FALSE)
				$i++;
			else
				$result=FALSE;
		}
	}
	return $result;
}

function cleanPassWord($pwd)
{
	
	//                 "  '   <  >  \  ^  '   |
	$AnotAllowed=array(34,39,60,62,92,94,96,124);
	$x = cleanXSS($pwd);
	
	$result='';
	
	for ($i=0;$i<strlen($x);$i++)
	{
		$ch=ord($x[$i]);
		$test=array_search($ch,$AnotAllowed);
		if ($test===FALSE)
			$result.=$x[$i];
	}
	if (strlen($result)<5)
		$result='';

	return $result;
	
}

function checkUserPass2($user,$pwd,&$r)
{
global $qSQL;
	$result=-1;
	$r=null;
	$sql='SELECT * from '._PRE.'qmd_users WHERE (uname=?)';
	$xID=0;
	
	$res=$qSQL->qSQLdirect($sql,array($user),$xID);
	if (is_array($res)):
		
		if ($xID>0):
			
			$SALT=$res[0]['SALT'];
			
			$checkPWD=createPwdFromSALT($pwd,$SALT);
			if ($checkPWD==$res[0]['passwd'])
			{
				$result=$res[0]['id'];
				$r=$res[0];
			}
		endif;
	endif;
	return $result;
}

// Start qMD-CMS session

//*********** III * N * N * III * TTTTT *****************************************
//************ I ** NN  N ** I **** T *******************************************
//************ I ** N N N ** I **** T *******************************************
//************ I ** N  NN ** I **** T *******************************************
//*********** III * N * N * III *** T *******************************************
global $_ReloadPending;

//echo $_SERVER['REQUEST_URI']."\r\n";
$s=$_SERVER['REQUEST_URI'];
$iLen=strlen($s);
$s2js=substr($s,$iLen-3,3);
$s2css=substr($s,$iLen-4,4);
$s2ico=substr($s,$iLen-12,12);
/*
echo('JS: '.$s2js).'<br/>';
echo (' --- CSS'.$s2css).'<br/>';
echo ($s2ico).'<br/>';
*/
$_ProcessURI=1;
/*
if (($s2ico=='/favicon.ico')||($s2css=='.css')||($s2js=='.js')||($s2css=='.jpg')||($s2css=='.gif')||($s2css=='.png'))
{
	$_ProcessURI--;
}
*/
if ($_ProcessURI>0)
{
	include_once('qmd_init.php');
	
	//*****************************************************************************
	//*****************************************************************************
	//*****************************************************************************
	//*****************************************************************************
	//*****************************************************************************

	
	// first we get the scheme - this may be overriden by the article !!! see qmd_classes.php
	global $qmdC;
	global $l;
	global $qmd_sefLink;

	if ($_ReloadPending==0):
		//mathCaptcha(0);
		//s('language') != 'EN' && file_exists('lang/'.s('language').'.php') == true ? include('lang/'.s('language').'.php') : include('lang/EN.php');
		// SYSTEM VARIABLES (not to be translated)
		//SEF links of the hardcoded items - RESERVED WORDS - will clash if using for article/category seftitles.

		$l['cat_listSEF'] = 'archive,contact,sitemap,login';
		global $qmd_const_URL_Params;

		if ($qmdC->get_userPermission(__USER_isMod)>0)
			$l['cat_listSEF'] .= ',administration,admin_category,admin_article,article_new,extra_new,page_new,qmd_categories,qmd_articles,qmd_settings,qmd_files,logout,logoff,qmd_menue';


		//divider character
		$l['divider'] = '&nbsp;&middot;&nbsp;';
		// used in article pagination links
			
		$l['comment_pages'] = 'c_';
		// list of files & folders ignored by upload/file list routine
		$l['ignored_items'] = '.,..,cgi-bin,.htaccess,Thumbs.db,qmdcms.php,index.php,lib.php,style.css,admin.js,'.s('language').'.php';
		//*************************************************************************************************

		/*--------------------------------from here it is save to generate some output ----------------------------------*/
		$website=$qmdC->get_URLRequest();

		$query='';
		if ($qmdC->Func!='contact')
		{
			$xURL=parse_url($website);
			if (is_array($xURL)):
				if (isset($xURL['query'])):
					$query=$xURL['query'];
				endif;
				if (empty($query))
				{ 
					clear_session(-1);
				}
			endif;
		}

		$checkURL=$qmdC->qmd_initialize();
		
		if ($checkURL==TRUE):
			$curDB=$qmdC->get_UParamByName('section');
			if ($curDB!==-1):
				$_SESSION['dbsection']=$curDB;
			endif;
			$curDB=$qmdC->get_UParamByName('section');
			if ($curDB!==-1):
				$_SESSION['dbsection']=$curDB;
			endif;
			date_default_timezone_set('UTC');
		else:
			$qmdC->set_SEF($qmd_sefLink[12]);//authorization req'd);
		endif;
	endif;//$_ReloadPending
}
?>
