<?php
/*------------------------------
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd List class extension for excursions
	
	..............................................
	qmd-cms 0.8.6
	last update: 04/21/2014
	
	..............................................
	
	exc_contact.php
	===============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	
*/
//This is a demo object that shows lists in a functional mode

	class exc_contact_form extends qmd_form_article{
		function __construct($controller,$BaseRec,$tablename='',$dbName='')
		{
		global $ATypesRealLang;
		global $qmdC;
		global $areason;
			parent::__construct($controller,$BaseRec,$tablename='',$dbName='');
			$this->POSTID='A87DF012DD';
			$this->postmode=1;
			$this->frm_action='/'.$qmdC->language.'/'.$this->ArticleRow['seftitle'].'?mode=pcpp';//preservecaptcha

			include_once('exc_globals.php');

			switch ($qmdC->language):
				case 'de':
					include_once('de.php');
				
					break;
				case 'en':
					include_once('en.php');
				
					break;
				case 'es':
					include_once('es.php');
				
			endswitch;
			$xSubj=isset($_POST['cmb_subject'])?$_POST['cmb_subject']:0;
			$xItem=isset($_POST['cmb_excItem'])?$_POST['cmb_excItem']:0;
			$xPAX=isset($_POST['cmb_PAX'])?$_POST['cmb_PAX']:0;
			$xName=isset($_POST['name'])?$_POST['name']:'';
			$xLoc=isset($_POST['residence_loc'])?$_POST['residence_loc']:'';
			$xHotel=isset($_POST['residence_hotel'])?$_POST['residence_hotel']:'';
			$xDate=isset($_POST['residence_date'])?$_POST['residence_date']:'';
			$xMail=isset($_POST['eMail'])?$_POST['eMail']:'';
			$xCar=isset($_POST['coche'])?$_POST['coche']:'off';
			if ($xCar=='off')
				$xCar=0;
			else
				$xCar=1;
			$xTxt=isset($_POST['text'])?$_POST['text']:'';
			
			$body='<p>'.l('please_fill_in_all').'</p>';
			$form=html_input('combobox','cmb_subject','cmb_subject',$xSubj,l('msg_subject'),'','','','','','','','','',$areason);
			$form.='<br/>';
			$form.=html_input('combobox','cmb_excItem','cmb_excItem',$xItem,l('interested_in'),'','','','','','','','','',$ATypesRealLang);
			$form.='<br/>';
			$form.=html_input('text', 'name', 'name', $xName, l('name'), '', '');
			$form.=' <span style="color:#FF0000">['.l('required').']</span>';
			$form.='<br/>';
			$form.=html_input('text', 'residence_loc', 'residence_loc', $xLoc, l('residence'), '', '');
			$form.='<br/>';
			$form.=html_input('text', 'residence_hotel', 'residence_hotel', $xHotel, l('residence_hotel'), '', '');
			$form.='<br/>';
			$aPAX=array(1,2,3,4,5,6);
			$form.=html_input('combobox','cmb_PAX','cmb_PAX',$xPAX,l('msg_PAX'),'opt_Lang','','','','','','','','',$aPAX);
			$form.='<br/>';
			$form.=html_input('text', 'residence_date', 'residence_date', $xDate, l('residence_date'), '', '');
			$form.='<br/>';
			$form.=html_input('checkbox', 'coche', 'coche', $xCar, l('rented_car'),  '', '', 0);
			$form.='<br/>';
			$form.=html_input('text', 'eMail', 'eMail', $xMail, l('email'), '', '');
			$form.=' <span style="color:#FF0000">['.l('required').']</span>';
			$form.='<br/>';
			$form.=html_input('textarea', 'text', 'txt', $xTxt, 'Text', '', '', '', '4', '80');
			$form.='<br/>';
			$form.=mathCaptcha()."\r\n";
			
			$this->ArticleRow['body']=$body.'<br/>'.$form;

			$ref=$_SERVER['HTTP_REFERER'];
			$_SESSION[_SITE.'/return2']=$ref;
		}
		/*
		function displayArticle()
		{
			
			$result=parent::displayArticle();
			
				
			return $result;
		}
		*/
		function doPostForm()//You need to override this in order to do something regarding YOUR objects!
		{//$mode =1 -> send mail to default adress
		// other modes (0,2 and 3) are reserved you can use other values and handle for yourself
		global $ATypesRealLang;
		global $qmdC;
		global $areason;
			
			unset($_POST[$this->POSTID]);
			$aErrors=array();
			if (!checkMathCaptcha()):
				$aErrors[]=l('ce_reasons_captcha');
			endif;
			if (
					(!isset($_POST['name']))
				||
					(empty($_POST['name']))
					)
				$aErrors[]=l('ce_reasons_unfilledReqField'). ' '.l('name');
			if (count($aErrors)==0):
			
				$sMsg='';
				$sTxt='';
				switch ($this->postmode):
					case 1:
						$sTxt='This is the information from auto article message'."\r\n";
						
						foreach ($_POST as $key => $value)://
							switch ($key):
									case 'cmb_subject':
										$sSubject='[Subject] ==> '.$areason[$value];
										$sTxt.=$sSubject."\r\n";
										break;
									case 'cmb_excItem':
										$sTxt.='[Item] ==> '.$ATypesRealLang[$value]."\r\n";
										break;
									case 'cmb_PAX':
										$value++;
										$sTxt.='Anzahl Personen: '.$value."\r\n";
										break;
									case 'text':
										$sMsg="\r\n".'[Message:]'."\r\n".$value."\r\n";
										break;
									case 'eMail':
										if (!check_eMail($value))
											$aErrors[]=l('Invalid_eMail_submitted');
										else
											$sTxt.='[eMail:] ==> '.$value."\r\n";
										break;
									case 'calc':	//checkMathCaptcha
									case $this->POSTID://internal
									case 'submit_form'://button pressed
											//DO NOTHING
										break;
									default:
										$sTxt.='['.$key.'] ==> '.$value."\r\n";
							endswitch;
						endforeach;
						if (!isset($_POST['coche']))
							$sTxt.='[car] ==> no car!'."\r\n";
						$sTxt.=$sMsg."\r\n";
						if (count($aErrors)==0)
							qmd_eMail(s('website_email'),s('contact_subject').$sSubject,$sTxt,'');

							
						//msgbox('message sent');
						break;
					default:
				
						$result=-1;
				endswitch;
				
			endif;
			$aLinkLabel=array(l('backhome'),l('user_back2lastpage'));
			
			$return2=$_SESSION[_SITE.'/return2'];
			$return2=addOption2URL($return2,'mode','pppc',1);
			//msgbox($return2);
			$aLinkList=array('/',$return2);
			if (count($aErrors)==0)
				qmd_notify(0, l('contact_sent'),$aLinkLabel, $aLinkList);
			else
				qmd_notify(1, l('contact_not_sent').' '.$aErrors[0].' ('.l('dontuseback').')',$aLinkLabel, $aLinkList);
			
			
			return $result;
		}
		
	}//exc_contact_form 
?>