<?php
/*------------------------------
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd initialization evaluate URL-Params
	..............................................

	qmd-cms 0.8.7
	last update: 04/29/2014
	..............................................

	exc_list_item.php
	=================

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	
*/
	class excursions_list_item extends qmd_ListItem{
	
		function __construct($parent,$BaseRec){
			
			global $qSQL;
			
			//$parent is an instance of qmd_List
			
			parent::__construct($parent,$BaseRec);
			
			$sLang=$this->_CONTROLLER->get_Path(TRUE).$this->_CONTROLLER->language.'.php';
			
			include_once($sLang);
			
			$this->_loader='exc_list_item.php';//this is redundant isn't it?
			
			if (!is_null($BaseRec)):
				$sql='select * from '.$this->_tablename.' where parent_article="'.$BaseRec['artid'].'"';
				$this->connect();
				$rows=$qSQL->qSQLsimple($sql);
				if ((is_array($rows))&&(count($rows)>0)):
					$row=$rows[0];
					foreach ($row as $key => $value)://
						$this->ArticleRow[$key]=$value;
					endforeach;
				endif;
				$this->disconnect();
			endif;
		}
		function __destruct(){
			//unset($this->parentList); is to be done in list_items
			parent::__destruct();
		}
		function getExternalID(){return $this->ArticleRow['ID'];}
		function objectEdit(){
			//we are already in a form
			
			$exctype=$this->ArticleRow['Typ'];
			$exc_name=$this->ArticleRow['Name'];
			$exc_time=$this->ArticleRow['Zeit'];
			$exc_len=$this->ArticleRow['km'];
			$exc_diff=$this->ArticleRow['Diff'];
			$exc_technik=$this->ArticleRow['Technik'];
			$exc_ausdauer=$this->ArticleRow['Ausdauer'];
			$exc_terrain=$this->ArticleRow['Terrain'];
			$exc_price=$this->ArticleRow['Preis'];
			$exc_region=$this->ArticleRow['Region'];
			$exc_loc=$this->ArticleRow['Ort'];
			$exc_target=$this->ArticleRow['Ziel'];
			$exc_feat=$this->ArticleRow['Featured'];
			//if ($exc_feat!=0):
			//	$chk=
			//else:
			//endif;
			$exc_pt=$this->ArticleRow['parent_trip'];
			$exc_rt=$this->ArticleRow['roundtrip'];
			//if (exc)
			$aRates=array(0,1,2,3,4,5,6);
			
			//we need this to identify the parent when reloading b4 save
			//already in the article
			//echo html_input('hidden', 'art_parent', 'art_parent', $this->parentList->getArticleID());
			
			//echo html_input('combobox', 'cmbExcTyp', 'cmbExcTyp', $exctype, 'type', '', '', '', '', '', '', '', '','',$this->parentList->ATypesReal);
			echo html_input('text', 'exc_name', 'exc_name', $exc_name, 'Name','','style="width:200px"').'<br/>';
			echo html_input('text', 'exc_time', 'exc_time', $exc_time, 'Time','','style="width:100px"');
			echo html_input('text', 'exc_len', 'exc_len', $exc_len, 'km','','style="width:70px"').'<br/>';
			echo html_input('combobox','exc_diff','exc_diff',$exc_diff,'Difficulty ','','style="width:40px"','','','', '','','','',$aRates, '');
			echo html_input('combobox','exc_technik','exc_technik',$exc_technik,'Technik ','','style="width:40px"','','','', '','','','',$aRates, '');
			echo html_input('combobox','exc_ausdauer','exc_ausdauer',$exc_ausdauer,'Ausdauer ','','style="width:40px"','','','', '','','','',$aRates, '');
			echo html_input('combobox','exc_terrain','exc_terrain',$exc_terrain,'Terrain ','','style="width:40px"','','','', '','','','',$aRates, '').'<br/>';
			
			echo html_input('text', 'exc_price', 'exc_price', $exc_price, 'Preis','','style="width:70px"').'<br/>';
			echo html_input('text', 'exc_region', 'exc_region', $exc_region, 'Region','','style="width:170px"');
			echo html_input('text', 'exc_loc', 'exc_loc', $exc_loc, 'Ort','','style="width:170px"');
			echo html_input('text', 'exc_target', 'exc_target', $exc_target, 'Ziel','','style="width:170px"').'<br/>';
			echo html_input('checkbox', 'exc_feat', 'exc_feat', $exc_feat, 'Featured',  '', '', $exc_feat);
			echo html_input('checkbox', 'exc_rt', 'exc_rt', $exc_rt, 'Roundtrip',  '', '', $exc_rt);
			

		}
		function objectSave($parentID){//this needs to have a result set
		global $qSQL;
			$processStatus=-1;
			if (isset($this->ArticleRow['ID']))
				$artid=$this->ArticleRow['ID'];
			else
				$artid=-1;
			
			
			
				
			//$exc_typ=$this->parentList->ATypesReal[$_POST['cmbExcTyp']];
			$exc_typ=$this->parentList->Mode;
			$exc_name=$_POST['exc_name'];
			$exc_time=$_POST['exc_time'];
			$exc_len=$_POST['exc_len'];
			$exc_diff=$_POST['exc_diff'];
			$exc_technik=$_POST['exc_technik'];
			$exc_ausdauer=$_POST['exc_ausdauer'];
			$exc_terrain=$_POST['exc_terrain'];
			$exc_price=$_POST['exc_price'];
			$exc_region=$_POST['exc_region'];
			$exc_loc=$_POST['exc_loc'];
			$exc_target=$_POST['exc_target'];
			
			if (isset($_POST['exc_feat']))://this construct reqd for checkbox
				$exc_feat=$_POST['exc_feat']=='on'?1:0;
			else:
				$exc_feat=0;
			endif;
			if (isset($_POST['exc_rt'])):
				$exc_rt=$_POST['exc_rt']=='on' ? 1: 0;
			else:
				$exc_rt=0;
			endif;
			
			
			$this->connect();
			if ($artid>0):
				
				if ($qSQL->prepareupdate(array('Typ',
																	'Zeit', 
																	'km',
																	'Diff', 
																	'Technik',
																	'Ausdauer', 
																	'Terrain',
																	'Preis',
																	'Region',
																	'Ort',
																	'Ziel',
																	'Featured',
																	'roundtrip')
													,array($exc_typ, 
																$exc_time, 
																$exc_len,
																$exc_diff,
																$exc_technik,
																$exc_ausdauer,
																$exc_terrain,
																$exc_price,
																$exc_region,
																$exc_loc,
																$exc_target,
																$exc_feat,
																$exc_rt
																),
													array('id='),array($artid)
															)>0):
					
					$iRows=0;
					$res=$qSQL->updateSQL($this->_tablename,$iRows);
					if ($res==1):
						$processStatus=1;//-1 Error +1ok
					else:
						msgbox('error on update object exc-item');
						
					endif;
				else:
					msgbox('error on prep update object exc-item');
					
				endif;
			else:
				
				if ($qSQL->prepareinsert(array('parent_article','Typ',
																	'Zeit', 
																	'km',
																	'Diff', 
																	'Technik',
																	'Ausdauer', 
																	'Terrain',
																	'Preis',
																	'Region',
																	'Ort',
																	'Ziel',
																	'Featured',
																	'roundtrip')
													,array($parentID,$exc_typ, 
																$exc_time, 
																$exc_len,
																$exc_diff,
																$exc_technik,
																$exc_ausdauer,
																$exc_terrain,
																$exc_price,
																$exc_region,
																$exc_loc,
																$exc_target,
																$exc_feat,
																$exc_rt
																)
															)>0):
					
					$iRows=0;
					$res=$qSQL->insertSQL($this->_tablename,$iRows);
					if ($res==1):
						$processStatus=1;//-1 Error +1ok
					else:
						msgbox('error on update object exc-item');
					endif;
				endif;
			endif;
			$this->disconnect();
			
			if ($processStatus>0):
				$result=TRUE;
				
			else:
				msgbox('Error on save object');
				$result=FALSE;
			endif;
			
			return $result;
		}
		function showItemDetails(){
			echo '<br/>';
			echo '<table width="100%" border="1"><tr>';
			echo '<td>'.l('Typ').': '.$this->ArticleRow['Typ'].'</td>';
			echo '<td>'.l('Zeit').': '.$this->ArticleRow['Zeit'].'</td>';
			echo '<td>'.l('Distance').': '.$this->ArticleRow['km'].'km</td>';
			echo '</tr><tr>';
			echo '<td>'.l('Difficulty').': '.$this->ArticleRow['Diff'].'</td>';
			echo '<td>'.l('Terrain').': '.$this->ArticleRow['Terrain'].'</td>';
			echo '<td>'.l('Endurance').': '.$this->ArticleRow['Ausdauer'].'</td>';
			echo '</tr><tr>';
			echo '<td>'.l('Price').': '.$this->ArticleRow['Preis'].'&euro;</td>';
			echo '<td>'.l('Region').': '.$this->ArticleRow['Region'].'</td>';
			echo '<td>'.l('Location').': '.$this->ArticleRow['Ort'].'</td>';
			echo '</tr><tr>';
			echo '<td>'.l('Target').': '.$this->ArticleRow['Ziel'].'</td>';
			if ($this->ArticleRow['roundtrip']>0):
				$sImg='/dev.img/ok_hook.png';
			else:
				$sImg='/dev.img/ok_none.png';
			endif;
			echo '<td style="vertical-align:middle">'.l('RoundTrip').': <img src="'.$sImg.'" height="20px" style="margin-bottom:-4px" alt="'.l('RoundTrip').'" />';
				echo '</td>';
			echo '<td>&nbsp;</td>';
			echo '</tr></table>';
			echo '<br/>';
		}
		function showDefaultArticleFooter()
		{//'HIKE','MTB','COMBINED','GC','DAYTRIP','HALFDAYTRIP','PHOTO','E-BIKE','BIKE','OTHER');
			$sTxt='<div id="qmfy_exc_item_footer"><h3>'.l('trip_req_necessities').'</h3><ul>';
			switch ($this->parentList->Mode):
				case 'PHOTO':
				case 'GC':					
				case 'DAYTRIP':
				case 'HALFDAYTRIP':
				case 'HIKE':
					$sTxt.='<li>'.l('trip_req_sunscreen').'</li>';
					break;
				default:
					$sTxt.='<li>'.l('trip_req_sunscreenMTB').'</li>';
					break;
			endswitch;

			$sTxt.='<li>'.l('trip_req_water');
			if (strpos($this->ArticleRow['optXtra'],'nowater')!==FALSE)
				$sTxt.='&nbsp;'.l('trip_info_nosupermarket');
			else
			{
				if (strpos($this->ArticleRow['optXtra'],'water')!==FALSE)
					$sTxt.='&nbsp;'.l('trip_info_supermarket');
				if (strpos($this->ArticleRow['optXtra'],'stop')!==FALSE)
					$sTxt.='&nbsp;'.l('trip_info_stop');
			}
			$sTxt.='</li>';
			$sTxt.='<li>'.l('trip_req_picnic').'</li>';
			$sTxt.='<li>'.l('trip_req_jacket').'</li>';
			switch ($this->_CONTROLLER->language):
				case 'es':
					switch ($this->parentList->Mode):
							case 'PHOTO':
							case 'GC':					
							case 'DAYTRIP':
							case 'HALFDAYTRIP':
							case 'HIKE':
									$sTxt.='<li>zapatos firmos (cerrados) &oacute; zapatos deportivos</li>';
									if ($this->parentList->Mode=='GC')
									{
										$sTxt.='<li><b>GPS (-;</b></li>';
										$sTxt.='<li>dado el caso: imprisos de los caches qu&eacute; les quiren encontrar</li>';
									}
									else
									{
										if ($this->parentList->Mode=='PHOTO')
										{
											$sTxt.='<li><b>equipamiento fotografica (-;</b></li>';
										}
									}
								break;
							case 'OTHER':
							case 'E-BIKE':
							case 'MTB':
							case 'BIKE':
							case 'COMBINED':
									//$sTxt.='<li>ropa adecuada</li>';
									if (($this->parentList->Mode=='MTB')||($this->parentList->Mode=='BIKE'))
									{
										$sTxt.='<li>S&iacute; quieren pedales automaticos - por favor nos informan un d&iacute;a antes</li>';
									}
									
								break;

						endswitch;
					break;
				case 'en':
					
					switch ($this->parentList->Mode):
							case 'PHOTO':
							case 'GC':					
							case 'DAYTRIP':
							case 'HALFDAYTRIP':
							case 'HIKE':
									$sTxt.='<li>sturdy shoes (closed) or sneakers</li>';
									if ($this->parentList->Mode=='GC')
									{
										$sTxt.='<li><b>GPS (-;</b></li>';
										$sTxt.='<li>printouts of the caches you want to do</li>';
									}
									else
									{
										if ($this->parentList->Mode=='PHOTO')
										{
											$sTxt.='<li><b>Photo-equipment (-;</b></li>';
										}
									}
								break;
							case 'OTHER':
							case 'E-BIKE':
							case 'MTB':
							case 'BIKE':
							case 'COMBINED':
									$sTxt.='<li>suitable clothing</li>';
									if (($this->parentList->Mode=='MTB')||($this->parentList->Mode=='BIKE'))
									{
										$sTxt.='<li>If you want clipless pedals, please let me know one day in advance of your tour.</li>';
									}
									
								break;

						endswitch;
					break;
				case 'de':
					
					switch ($this->parentList->Mode):
							case 'PHOTO':
							case 'GC':					
							case 'DAYTRIP':
							case 'HALFDAYTRIP':
							case 'HIKE':
									$sTxt.='<li>festes Schuhwerk/geschlossene Schuhe</li>';
									//$sTxt.='<li>Sonnenschutz (Creme, Kappe, Sonnenbrille)</li>';
					
									//$sTxt.='<li><b>ausreichend Wasser (ca. 0.75l)</b></li>';
									//$sTxt.='<li>ggf. Lunchpaket</li>';
									if ($this->parentList->Mode=='GC')
									{
										$sTxt.='<li><b>GPS (-;</b></li>';
										$sTxt.='<li>ggf. Ausdrucke der Caches, die Sie suchen m&ouml;chten</li>';
									}
									else
									{
										if ($this->parentList->Mode=='PHOTO')
										{
											$sTxt.='<li><b>Photoausr&uuml;stung (-;</b></li>';
										}
									}
								break;
							case 'OTHER':
							case 'E-BIKE':
							case 'MTB':
							case 'BIKE':
							case 'COMBINED':
									$sTxt.='<li>ad&auml;quate Bekleidung</li>';
					
									if (($this->parentList->Mode=='MTB')||($this->parentList->Mode=='BIKE'))
									{
										$sTxt.='<li>Wenn Sie "Clickpedale" w&uuml;nschen, so teilen Sie uns dies bitte einen Tag vorher mit</li>';
									}
									
								break;

						endswitch;
					break;
			endswitch;
			$sTxt.='</ul></div>';
			echo ($sTxt);
			
		}
		function ArticleShow($Mode=1)//Mode=0 show teaser Mode=1 show all
		{
			
			$result=TRUE;
			$this->initArticleShow();
			echo '<div class="qmd_article_box">';
			
			$this->showArticleHead($Mode);//////////////  HEAD  ///////////////////////////////////////////////////////////////////
			
			
			if ($Mode>0):
				$this->showItemDetails();
				
				$this->showArticleTeaser($Mode);		//////////////  TEASER ////////////////////////////////////////////////////////////////
				$this->showArticleBody();//////////////  BODY  ////////////////////////////////////////////////////////////////
				$this->showDefaultArticleFooter();
				echo '</div>';// class="qmd_article_box">';
				$this->showArticleComments();//////////////  COMMENTS  ////////////////////////////////////////////////////////
			else:
				//Only teasers are shown
				$this->showArticleTeaser($Mode);		//////////////  TEASER ////////////////////////////////////////////////////////////////
				$sMore=l('read_more');

				echo '<div class="qmd_article_readmore">'.qmd_createLink($this->ArticleRow['seftitle'],
																							$sMore)
																							.'</div>';
				$this->disconnect();
				
				$sx=$this->has_comments(TRUE);
				if ($sx['thisLang']>0):
					echo '<div class="qmd_article_seecomments">'.qmd_createLink($this->ArticleRow['seftitle'],
																							l('see_comments')
																							.'&nbsp;('.$sx.')').'</div>';
				else:
					
				endif;
				echo '</div>';//I don't know if this is a good place to close the DIV
								//there is probably a better solution
				echo '<p class="qmd_article_spacer"></p>';
			endif;
			
			return $result;
		}
		function createLangCopy($targetLanguage,$newArtID=-1)
		{
		global $qSQL;
		
			$result=parent::createLangCopy($targetLanguage,$newArtID);
			
			
			return $result;
		}
		function createArticleCopy($targetLanguage)
		{
		global $qSQL;
			$result=0;
			
			$result=parent::createArticleCopy(targetLanguage);
			
			if ($result>0)
			{
				$this->connect();
				$aF=array('sef','parent_article','Typ','Name','Zeit','km','teaser','Diff','Technik','Ausdauer','Terrain','Preis','Region',
								'Ort','Ziel','Featured','parent_trip','roundtrip');
				$aV=array( $this->ArticleRow['sef'].'~copy',
								$result,
								$this->ArticleRow['Typ'],
								$this->ArticleRow['Name'],
								$this->ArticleRow['Zeit'],
								$this->ArticleRow['km'],
								$this->ArticleRow['teaser'],
								$this->ArticleRow['Diff'],
								$this->ArticleRow['Technik'],
								$this->ArticleRow['Ausdauer'],
								$this->ArticleRow['Terrain'],
								$this->ArticleRow['Preis'],
								$this->ArticleRow['Region'],
								$this->ArticleRow['Ort'],
								$this->ArticleRow['Ziel'],
								$this->ArticleRow['Featured'],
								$this->ArticleRow['parent_trip'],
								$this->ArticleRow['roundtrip']);
				if ($qSQL->prepareinsert($aF,$aV)>0):
				
					$res=$qSQL->insertSQL(_PRE.$this->_tablename,$iNewID);
					
					if ($res==1):
						//iNewID is the new ID
						
						
					else:
						qmd_die('error inserting list item [EXCURSION ITEM]');
					endif;
				endif;
				$this->disconnect();
			}
			else
				qmd_die('error inserting list item [EXCURSION] {base}');
			return $result;
		}
		
	}//excursions_list_item 
?>