<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	
	------------------------------
   qmd-cms - Administration Library File #2
   qmd-cms 0.8.7
	last update: 05/01/2014

	--------------------------------

	qmd_admin_util.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
			

*/

function admin_center()
{
	global $qmdC;
	global $qmd_const_URL_Params;
	
	$sAction=$qmdC->get_UParamByName('action');
	
	if ($sAction==-1):
		$sAction=$qmdC->get_URI($qmdC->get_URIcount()-1);

	endif;
	if (empty($sAction)):
		$sAction=$qmd_const_URL_Params[2];
		
	endif;
	
	switch ($sAction):
		case $qmd_const_URL_Params[2]://admin
		case $qmd_const_URL_Params[5]://MOD
			administration($sAction);  
			break;
		case 'qmd_settings':
			settings();
			break;
		case 'qmd_categories':
			
			admin_categories();  
			break;
		case 'admin_menu':
				
				$_GET['sub_id']=0;
				form_menues(); 
				
				break;
		case 'qmd_menue':
			
			admin_menues();
			
			break;
		case 'admin_submenu'://add submenue
				
				form_menues('');  
				break;
		case 'admin_category':
			
			form_categories();  
			break;
		case 'admin_subcategory':
			
			form_categories('sub');  
			break;
		
		
		case 'qmd_articles':
			admin_articles('article_view');  
			break;
		case 'admin_article':
			
			form_articles('');  
			break;
		case 'article_new':
			form_articles('article_new');  
			break;
		case 'comment':
			
			$coid=$qmdC->get_UParamByName('commentid');
			$task=$qmdC->get_UParamByName('task');
			
			switch ($task):
				case 'process':
					if ((isset($_POST))&&(isset($_POST['delete_text']))):
						
						deletecomment($coid);
					else:
						if ((isset($_POST))&&(isset($_POST['save_text']))):
							
							
							save_edit_comment($coid);
						endif;
					endif;
					break;
				case 'editcomment':
					edit_comment();
					
					break;
				case 'savecomment':
					
					save_edit_comment($coid);
					
					break;
				case 'deletecomment':
					
					deletecomment($coid);
					break;
			endswitch;
			break;
		case 'editcomment':
			// shouldn\'t happen
			edit_comment();  
			break;
		case 'qmd_files':
			files();  
			break;
		case 'process':
			
			processing();  
			break;
	endswitch;
	return;
}

function _set_settings($typ,$itemName,$PostName,$defaultVal='',&$AnewVals)
{
global $META_docTypeDesc;
global $__commentModes;
	if ($typ=='chk'):
		if (isset($_POST[$PostName])):
			$result=1;
		else: 
			$result=0;
		endif;
	else:
		if (isset($_POST[$PostName])):
			$result=$_POST[$PostName];
		else:
			$result=s($itemName);
		endif;
		
		if ($typ=='num'):
			if (!is_numeric($result)):
				$result=$defaultVal;
			else:
				switch ($itemName):
					case 'art_default_comments':
					
						$result=$__commentModes[$_POST[$PostName]];
					break;
				endswitch;
			endif;
		else:
			switch ($itemName):
				case 'scheme':
				case 'scheme4admin':
					$aschemes=get_scheme_array();
					if (($result>=0)&&($result<count($aschemes))):
						$result=$aschemes[$result];
					else:
						$result=$defaultVal;
					endif;
					
					unset ($aschemes);
					break;
				case ('Meta_Doc_Type'):
					$result=$META_docTypeDesc[$result];
					break;
			endswitch;
		endif;
	endif;
	//we only set the items that are changed!!
	if ($result!=s($itemName))
		$AnewVals[$itemName]=$result;
	return $result;
}
function admin_process_settings(){

global $qmd_const_URL_Params;
global $qSQL;
global $LANG;

	$result=false;
	$ufield = array();
	
	_set_settings('str','version','version','',$ufield);
	_set_settings('str','website_title','website_title','',$ufield);
	_set_settings('str','home_sef','home_sef','home',$ufield);
	_set_settings('str','website_description','website_description','',$ufield);
	_set_settings('str','website_keywords','website_keywords','',$ufield);
	_set_settings('str','website_email','website_email','',$ufield);
	_set_settings('str','contact_subject','contact_subject','contact form',$ufield);
	_set_settings('str','language','language','en',$ufield);
	//_set_settings('str','charset','charset','UTF-8',$ufield);
	_set_settings('str','date_format','date_format','d-m-Y H:i',$ufield);
	_set_settings('num','article_limit','article_limit',5,$ufield);
	_set_settings('num','display_page','display_page',1,$ufield);//id of article to display on home
	_set_settings('chk','display_new_on_home','display_new_on_home',1,$ufield);
	_set_settings('chk','display_pagination','display_pagination',1,$ufield);
	_set_settings('chk','num_categories','num_categories',1,$ufield);
	_set_settings('chk','show_cat_names','show_cat_names',1,$ufield);
	_set_settings('chk','approve_comments','approve_comments',1,$ufield);
	_set_settings('chk','mail_on_comments','mail_on_comments',1,$ufield);
	_set_settings('num','comment_repost_timer','comment_repost_timer',15,$ufield);	
	_set_settings('str','comments_order','comments_order','ASC',$ufield);
	_set_settings('num','comment_limit','comment_limit',5,$ufield);//max comments per page
	_set_settings('num','comment_teaser','comment_teaser',30,$ufield);//max comments per page
	_set_settings('str','charset_encoding','charset_encoding','iso-8859-1',$ufield);
	_set_settings('num','Meta_Doc_Type','cmbMETADoCType',0,$ufield);
	_set_settings('str','scheme','cmbscheme','default',$ufield);
	_set_settings('str','scheme4admin','cmbschemeAdmin','default',$ufield);
	_set_settings('num','site_comments_mode','site_comments_mode',2,$ufield);
	_set_settings('num','art_default_comments','art_default_comments',1,$ufield);
	_set_settings('str','file_extensions','file_extensions','phps,php,txt,inc,htm,html',$ufield);
	_set_settings('str','allowed_files','allowed_files','php,htm,html,txt,inc,css,js,swf',$ufield);
	_set_settings('str','allowed_images','allowed_images','gif,jpg,jpeg,png',$ufield);
	_set_settings('chk','multiuser','multiuser',0,$ufield);
	_set_settings('chk','forum','forum',0,$ufield);
	_set_settings('chk','blog','blog',0,$ufield);
	_set_settings('chk','admin_art_edit','admin_art_edit',1,$ufield);
	_set_settings('num','load_scheme_css','cmbcssautoload',1,$ufield);
	_set_settings('num','load_scheme_js','cmbjsautoload',1,$ufield);
	_set_settings('num','default_teaser_lengt','default_teaser_lengt',250,$ufield);
	
	_set_settings('num','defaultVACCategory','define_category',250,$ufield);
	
	_set_settings('num','under_construction','cmb_uc',0,$ufield);
	for ($i=0;$i<count ($LANG); $i++)
	{
		_set_settings('num','uc_'.$LANG[$i],'cmb_uc'.$LANG[$i],0,$ufield);
	}
	
	$errmode=0;
	
	while (list($key, $value) = each($ufield)):
		$iRows=0;
		
		if ($qSQL->prepareupdate(array('value'),array($value),array('name='),array($key),null)>0):
			$res=$qSQL->updateSQL(_PRE.'qmd_settings',$iRows);//			iRows will return the number of rows affected
			if (($res==1)&&($iRows==1)):
			else:
				msgbox('error saving settings: '.$value.' : '.$key );
				$errmode++;
			endif;
		endif;
		
	endwhile;
	$result=TRUE;
	
	if ($errmode==0):
		qmd_notify(0,l('settings_saved'),null,null,$qmd_const_URL_Params[2].'/qmd_settings');
	else:
		qmd_notify(2,'Error saving settings',array(l('back')),array('/'.$qmd_const_URL_Params[2].'/qmd_settings'));
	endif;
	

	//administration();
	return $result;
}

// DELETE CATEGORY BY ID
function delete_cat($id)
{
//global $qSQL;
	$result=0;
	if (_delete_cat($id,0)==TRUE)
		$result++;
/*
	$result=0;
	$iDBStatus=0;
	$iRowCount=0;
	
	$sql="SELECT catorder,parent FROM "._PRE.'qmd_categories'." WHERE id = ?";
	
	$catdata=$qSQL->qSQLquick($sql,array($id));
	if ((is_array($catdata))&& (count ($catdata)>0)):
	
		$cat_order = $catdata[0]['catorder'];
		$cat_parent = $catdata[0]['parent'];
		$aWhereFields=array('id=');
		$aWhereVals=array($id);
		if ($qSQL->preparedelete($aWhereFields,$aWhereVals)>0):
			$res=$qSQL->deleteSQL(_PRE.'qmd_categories',$iRows); 	//iRows will return the number of rows affected
			if ($res>0):
				$aWhereFields=array('mcid=');
				//$aWhereVals=array($id); we've set this already
				if ($qSQL->preparedelete($aWhereFields,$aWhereVals)>0):
					$res=$qSQL->deleteSQL(_PRE.'qmd_categories_ML',$iRows); 	//iRows will return the number of rows affected
					if ($res>0)
					{
						if (execSQL('UPDATE '._PRE.'qmd_categories SET catorder = catorder - 1 WHERE id = '.$id)>0)
							$result++;
					}
				endif;
			endif;
		endif;
	endif;
*/	
	return $result;
}



/*******************************************************************************************/

//BUTTONS
function buttons(){
	
	echo '<div class="qmd_clearer"></div><br/>'.l('formatting').':';
	$formatting = array(
		'strong' => '',
		'em' => 'key',
		'underline' => 'key',
		'del' => 'key',
		'p' => '',
		'br' => ''
	);
	foreach ($formatting as $key => $var)
	{
		$css = $var == 'key' ? $key :'buttons';
		echo '<input type="button" name="'.$key.'" title="'.l($key).'" class="'.$css.'" onclick="tag(\''.$key.'\')" value="'.
					l($key.'_value').'" />';
	}
	echo '<br/>'.l('insert').': ';
	
	$insert = array('img', 'link', 'include', 'func','intro');
	foreach ($insert as $key)
	{
		switch ($key):
			case 'func':
				$p1=l('js_func1');
				$p2=l('js_func2');
				break;
			case 'include':
				$p1=l('js_file');
				$p2='';
				break;
			case 'img':
				$p1=l('js_image1');
				$p2=l('js_image2');
				break;
			case 'link':
				$p1=l('js_link1'); 
				$p2=l('js_link2'); 
				break;
			default:
				$p1='';
				$p2='';
		endswitch;
		$apo='\'';
		echo '<input type="button" name="'.$key.'" title="'.l($key).'" class="buttons" onclick="tag
				('.$apo.$key.$apo.','
					.$apo.$p1.$apo.','
					.$apo.$p2.$apo.')"
					value="'.l($key.'_value').'" />';
	}
	echo '<br/>';
	
}
function _do_delete_mx($id,$Mode)//Mode=0->menu; Mode=1 -> categories
{
	global $qSQL;
	$result=FALSE;
	$iRows=0;
	if ($Mode==0):
		$table=_PRE.'qmd_menu';
		$MLtable=_PRE.'qmd_menu_ML';
		$MLField='mid=';
	else:
		$table=_PRE.'qmd_categories';
		$MLtable=_PRE.'qmd_categories_ML';
		$MLField='mcid=';
	endif;
		
	if ($qSQL->preparedelete(array('id='),array($id))>0):
		
		$res=$qSQL->deleteSQL($table,$iRows); 	//iRows will return the number of rows affected
		if ($res>0):

			$iRows=0;
			
			if ($qSQL->preparedelete(array($MLField),array($id))>0):
				$res=$qSQL->deleteSQL($MLtable,$iRows); 	//iRows will return the number of rows affected
				
				if ($res<1):
					msgbox('nothing found to delete in ML');
				else:
					$result=TRUE;
				endif;
				if ($Mode==0):
				
					if ($qSQL->prepareupdate(array('menu_id'),array(-1),array('menu_id='),array($id))>0):
						$res=$qSQL->updateSQL(_PRE.'qmd_article2menu',$iRows); 	//iRows will return the number of rows affected
					endif;
				endif;
			else:
				
				msgbox('ERROR: DELETE ML failed!');
			endif;
		
		else:
			msgbox('nothing found to delete');
		endif;
	else:
		
		msgbox('ERROR: DELETE failed!');
	endif;
	
	return $result;
}
function _add_x_kids($id,$Mode)//Mode=0->menu; Mode=1 -> categories
{
	global $qSQL;
	$result=array();
	$result[]=$id;
	if ($Mode==0):
		$sql='SELECT id,parent from '._PRE.'qmd_menu WHERE parent='.$id;
	else:
		$sql='SELECT id,parent from '._PRE.'qmd_categories WHERE parent='.$id;
	endif;
	$rows=$qSQL->qSQLsimple($sql);
	if (is_array($rows)):

		for ($i=0;$i<count($rows);$i++):
			$r=$rows[$i];

			$A=_add_x_kids($r['id'],$Mode);
			$result=array_merge($result,$A);
		endfor;
	else:
		if ($Mode==0):
			qmd_die('ERROR retrieving menus for parent: '.$id);
		else:
			qmd_die('ERROR retrieving categories for parent: '.$id);
		endif;
	endif;
	return $result;
	
}

function _delete_menu($mid,$Mode)//Mode=0 only this Mode=1 tree
{
	$result=TRUE;
	if ($Mode==0):
		$A=array();
		$A[]=$mid;
	else:
		$A=_add_x_kids($mid,0);
	endif;
	
	$i=0;
	while (($i<count($A))&&($result==TRUE))
	{
		$result=_do_delete_mx($A[$i],0);
		$i++;
	}
	return $result;
}

function _delete_cat($catid,$Mode)//Mode=0 only this Mode=1 tree
{
	$result=TRUE;
	if ($Mode==0):
		$A=array();
		$A[]=$catid;
	else:
		
		$A=_add_x_kids($catid,1);
	endif;
	
	
	$i=0;
	while (($i<count($A))&&($result==TRUE))
	{
		$result=_do_delete_mx($A[$i],1);
		$i++;
	}
	return $result;
}

function choiceProcess(){
	global $qmdC;
	$result=FALSE;
	
	$i=$qmdC->get_UParamByName('action');
	$item=$qmdC->get_UParamByName('item');
	if ($i!=-1)
	{
		switch ($i):
			case 'delete_cat':
				$aLinkLabel=array(l('backhome'),l('administration'),l('back2CatOverview'));
				$aLinkList=array('/','/administration','/administration/qmd_categories');
				$j=$qmdC->get_UParamByName('task');
				
				switch ($j):
					case ('all'):
						
						$result=_delete_cat($item,1);
						break;
					case ('this'):
						
						$result=_delete_cat($item,0);
						break;
				endswitch;
				break;
			case 'delete_menu':
				$aLinkLabel=array(l('backhome'),l('administration'),l('back2MenuOverview'));
				$aLinkList=array('/','/administration','/administration/qmd_menue');
				$j=$qmdC->get_UParamByName('task');
				switch ($j):
					case ('all'):
						
						$result=_delete_menu($item,1);
						break;
					default:
						
						$result=_delete_menu($item,0);
						break;
				endswitch;
		endswitch;
	}
	
	if ($result==TRUE):
		qmd_notify(0,l('operation_completed'),$aLinkLabel,$aLinkList);
	else:
		qmd_notify(2,l('error'),$aLinkLabel,$aLinkList);
	endif;
	
	return $result;
}
?>
