<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	
	------------------------------
   qmd-cms - HTML-Utilities
   qmd-cms 0.8.2
	last update: 03/09/2014

	--------------------------------

	qhtml_util.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
			

*/

function gethtmlspacer($count){
return (str_repeat('&nbsp;',$count));
}

function htmlspacer($count){
echo gethtmlspacer($count);
}
//......................1.....2.......3.....4..........5........
function _showComboBox($ar,$selItem,$name,$lblright='',$attribs=''){
//do not call this directly
//use html_input instead
//utility-function
//PARAMETERS:
	//$ar       the array from which the combobox is created
	//$selItem, preselected Item
	//$name,    form name
	//$lblright right label
	//$attribs  all attributes e.g. class='xxx' readonly etc...
	//$gettext  true will not print the text but return the text as value
	$KEYS=array_keys($ar);//just in case the array has string key value pairs and isn't indexed
	$sout='';
	$isSelected='selected="selected"';
	//if ($fontclass<>'') $sout='<font class='.$fontclass.'>';

	//show caption
	//$sout.=$lblleft;
	//create actual ComboBox
	$sout.='&nbsp;&nbsp;<select name="'.$name.'" ';
	$sout.=$attribs;
   $iMax=strlen($sout);
   $iMax--;
   $ch=(substr($sout,$iMax,1));
   if ($ch!='>')$sout.='>';
	for($x = 0; $x < count($KEYS); $x++):
		$selected = '';
		
		if(is_array($ar[$KEYS[$x]])):

			$K2=array_values($ar[$KEYS[$x]]);

			$value=$K2[1];
			
			$id=$K2[0];
				
			if( $id== $selItem):
				$selected = $isSelected;
			endif;
			
		else:
			$value=$ar[$KEYS[$x]];
			$id=$x;
			if (is_numeric($selItem)):
				if ($selItem==$x):
					$selected = $isSelected;
				endif;
			else:
			
				if( $value== $selItem):
					$selected = $isSelected;
				
				endif;
			endif;
		endif;


		// print the option
		//$sout.= '<option value="'.$id.'"'.$selected.'>'.$value.'</option>';
		$sout.= '<option '.$selected.' value="'.$id.'">'.$value.'</option>';
	endfor;//for

	$sout.='</select> ';//done
	//right label
	$sout.= $lblright;
	return $sout;
}
// FORM GENERATOR
//....................1.......2.....3.....4......5.......6......7.............8.............9......10........11..........12.........13..........14..........15.............16..............17
function html_input($type, $name, $id, $value, $label, $css='', $script='', $checked='', $rows=0, $cols=0, $method='', $action='', $legend='',$cmbsql='',$cmbarray=array(),$label_right='',$label_space=2)
//label_space may also be non-numeric and will be interpreted as a css clas for label span
//------------------------------^^^^^^ID of form input field
{
//***hy Please insert checked and readonly into $script e.g.:
// $script=' checked="checked" readonly'

//global __y_DEBUG;
global $qmdC;
	
	if (empty($action))$action=$qmdC->get_UParamByName('action');
	//TODO find where action is handled from $qmdC and enter in params
	//this no good code using the global here
	if (is_numeric($label_space)):
		$spacer=gethtmlspacer($label_space);
		$lbl = !empty($label) ? '<label for="'.$id.'">'.$label.'</label>'.$spacer : '';
	else:
		$lbl = !empty($label) ? '<label for="'.$id.'" class="'.$label_space.'">'.$label.'</label>':'';
	endif;
	
	$ID = !empty($id) ? ' id="'.$id.'"' : '';

	$style = !empty($css) ? ' class="'.$css.'"' : '';
	$js = !empty($script) ? ' '.$script : '';

	$attribs = $ID.$style.$js;//.$js2.$js3;
	
	$val = ' value="'.$value.'"';

	$input = '<input type="'.$type.'" name="'.$name.'"'.$attribs;
	
	switch($type):
	
		//if form: if not empty method and method! end insert form method
		case 'form':
			$output = (!empty($method) && $method != 'end') ?
					'<form method="'.$method.'" action="'.$action.'"'.$attribs.' accept-charset="'.s('charset_encoding').'">' : '</form>';
			break;

		case 'fieldset':
			$output = (!empty($legend) && $legend != 'end') ?
									'<fieldset><legend'.$attribs.'>'.$legend.'</legend>' : '</fieldset>';
			break;
		case 'text':
		case 'password':
			$sLen='';
			if ((is_numeric($cols))&&($cols>0))
			{
				
				$cols=$cols*10;
				$sLen= ' style="width:'.$cols.'px;"';
			}
			//$output = '<p>'.$lbl.':<br />'.$input.$val.' /></p>'; break;
			$output = $lbl.$input.$val.$sLen.' />'; break;
		case 'checkbox':
		case 'radio':
			if (is_numeric($checked)):
				
				$check = $checked >0 ? ' checked="checked"' : '';
			else:
				$check = $checked == 'ok' ? ' checked="checked"' : '';
			endif;
			$output = $input.$check.' /> '.$lbl;
			
			break;
		case 'hidden':
		case 'submit':
		case 'reset':
		case 'button':

			if (isset($cols)){
				if ($cols<>0) {
					if ($cols<>''){
						$val.='style=" width:'.$cols.'px"';
					}
				}
			}
			$output = $input.$val.' />';
			break;
		case 'textarea':
			$output = $lbl.'<br />
					<textarea name="'.$name.'" rows="'.$rows.'" cols="'.$cols.'"'.$attribs.'>'.$value.
					'</textarea>';
			break;
		case 'combobox':
			$output ='';
			
			$iDBStatus=0;
			$iRowCount=0;
			
			if (is_null($cmbarray)||(count($cmbarray)==0)):
				if (strlen($cmbsql)==0):
					msgbox('HTML_INPUT: missing parameter for combobox '.$name.' - '.$id);
				else:
					$cmbarray=getSQL($cmbsql,$iDBStatus,$iRowCount);
				endif;
			else:
				$iDBStatus++;
				$iRowCount++;
			endif;
			
			$STATUS=(($iDBStatus>0)&&($iRowCount>0))?1:0;
			if ($STATUS>0):

				$output = $lbl._showComboBox($cmbarray,$value,  $name,$label_right, $attribs);
			
			else:
				
				if (__y_DEBUG>1):
					msgbox('Error: invalid params for html_input ... combobox');
					yecho($cmbarray,'current Array cmbbox');
				endif;
			endif;
			break;//end of combobox
		default:
			msgbox('erroneous type in html_input()');
			break;
		
	endswitch;
	return $output;
}

?>