<?php
/*------------------------------
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd initialization evaluate URL-Params
	..............................................
	qmd-cms 0.8.6
	last update: 04/26/2014
	--------------------------------

	qmd_msg_list_item.php
	=================

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	IMPORTANT NOTE for other developers:
	DO NOT USE THIS AS A TEMPLATE FOR LISTS!!!
	It is just a crude hack - messages are not articles
	so this is not how lists are working.
	
	Do not copy/paste this code to make a LIST working.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	
*/
	class message_list_item extends qmd_ListItem{
	
		function __construct($parent,$BaseRec){
			
			global $qSQL;
			
			//$parent is an instance of qmd_List
			
			parent::__construct($parent,$BaseRec);
			
			
			$this->_loader='qmd_msg_list_item.php';//this is redundant isn't it?
			
			if (!is_null($BaseRec)):
				$sql='select * from '.$this->_tablename.' where parent_article="'.$BaseRec['artid'].'"';
				
				$rows=$qSQL->qSQLsimple($sql);
				if ((is_array($rows))&&(count($rows)>0)):
					$row=$rows[0];
					foreach ($row as $key => $value)://
						$this->ArticleRow[$key]=$value;
					endforeach;
				endif;
			else:
				$item=$this->_CONTROLLER->get_UParamByName('item');//
				$action=$this->_CONTROLLER->get_UParamByName('action');//
				$task=$this->_CONTROLLER->get_UParamByName('task');//
				
				if (is_numeric($item)):
					
					$sql='Select m.id,m.date,m.user_from,m.user_to,m.subject,m.msg,u.uname,m.seen from '._PRE.'qmd_user_msg m 
									left join '._PRE.'qmd_users u on u.id=m.user_from
									WHERE (m.id='.$item.') ORDER by seen ASC, date DESC';
					$rows=$qSQL->qSQLsimple($sql);
					if ((is_array($rows))&&(count($rows)>0)):
						$this->ArticleRow=$rows[0];
						
					endif;
				
				endif;
			endif;
		}
		function __destruct(){
			//unset($this->parentList); is to be done in list_items
			parent::__destruct();
		}
		
		function objectEdit()
		{
		global $qmd_sefLink;	
			//we are already in a form
			
			$msg_date=time();
			$msg_body=$this->ArticleRow['msg'];
			$msg_subj=$this->ArticleRow['subject'];
			
			
			//we need this to identify the parent when reloading b4 save
			//already in the article
			//echo html_input('hidden', 'art_parent', 'art_parent', $this->parentList->getArticleID());
			
			echo '<form method="post" action="/'.$qmd_sefLink[15].'/?action=process%26task=reply" enctype="multipart/form-data">';
					echo '<br/>';
			echo l('msg_to').' : '.$this->ArticleRow['uname'].'<br/>';
			echo html_input('text', 'msg_subject', 'msg_subject', $msg_subj, l('msg_subject'),'','style="width:400px"').'<br/>';
			
			echo html_input('textarea', 'msg_body', 'msg_body', $msg_body, l('msg_body'),'','','',10,80);
			echo html_input('hidden', 'msg_recipient', 'msg_recipient', $this->ArticleRow['user_from']);
			echo html_input('submit', 'reply', 'reply', l('msg_reply'), '', 'button');

		}
		function objectSave($parentID){//this needs to have a result set
		global $qSQL;
		global $qmd_sefLink;
			$processStatus=-1;
			$sTitle='';
			
			if (isset($_POST['delete']))
			{
				$sTitle=l('msg_deleted');
				$sql='delete from '._PRE.'qmd_user_msg where id='.$this->ArticleRow['id'];
				$res=$qSQL->qSQLsimple($sql);
				if ($res>=0)
					$processStatus=1;

			}
			else
			{
				if (isset($_POST['reply']))
				{
					objectEdit();
				}
				
				
			}
			if ($processStatus>0)
			{
				$result=TRUE;
				$aLBL=array(l('userpanel'),l('backhome'),l('usr_back2messages'));//,l('backlastpage'));
				$aTRG=array('/userpanel','/','/'.$qmd_sefLink[15]);//.,$_SERVER['HTTP_REFERER']);
				qmd_notify(0,l('msg_deleted'),$aLBL,$aTRG);
				$result=TRUE;
			}
			else
			{
				if ($processStatus<0)
				{
					msgbox('Error on save object');
					$result=FALSE;
				}
				else
					$result=TRUE;
			}
			
			return $result;
		}
		function showItemDetails(){
			
		global $qmd_sefLink;
		global $qSQL;
		global $qmdC;
			
			
			if (isset($_POST['delete']))
			{
				$this->objectSave();
				
			}
			else
			{
				$action=$qmdC->get_UParamByName('action');
				$task=$qmdC->get_UParamByName('task');
				
				if (($action=='process')&&($task=='reply'))
				{
					
					$sql='INSERT INTO '._PRE.'qmd_user_msg (user_from,user_to,msg,subject) VALUES (?,?,?,?)';
					$a=array($qmdC->get_uid(),$_POST['msg_recipient'],$_POST['msg_body'],$_POST['msg_subject']);
					$res=$qSQL->qSQLquick($sql,$a);
					if ($res<=0)
						msgbox('ERROR sending message');
					else
					{	$aLBL=array(l('userpanel'),l('backhome'));//,l('backlastpage'));
						$aTRG=array('/userpanel','/');//.,$_SERVER['HTTP_REFERER']);
						qmd_notify(0,l('msg_sent'),$aLBL,$aTRG);
					}
				}
				else
				{
					
					
					if (isset($_POST['reply']))
					{
						$this->objectEdit();
					}
					else
					{
						
						if ($this->ArticleRow['seen']==0)
						{
							
							$qSQL->qSQLsimple('UPDATE '._PRE.'qmd_user_msg SET seen=1 WHERE id='.$this->ArticleRow['id']);
							$qmdC->usrMSG=$qmdC->usrMSG-1;
							$this->ArticleRow['seen']=1;
						}
						
						$bodytext=$this->ArticleRow['msg'];
						$bodytext=str_replace('[br/]','<br/>',$bodytext);
						$bodytext=str_replace('\r\n','<br/>',$bodytext);
						
						echo '<br/>';
						echo '<form method="post" action="/'.$qmd_sefLink[15].'/?action=process%26item='.$this->ArticleRow['id'].'" enctype="multipart/form-data">';
						echo "<fieldset>";
						echo '<table width="100%" border="1"><tr>';
						echo '<td>'.l('date').': '.$this->ArticleRow['date'].'</td>';
						echo '<td>'.l('msg_from').': '.$this->ArticleRow['uname'].'</td>';
						if ($this->ArticleRow['seen']>0):
							$sImg='../../../dev.img/ok_hook.png';
						else:
							$sImg='../../../dev.img/ok_none.png';
						endif;
						echo '<td style="vertical-align:middle">'.l('msg_seen').': <img src="'.$sImg.'" height="20px" alt="check" style="margin-bottom:-4px" />';
						echo '</td>';
						echo '</tr><tr>';
						echo '<td colspan="3">'.l('msg_subject').': '.$this->ArticleRow['subject'].'</td>';
						echo '</tr><tr>';
						echo '<td colspan="3">'.l('msg_body').': '.$bodytext.'</td>';
						
						
						echo '</tr></table>';
						//echo '<br/>';
						
						if ($this->ArticleRow['uname']=='system')
							$senabled='disabled="disabled"';
						else
							$senabled='';
						echo html_input('submit', 'delete', 'delete', l('delete'), '', 'button');
						echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
						echo html_input('submit', 'reply', 'reply', l('msg_reply'), '', 'button',$senabled);//REPLY not implemented
						echo "</fieldset>";
						echo '</form>';
					}
				}
			}
		}
		function ArticleShow($Mode=1)//Mode=0 show teaser Mode=1 show all
		{
			
			$result=TRUE;
						
			echo '<div class="qmd_article_box">';
				
			$this->showArticleHead($Mode);//////////////  HEAD  ///////////////////////////////////////////////////////////////////
			$this->showArticleTeaser($Mode);		//////////////  TEASER ////////////////////////////////////////////////////////////////
			
			if ($Mode>0):
				$this->showItemDetails();
				$this->showArticleBody();//////////////  BODY  ////////////////////////////////////////////////////////////////
				echo '</div>';// class="qmd_article_box">';
				//////////////  WE DOn't have COMMENTS  here////////////////////////////////////////////////////////
			else:
				//Only teasers are shown
				
				$sMore=l('read_more');

				echo '<div class="qmd_article_readmore">'.qmd_createLink($this->ArticleRow['seftitle'],
																							$sMore)
																							.'</div>';
				$this->disconnect();
				//$r=DESC_TABLE('qmd_comments');
				
				
				echo '</div>';//I don't know if this is a good place to close the DIV
								//there is probably a better solution
				echo '<p class="qmd_article_spacer"></p>';
			endif;
			
			return $result;
		}
		function createLangCopy($targetLanguage,$newArtID=-1)
		{
		global $qSQL;
		
			$result=parent::createLangCopy($targetLanguage);
			
			$this->connect();
			
			if ($result==TRUE):
				
				$aF=array('parent','lang','teaser_agenda');
				if (!isset($this->ArticleRow['teaser_agenda']))$this->ArticleRow['teaser_agenda']='';
				$aV=array($this->ArticleRow['ID'],$targetLanguage,$this->ArticleRow['teaser_agenda']);
				$iNewID=0;
				
				if ($qSQL->prepareinsert($aF,$aV)>0):
					
					$res=$qSQL->insertSQL(_PRE.$this->_tablename_ML,$iNewID);
					
					if ($res==1):
						//iNewID is the new ID
						$result=TRUE;
						
					else:
						//error on isert
						msgbox('could not create copy of article [ITEM]');
					endif;
				else:
					//error
					msgbox('could not create copy of article [ITEM 0]');
				endif;
			endif;
			$this->disconnect();
			return $result;
		}
		
	}//message_list_item
?>