<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd multi user module
	..............................................
	qmd-cms 0.8.6
	last update: 04/11/2014

	--------------------------------

	qmd_multi_users.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	
*/

function register() {
	
	global $qmd_const_URL_Params;
	global $qmdC;
	$result=TRUE;
	if ($qmdC->get_uid() < 0):
	
		echo '<div class="qmd_userpanel">
		<h2>'.l('register').'</h2>';
		echo html_input('form', '', 'post', '',  '', '', '', '', '', '', 'post', '/'.$qmdC->language.'/?action=register');
		echo '<p>'.l('login_limit').'</p>';
		echo html_input('text', 'uname', 'uname', '', l('username'), 'text');
		echo '<br/>';
		echo html_input('password', 'pass', 'pass', '', l('password'), 'text');
		echo '<br/>';
		echo html_input('password', 'pass2', 'pass2', '', l('password2'), 'text');
		echo '<br/>';
		echo html_input('text', 'uMail', 'uMail', '', l('email'), 'text');
		echo '<br/>';
		echo mathCaptcha();
		echo '<p>';
		echo '<input type="hidden" name="ip" id="ip" value="',$_SERVER['REMOTE_ADDR'],'" />';
		echo html_input('checkbox', 'chkAGB', 'chkAGB', 0, l('AGBaccept'), '', 	'', 			0);
		echo "<br/>";
	
		echo html_input('hidden', 'registrationform', 'registrationform', 'True');
		echo html_input('submit', 'submit', 'submit', l('login'), '', 'button');
		echo '</p></form></div>';
	
	else:
	
	
		echo '<h2>'.l('logged_in').'</h2>
		<p>'.qmd_createLink('/logoff',l('logoff')).'</p>';
	endif;
	return $result;
}


function check_activation_key($key)
{
	global $qSQL;
	
	$result=false;
	$SQL='SELECT id from '._PRE.'qmd_users WHERE tmp=?';
	
	$rows=$qSQL->qSQLquick($SQL,array($key));
	if (is_array($rows)):
		//ok
		if (count($rows)>0):
			
			$row=$rows[0];
			$uid=$row['id'];
			$newTmpVal=createValidation();
			if ($qSQL->prepareupdate(array('tmp','OPMode'),array($newTmpVal,1),array('id='),array($uid),null)>0):
				$iRows=0;
				$res=$qSQL->updateSQL(_PRE.'qmd_users',$iRows);//			iRows will return the number of rows affected
				if (($res==1)&&($iRows==1)):
					
					qmd_notify(4,l('regsuccess_login'),	
												array(l('backhome'),l('register'),l('backlastpage')),
												array('/','/register',$_SERVER['HTTP_REFERER']));
				else:
					qmd_notify(4,l('error'),	
												array(l('backhome'),l('backlastpage')),
												array('/',$_SERVER['HTTP_REFERER']),'',0,l('error'),1);//send sys message
				endif;
				
			else:
				qmd_notify(4,l('error'),	
												array(l('backhome'),l('backlastpage')),
												array('/',$_SERVER['HTTP_REFERER']),'',0,l('error'),1);//send sys message
			endif;
	
		else:
			
			qmd_notify(4,l('outdated'),	
												array(l('backhome'),l('backlastpage')),
												array('/',$_SERVER['HTTP_REFERER']),'',0,l('error'));//
		endif;
		
	else:
		msgbox('error 1');
	endif;

	return $result;
}

?>