<?php
/*
	Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
	Module: qmd VAC - value added containers module
	..............................................
	qmd-cms 0.8.7
	last update: 05/01/2014

	--------------------------------

	qmd_vac.php
	=============

	This file is part of the qmd-php-library
	
	Author: ***hy
	For further reference regarding this code see qmdcms.php and the readme-files.
	
	This code was developed by ****hy
	Copyright: qimanfaya/hy-soft 2012,2014
	
	Licence:		GPL V.3

	A copy of the GNU General Public License is available:
	in the root of this folder
	and on the World Wide Web
	at <http://www.gnu.org/licenses/gpl-3.0.txt>. You can also obtain it by writing
	to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.
	
*/
/*
		$frm_vacshowleft=($frm_VAC & 4);
		$frm_vacshowright=($frm_VAC & 8);
		$frm_vacshowbot=($frm_VAC & 16);
		$frm_vacshowtop=($frm_VAC & 32);
*/
function get_vac_array($restrict)
{
global $qmdC;
global $qmd_Lang_ANY;

	$result=array();
	$iDBStatus=0;
	$iRowCount=0;
	
	$sql=query_get_VAC(7);
	$sql.=$restrict;
	//$sql.=' OR ((VAC & 2)>0)'; //show force
	$sql.=' AND (lang in ("'.$qmdC->language.'","'.$qmd_Lang_ANY.'"))';
	
	if (count($qmdC->aVACShown)>0)
	{
		$sql.=' AND NOT a.id in (';
		for ($i=0;$i<count($qmdC->aVACShown);$i++)
		{
			if ($i>0)
				$sql.=','.$qmdC->aVACShown[$i];
			else
				$sql.=$qmdC->aVACShown[$i];
		}
		$sql.=')';
	}
	$sql.=' ORDER by artorder';
	debuglog($sql);
	$rows=getSQL($sql,$iDBStatus,$iRowCount);
	
	
	if (($iDBStatus>=0)&&($iRowCount>0)):
		for ($icount=0;$icount<$iRowCount;$icount++):
			$aTmp=array();
			$aTmp['id']=$rows[$icount]['artid'];
			$aTmp['cat']=$rows[$icount]['category'];
			$aTmp['body']=$rows[$icount]['body'];
			$aTmp['lang']=$rows[$icount]['lang'];
			$aTmp['VAC']=$rows[$icount]['VAC'];
			$result[$icount]=$aTmp;
		endfor;
	endif;
	
	return $result;
	
}
function show_vac_item($item)
{
global $qmdC;
	$result=0;
	
	$sText=$item['body'];
	$sText=preg_replace('/<a href="\//','<a href="/'.$qmdC->language.'/',$sText,-1,$count);
				
	$sText=preg_replace("/<a href='\//","<a href='/".$qmdC->language.'/',$sText,-1,$count);
				
	$iPos=strpos($sText,'[break]');
	if ($iPos!==false):
		$sTeaser=substr($sText,0,$iPos);
	else:
		$sTeaser=$sText;
	endif;
	echo '<div class="qmd_VAC_Item">';
	echo $sTeaser;
	echo '</div>';
	$result++;

	$qmdC->aVACShown[]=$item['id'];
	
	return $result;
}

function show_vac($aids,$panel)//
{
/*
	$panel left 4
	right=8
	bottom=16;
	top=32
*/
	$result=0;
	if (count($aids)>0):
		if (($panel==16)||($panel==32))
			$isTable=1;
		else
			$isTable=0;
		if ($isTable>0)
		{
			echo '<table>';
			echo '<tr>';
		}
		
		for ($icount=0;$icount<count($aids);$icount++):
			if (($icount>0)&&($isTable==0))
				echo '<img src="/dev.img/bar_blue_1_short.jpg" width="100%" height="3px" alt="bar" />';
			if ($isTable>0)
				echo '<td>';
			show_vac_item($aids[$icount]);
			if ($isTable>0)
				echo '</td>';
			$result++;
			
		endfor;
		
	
		if (($panel==16)||($panel==32))
		{echo '</tr></table>';
		}
	endif;
	return $result;
}
function filterVACresults($srcArray,$max=6,$useSelect=TRUE,$caller='x')
{
global $qmdC;
global $qmd_Lang_ANY;
	$resTmp=array();
	
	if (count($srcArray)<$max)
		$max=count($srcArray);

	$i=0;
	
	while (($i<count($srcArray))&&(count($resTmp)<$max))
	{
		if ($useSelect)
			$curCat=$qmdC->get_CAT();
		else
			$curCat=$srcArray[$i]['cat'];
		
		if (($srcArray[$i]['cat']==$curCat)||(($srcArray[$i]['VAC'] &&2)>0))
		{
			if (($srcArray[$i]['lang']==$qmdC->language)||($srcArray[$i]['lang']==$qmd_Lang_ANY))
				//if (array_search($srcArray[$i]['lang'],$qmdC->aVACShown)==FALSE)
					$resTmp[]=$srcArray[$i];
		}
		$i++;
	}
	
	while (count($resTmp)>0)
	{
		$ord=rand(0,count($resTmp)-1);
		$result[]=$resTmp[$ord];
		dropFromArray($resTmp,$ord);
		
	}
	
	return $result;
}
function fill_vac_all()//do not use - untested
{
	$result=0;
	
	$a=get_vac_array('');
	$b=filterVACresults($a,$max,$useSelect);
	
	$result=show_vac($b,4+8+16+32);
	
	return $result;
}

function fill_vac_left()
{
	$result=0;
	$a=get_vac_array(' AND ((VAC & 4)>0)');
	$b=filterVACresults($a);
	
	$result=show_vac($b,4);
	
	return $result;
}

function fill_vac_right($max=6,$useSelect=false)//useSelect uses only VACs that are categorized in the same manner
{																//as the current category or the category of the first article 
	global $qmdC;
	$result=0;
	echo '<div class="qmd_VAC_rightcol">';
	if ($qmdC->get_uid()<1)
		echo '<div class="qmd_userVactrans">';
	else
		echo '<div class="qmd_userVac">';
	echo '<div class="qmd_user_link">';
	echo $qmdC->user_link(13);
	echo '</div>';
	echo '</div>';
	$a=get_vac_array(' AND ((VAC & 8)>0)');
	
	$b=filterVACresults($a,$max,$useSelect);
	
	$result=show_vac($b,8);
	
	echo '</div>';
	return $result;
}

function fill_vac_bottom()
{
global $qmdC;
	$result=0;
	$a=get_vac_array(' AND ((VAC & 16)>0)');
	
	$b=filterVACresults($a,2,TRUE,'bot');

	$result=show_vac($b,16);
	
	return $result;
}

function fill_vac_top()
{
	$result=0;
	$a=get_vac_array(' AND ((VAC & 32)>0)');
	
	$b=filterVACresults($a,4,FALSE,'top');
	
	$result=show_vac($b,32);
	
	return $result;
}

function load_VAC($VACsef)
{
	$sql=query_get_VAC(6);
	$sql.=' AND seftitle="'.$VACsef.'"';
	
	
	$iDBStatus=0;
	$iRowCount=0;
	$rows=getSQL($sql,$iDBStatus,$iRowCount);
	if ($iDBStatus>=0):
		if ($iRowCount>0):
			$r=$rows[0];
			$txt=$r['body'];
			echo $txt;
		endif;
	endif;
	
}

?>