<?php
/**********************************************
 * Program: qmd-cms [qimanfaya-Menu-Driven-CMS]
 * 
 *	MASTER-INDEX-File
 *	..............................................
 *	qmd-cms 0.8.7
 * Date: 02.03.2012
 *	last update: 05/05/2014
 *	--------------------------------
 * 
 *	index.php
 *	=========
 * 
 */
/*--------------------------------------------------------------*/
//Do NOT include anything before this line!!!
// Start qMD-CMS session
$qmd_session=session_start();
//print_r($_SESSION);
include_once('../qMDCMS/qmdcms.php');
/*																												
#####################################################################################
#####################################################################################
### NNN######### NN ## UU ###### UU ###### SSSSSSSS ## PPPPPPPPP###### IIIIIIIIII ###
### NN NN ###### NN ## UU ###### UU #### SSS ### SSS # PP ##### P ######## II #######
### NN # N ##### NN ## UU ###### UU ## SSS ########### PP ###### P ####### II #######
### NN ## N #### NN ## UU ###### UU #### SSS ######### PP ##### P ######## II #######
### NN ### N ### NN ## UU ###### UU ####### SSS ###### PP #### P ######### II #######
### NN #### N ## NN ## UU ###### UU ########## SS #### PPPPPPPP ########## II #######
### NN ##### N # NN ## UU ###### UU ########### SS ### PP ################ II #######
### NN ###### N  NN ## UU ###### UU ##     #### SS ### PP ################ II #######
### NN ####### N NN ## UU ###### UU ## SSS     SS #### PP ################ II #######
### NN ######## NNN ## UUUUUUUUUUUU ### SSSSSSSS ##### PP ########### IIIIIIIIIII ###
#####################################################################################

N.U.S.P.I = No User Serviceable Parts Inside
*/
//--------------------------------------------
//You should not really need to do any changes here
//instead customize your index.php in your preferred scheme-folder.

global $qmdC;
global $_ReloadPending;

if ($_ReloadPending==0):
	
	/*
	<!-- 	Now on to the style-sheets -->
	<!-- 	do not modify anything here - except you know exactly what you're doing -->
	*/
	// *************TITLE
	echo '<!-- Title -->'."\n\r";
	title();
	// *****************-----------------------------------------Header ends------------------------
endif;//$_ReloadPending


echo '</head>';
echo "\r\n";

if ($_ReloadPending==0):
	echo '<body id="bodydefault">';
	
	//-----------------------------------------------------------------------------------------------------------------
	//-------------------the next section is to display a message in case of work in progress -------------------------
	if ($qmdC->ControllerMode!=2):
		$siteStatus=s('under_construction',0);
		if ($siteStatus>0)
		{
			echo '<div id="qmd_under_construction_head">';
			//echo l('under_construction');
			echo l('server_err_request');
			echo '</div>';
			if ($siteStatus==2)
			{
				if ($qmdC->get_userPermission(__USER_isMod)>0)
					$siteStatus=1;
				else
					if ($qmdC->Func=='login')
						$siteStatus=1;
			}
			
		}
		$lang=$qmdC->language;
		$i=s('uc_'.$lang,0);
		if ($i>0)
		{
			echo '<div id="qmd_under_construction_head">';
			echo l('lang_under_construction');
			echo '</div>';
		}
	endif;
	//-----------------------------------------------------------------------------------------------------------------
	if ($siteStatus<2):
		
		fill_vac_top();
		
		$qmdC->InitDebug();//is only loaded when __y_DEBUG>2
		$sPath=$qmdC->get_Path(TRUE,-1);

		$txt='';
		
		$mode=$qmdC->article_show_fullscreen($txt);//
		
		//$mode = 0 no fullscreen mode - proceed with regular index.php
		// = 1 page mode show center
		// = 2 fullscreen mode - show $txt
		// = 3 fullscreen mode - include $txt
		switch ($mode):
			case 0:	//############################ DEFAULT-HANDLER #####################################
				include($sPath.'index.php');			//***default show article with containers
				break;
			case 1:
				include($sPath.'index.php');			//***show article without containers and the respective index php gotta handle it
				break;
			case 2:
					echo $txt;
					break;
			case 3:
				//####################################### Include Article from File #########################
				file_include($txt,9999000);
				connect_to_db();	//reset
				$qmdC->showarticleEditLink();
		
			//
		endswitch;
	endif;		
	include('../qMDCMS/qmd_footer.php');
	echo '</body><!--close body tag-->';
	echo "\r\n";
	echo '</html>';
	echo "\r\n";	
	
endif;

include("../qMDCMS/qmd_finalize.php");	//***default
?>